/***********************************************************************/
/*                                                                     */
/*  FILE        :hwinit.c                                              */
/*  DATE        :Mon, Jul 28, 2008                                     */
/*  DESCRIPTION :Hardware Setup file                                   */
/*  CPU TYPE    :SH7206                                                */
/*                                                                     */
/*  This file is generated by KPIT GNU Project Generator.              */
/*                                                                     */
/***********************************************************************/
                  


#include "iodefine.h"
#ifdef __cplusplus
extern "C" {
#endif
extern void hw_initialise(void);
#ifdef __cplusplus
}
#endif

void hw_initialise(void)
{
   /* Stop WDT by writing 0 to all un-reserved bits with
       the upper byte containing H'A5 */
    WDT.WTCSR.WORD = 0xA518;

    /* The peripheral clock is 25MHz at start-up. To make a 10mS clock
       settling delay it must be set to count 100,000 cycles (10mS / (1 / 12.5 MHz)).
       To do this the peripheral clock is divided by 1024 (CKS = B'101 or H'5),
       and the WTCNT register is loaded with 132 (255 - (125,000 / 1024)).
       First set the peripheral clock divisor to H'5 for division by 1024 */
    WDT.WTCSR.WORD = 0xA51D;

    /* Set WCTNT to 132 to get an overflow period of 10ms */
    WDT.WTCNT.WORD = (0x5A00 + 132);

	/* For clock mode 0 */	
	/*	FRQCR setting for I=XTAL*16 B=XTAL*4 P=XTAL*2 */
	/*	B15:B14 - Reserved - set to 0
		B13:B12 - Clock Output Enable - set to 0
		B11:B10 - Reserved - set to 0
		B9:B8 - Frequency multiplication ratio of PLL circuit 1 - 16 times
		B7:B5 - Reserved - Set to 0
		B4 - Internal Clock (Iphi) Frequency Division Ratio - 1 time
		B3 - Reserved - Set to 0
		B2:B0 - Peripheral Clock (Pphi) Frequency Division Ratio - 1/8 time	*/

	CPG.FRQCR.WORD = 0x0104;


/*
  BSC.CMNCR.LONG  = 0xFFFFFFFF;
  BSC.CS0BCR.LONG = 0xFFFFFFFF;
  BSC.CS1BCR.LONG = 0xFFFFFFFF;
  BSC.CS2BCR.LONG = 0xFFFFFFFF;
  BSC.CS3BCR.LONG = 0xFFFFFFFF;
  BSC.CS4BCR.LONG = 0xFFFFFFFF;
  BSC.CS5BCR.LONG = 0xFFFFFFFF;
  BSC.CS6BCR.LONG = 0xFFFFFFFF;
  BSC.CS7BCR.LONG = 0xFFFFFFFF;
  BSC.CS8BCR.LONG = 0xFFFFFFFF;

*/
}
