/***********************************************************************************
FILE NAME  	: intprg.c

DESCRIPTION	: Interrupt function are defined in this file.

Note - 
'#pragma section' used in this file instructs the linker to place all subsequent code
in the named section. This can be used to relocate code in the memory map. This
directive should be used when debugging code in RAM to provide a section name that
can be referenced in the build | toolchain | linker | section settings. Use of the
directive without the section name will reset the section to default. 

Copyright   : 2007 Renesas Technology Europe Ltd.
Copyright   : 2007 Renesas Technology Corporation.
All Rights Reserved
***********************************************************************************/

/***********************************************************************************
Revision History
DD.MM.YYYY OSO-UID Description
23.02.2007 RTE-VNA First Release
***********************************************************************************/

/***********************************************************************************
System Includes
***********************************************************************************/
/*	Following header file provides access to intrinsic functions to control interrupt
	levels. */
//#include <machine.h>

/***********************************************************************************
User Includes
***********************************************************************************/
/*	Following header file provides vector locations for the interrupts. */
#include "vect.h"

/***********************************************************************************
Unused interrupt handlers
***********************************************************************************/
#pragma section IntPRG

/*	4 Illegal code	*/
void INT_Illegal_code(void){/* sleep(); */}

/*	5 Reserved	*/

/*	6 Illegal slot	*/
void INT_Illegal_slot(void){/* sleep(); */}

/*	7 Reserved	*/

/*	8 Reserved	*/

/*	9 CPU Address error	*/
void INT_CPU_Address(void){/* sleep(); */}

/* 10 DMAC Address error */
void INT_DMAC_Address(void){/* sleep(); */}

/*	11 NMI	*/
void INT_NMI(void){/* sleep(); */}

/*	12 User breakpoint trap	*/
void INT_User_Break(void){/* sleep(); */}

/*	13 FPU exception */
void EXP_FPU_EXCEPTION(void){/* sleep(); */}

/* 14 H-UDI */
void INT_HUDI(void){/* sleep(); */}

/* 15 Register bank over */
void INT_Bank_Overflow(void){/* sleep(); */}

/* 16 Register bank under */
void INT_Bank_Underflow(void){/* sleep(); */}

/* 17 ZERO DIV */
void INT_Divide_by_Zero(void){/* sleep(); */}

/* 18 OVER DIV */
void INT_Divide_Overflow(void){/* sleep(); */}

/*	19 Reserved	*/

/*	20 Reserved	*/

/*	21 Reserved	*/

/*	22 Reserved	*/

/*	23 Reserved	*/

/*	24 Reserved	*/

/*	25 Reserved	*/

/*	26 Reserved	*/

/*	27 Reserved	*/

/*	28 Reserved	*/

/*	29 Reserved	*/

/*	30 Reserved	*/

/*	31 Reserved	*/

/*	32 TRAPA (User Vecter)	*/
void INT_TRAPA32(void){/* sleep(); */}

/*	33 TRAPA (User Vecter)	*/
void INT_TRAPA33(void){/* sleep(); */}

/*	34 TRAPA (User Vecter)	*/
void INT_TRAPA34(void){/* sleep(); */}

/*	35 TRAPA (User Vecter)	*/
void INT_TRAPA35(void){/* sleep(); */}

/*	36 TRAPA (User Vecter)	*/
void INT_TRAPA36(void){/* sleep(); */}

/*	37 TRAPA (User Vecter)	*/
void INT_TRAPA37(void){/* sleep(); */}

/*	38 TRAPA (User Vecter)	*/
void INT_TRAPA38(void){/* sleep(); */}

/*	39 TRAPA (User Vecter)	*/
void INT_TRAPA39(void){/* sleep(); */}

/*	40 TRAPA (User Vecter)	*/
void INT_TRAPA40(void){/* sleep(); */}

/*	41 TRAPA (User Vecter)	*/
void INT_TRAPA41(void){/* sleep(); */}

/*	42 TRAPA (User Vecter)	*/
void INT_TRAPA42(void){/* sleep(); */}

/*	43 TRAPA (User Vecter)	*/
void INT_TRAPA43(void){/* sleep(); */}

/*	44 TRAPA (User Vecter)	*/
void INT_TRAPA44(void){/* sleep(); */}

/*	45 TRAPA (User Vecter)	*/
void INT_TRAPA45(void){/* sleep(); */}

/*	46 TRAPA (User Vecter)	*/
void INT_TRAPA46(void){/* sleep(); */}

/*	47 TRAPA (User Vecter)	*/
void INT_TRAPA47(void){/* sleep(); */}

/*	48 TRAPA (User Vecter)	*/
void INT_TRAPA48(void){/* sleep(); */}

/*	49 TRAPA (User Vecter)	*/
void INT_TRAPA49(void){/* sleep(); */}

/*	50 TRAPA (User Vecter)	*/
void INT_TRAPA50(void){/* sleep(); */}

/*	51 TRAPA (User Vecter)	*/
void INT_TRAPA51(void){/* sleep(); */}

/*	52 TRAPA (User Vecter)	*/
void INT_TRAPA52(void){/* sleep(); */}

/*	53 TRAPA (User Vecter)	*/
void INT_TRAPA53(void){/* sleep(); */}

/*	54 TRAPA (User Vecter)	*/
void INT_TRAPA54(void){/* sleep(); */}

/*	55 TRAPA (User Vecter)	*/
void INT_TRAPA55(void){/* sleep(); */}

/*	56 TRAPA (User Vecter)	*/
void INT_TRAPA56(void){/* sleep(); */}

/*	57 TRAPA (User Vecter)	*/
void INT_TRAPA57(void){/* sleep(); */}

/*	58 TRAPA (User Vecter)	*/
void INT_TRAPA58(void){/* sleep(); */}

/*	59 TRAPA (User Vecter)	*/
void INT_TRAPA59(void){/* sleep(); */}

/*	60 TRAPA (User Vecter)	*/
void INT_TRAPA60(void){/* sleep(); */}

/*	61 TRAPA (User Vecter)	*/
void INT_TRAPA61(void){/* sleep(); */}

/*	62 TRAPA (User Vecter)	*/
void INT_TRAPA62(void){/* sleep(); */}

/*	63 TRAPA (User Vecter)	*/
void INT_TRAPA63(void){/* sleep(); */}

/* 64 Interrupt IRQ0 */
void INT_IRQ0(void){/* sleep(); */}

/* 65 Interrupt IRQ1 */
void INT_IRQ1(void){/* sleep(); */}

/*	66 Interrupt IRQ2	*/
void INT_IRQ2(void){/* sleep(); */}

/*	67 Interrupt IRQ3	*/
void INT_IRQ3(void){/* sleep(); */}

/* 68 Interrupt IRQ4 */
void INT_IRQ4(void){/* sleep(); */}

/* 69 Interrupt IRQ5 */
void INT_IRQ5(void){/* sleep(); */}

/* 70 Interrupt IRQ6 */
void INT_IRQ6(void){/* sleep(); */}

/* 71 Interrupt IRQ7 */
void INT_IRQ7(void){/* sleep(); */}

/* 72 Reserved */

/* 73 Reserved */

/* 74 Reserved */

/* 75 Reserved */

/* 76 Reserved	*/

/* 77 Reserved	*/

/* 78 Reserved	*/

/* 79 Reserved	*/

/* 80  PINT0   */
void INT_PINT0(void){/* sleep(); */}

/* 81  PINT1 */
void INT_PINT1(void){/* sleep(); */}

/* 82  PINT2 */
void INT_PINT2(void){/* sleep(); */}

/* 83  PINT3 */
void INT_PINT3(void){/* sleep(); */}

/* 84  PINT4 */
void INT_PINT4(void){/* sleep(); */}

/* 85  PINT5 */
void INT_PINT5(void){/* sleep(); */}

/* 86  PINT6 */
void INT_PINT6(void){/* sleep(); */}

/* 87  PINT7 */
void INT_PINT7(void){/* sleep(); */}

/* 88 Reserved */

/* 89 Reserved */

/* 90 Reserved */

/* 91 Reserved */

/* 92 Reserved */

/* 93 Reserved */

/* 94 Reserved */

/* 95 Reserved */

/* 96 Reserved */

/* 97 Reserved */

/* 98 Reserved	*/

/* 99 Reserved	*/

/* 100 Reserved */

/* 101 Reserved */

/* 102 Reserved */

/* 103 Reserved */

/* 104 Reserved */

/* 105 Reserved */

/* 106 Reserved */

/* 107 Reserved */

/* 108 DMAC0 DEI0 */
void INT_DMAC0_DEI0(void){/* sleep(); */}

/* 109 DMAC0 HEI0 */
void INT_DMAC0_HEI0(void){/* sleep(); */}

/*	110 Reserved */

/*	111 Reserved */

/* 112 DMAC1 DEI1 */
void INT_DMAC1_DEI1(void){/* sleep(); */}

/* 113 DMAC1 HEI1 */
void INT_DMAC1_HEI1(void){/* sleep(); */}

/* 114 Reserved */

/* 115 Reserved */

/* 116 DMAC2 DEI2 */
void INT_DMAC2_DEI2(void){/* sleep(); */}

/* 117 DMAC2 HEI2 */
void INT_DMAC2_HEI2(void){/* sleep(); */}

/*	118 Reserved */

/*	119 Reserved */

/* 120 DMAC3 DEI3 */
void INT_DMAC3_DEI3(void){/* sleep(); */}

/* 121 DMAC3 HEI3 */
void INT_DMAC3_HEI3(void){/* sleep(); */}

/* 122 Reserved */

/* 123 Reserved */

/* 124 DMAC4 DEI4 */
void INT_DMAC4_DEI4(void){/* sleep(); */}

/* 125 DMAC4 HEI4 */
void INT_DMAC4_HEI4(void){/* sleep(); */}

/*	126 Reserved */

/*	127 Reserved */

/* 128 DMAC5 DEI5 */
void INT_DMAC5_DEI5(void){/* sleep(); */}

/* 129 DMAC5 HEI5 */
void INT_DMAC5_HEI5(void){/* sleep(); */}

/* 130 Reserved */

/*	131 Reserved */

/* 132 DMAC6 DEI6 */
void INT_DMAC6_DEI6(void){/* sleep(); */}

/* 133 DMAC6 HEI6 */
void INT_DMAC6_HEI6(void){/* sleep(); */}
/*	134 Reserved */

/*	135 Reserved */

/* 136 DMAC7 DEI7 */
void INT_DMAC7_DEI7(void){/* sleep(); */}

/* 137 DMAC7 HEI7 */
void INT_DMAC7_HEI7(void){/* sleep(); */}

/*	138 Reserved */

/*	139 Reserved */

/* 140 USBI */
void INT_USB_USBI(void){/* sleep(); */}

/* 141 LCDCI */
void INT_LCDC_LCDCI(void){/* sleep(); */}

/* 142 CMT CMI0 */
//void INT_CMT_CMI0(void){/* sleep(); */}

/* 143 CMT CMI1 */
void INT_CMT_CMI1(void){/* sleep(); */}

/* 144 BSC CMI */
void INT_BSC_CMI(void){/* sleep(); */}

/* 145 WDT ITI */
void INT_WDT_ITI(void){/* sleep(); */}

/* 146 MTU2 MTU0 TGI0A */
void INT_MTU2_MTU0_TGI0A(void){/* sleep(); */}

/* 147 MTU2 MTU0 TGI0B */
void INT_MTU2_MTU0_TGI0B(void){/* sleep(); */}

/* 148 MTU2 MTU0 TGI0C */
void INT_MTU2_MTU0_TGI0C(void){/* sleep(); */}

/* 149 MTU2 MTU0 TGI0D */
void INT_MTU2_MTU0_TGI0D(void){/* sleep(); */}

/* 150 MTU2 MTU0 TGI0V */
void INT_MTU2_MTU0_TGI0V(void){/* sleep(); */}

/* 151 MTU2 MTU0 TGI0E */
void INT_MTU2_MTU0_TGI0E(void){/* sleep(); */}

/* 152 MTU2 MTU0 TGI0F */
void INT_MTU2_MTU0_TGI0F(void){/* sleep(); */}

/* 153 MTU2 MTU1 TGI1A */
void INT_MTU2_MTU1_TGI1A(void){/* sleep(); */}

/* 154 MTU2 MTU1 TGI1B */
void INT_MTU2_MTU1_TGI1B(void){/* sleep(); */}

/* 155 MTU2 MTU1 TGI1V */
void INT_MTU2_MTU1_TGI1V(void){/* sleep(); */}

/* 156 MTU2 MTU1 TGI1U */
void INT_MTU2_MTU1_TGI1U(void){/* sleep(); */}

/* 157 MTU2 MTU2 TGI2A */
void INT_MTU2_MTU2_TGI2A(void){/* sleep(); */}

/* 158 MTU2 MTU2 TGI2B */
void INT_MTU2_MTU2_TGI2B(void){/* sleep(); */}

/* 159 MTU2 MTU2 TGI2V */
void INT_MTU2_MTU2_TGI2V(void){/* sleep(); */}

/* 160 MTU2 MTU2 TGI2U */
void INT_MTU2_MTU2_TGI2U(void){/* sleep(); */}

/* 161 MTU2 MTU3 TGI3A */
void INT_MTU2_MTU3_TGI3A(void){/* sleep(); */}

/* 162 MTU2 MTU3 TGI3B */
void INT_MTU2_MTU3_TGI3B(void){/* sleep(); */}

/* 163 MTU2 MTU3 TGI3C */
void INT_MTU2_MTU3_TGI3C(void){/* sleep(); */}

/* 164 MTU2 MTU3 TGI3D */
void INT_MTU2_MTU3_TGI3D(void){/* sleep(); */}

/* 165 MTU2 MTU3 TGI3V */
void INT_MTU2_MTU3_TGI3V(void){/* sleep(); */}

/* 166 MTU2 MTU4 TGI4A */
void INT_MTU2_MTU4_TGI4A(void){/* sleep(); */}

/* 167 MTU2 MTU4 TGI4B */
void INT_MTU2_MTU4_TGI4B(void){/* sleep(); */}

/* 168 MTU2 MTU4 TGI4C */
void INT_MTU2_MTU4_TGI4C(void){/* sleep(); */}

/* 169 MTU2 MTU4 TGI4D */
void INT_MTU2_MTU4_TGI4D(void){/* sleep(); */}

/* 170 MTU2 MTU4 TGI4V */
void INT_MTU2_MTU4_TGI4V(void){/* sleep(); */}

/* 171 ADC ADI */
void INT_ADC_ADI(void){/* sleep(); */}

/* 172 IIC3-0 STPI0 */
void INT_IIC30_STPI0(void){/* sleep(); */}

/* 173 IIC3-0 NAKI0  */
void INT_IIC30_NAKI0(void){/* sleep(); */}

/* 174 IIC3-0 RXI0  */
void INT_IIC30_RXI0(void){/* sleep(); */}

/* 175 IIC3-0 TXI0 */
void INT_IIC30_TXI0(void){/* sleep(); */}

/* 176 IIC3-0 TEI0 */
void INT_IIC30_TEI0(void){/* sleep(); */}

/* 177 IIC3-1 STPI1 */
void INT_IIC31_STPI1(void){/* sleep(); */}

/* 178 IIC3-1 NAKI1  */
void INT_IIC31_NAKI1(void){/* sleep(); */}

/* 179 IIC3-1 RXI1  */
void INT_IIC31_RXI1(void){/* sleep(); */}

/* 180 IIC3-1 TXI1 */
void INT_IIC31_TXI1(void){/* sleep(); */}

/* 181 IIC3-1 TEI1 */
void INT_IIC31_TEI1(void){/* sleep(); */}

/* 182 IIC3-2 STPI2 */
void INT_IIC32_STPI2(void){/* sleep(); */}

/* 183 IIC3-2 NAKI2  */
void INT_IIC32_NAKI2(void){/* sleep(); */}

/* 184 IIC3-2 RXI2  */
void INT_IIC32_RXI2(void){/* sleep(); */}

/* 185 IIC3-2 TXI2 */
void INT_IIC32_TXI2(void){/* sleep(); */}

/* 186 IIC3-2 TEI2 */
void INT_IIC32_TEI2(void){/* sleep(); */}

/* 187 IIC3-3 STPI3 */
void INT_IIC33_STPI3(void){/* sleep(); */}

/* 188 IIC3-3 NAKI3  */
void INT_IIC33_NAKI3(void){/* sleep(); */}

/* 189 IIC3-3 RXI3  */
void INT_IIC33_RXI3(void){/* sleep(); */}

/* 190 IIC3-3 TXI3 */
void INT_IIC33_TXI3(void){/* sleep(); */}

/* 191 IIC3-3 TEI3 */
void INT_IIC33_TEI3(void){/* sleep(); */}

/* 192 SCIF SCIF0 BRI0 */
void INT_SCIF_SCIF0_BRI0(void){/* sleep(); */}

/* 193 SCIF SCIF0 ERI0 */
void INT_SCIF_SCIF0_ERI0(void){/* sleep(); */}

/* 194 SCIF SCIF0 RXI0 */
void INT_SCIF_SCIF0_RXI0(void){/* sleep(); */}

/* 195 SCIF SCIF0 TXI0 */
void INT_SCIF_SCIF0_TXI0(void){/* sleep(); */}

/* 196 SCIF SCIF1 BRI1 */
void INT_SCIF_SCIF1_BRI1(void){/* sleep(); */}

/* 197 SCIF SCIF1 ERI1 */
void INT_SCIF_SCIF1_ERI1(void){/* sleep(); */}

/* 198 SCIF SCIF1 RXI1 */
void INT_SCIF_SCIF1_RXI1(void){/* sleep(); */}

/* 199 SCIF SCIF1 TXI1 */
void INT_SCIF_SCIF1_TXI1(void){/* sleep(); */}

/* 200 SCIF SCIF2 BRI2 */
void INT_SCIF_SCIF2_BRI2(void){/* sleep(); */}

/* 201 SCIF SCIF2 ERI2 */
void INT_SCIF_SCIF2_ERI2(void){/* sleep(); */}

/* 202 SCIF SCIF2 RXI2 */
void INT_SCIF_SCIF2_RXI2(void){/* sleep(); */}

/* 203 SCIF SCIF2 TXI2 */
void INT_SCIF_SCIF2_TXI2(void){/* sleep(); */}

/* 204 SCIF SCIF3 BRI3 */
void INT_SCIF_SCIF3_BRI3(void){/* sleep(); */}

/* 205 SCIF SCIF3 ERI3 */
void INT_SCIF_SCIF3_ERI3(void){/* sleep(); */}

/* 206 SCIF SCIF3 RXI3 */
void INT_SCIF_SCIF3_RXI3(void){/* sleep(); */}

/* 207 SCIF SCIF3 TXI3 */
void INT_SCIF_SCIF3_TXI3(void){/* sleep(); */}

/* 208 SSU0 SSERI0 */
void INT_SSU0_SSERI0(void){/* sleep(); */}

/* 209 SSU0 SSRXI0  */
void INT_SSU0_SSRXI0(void){/* sleep(); */}

/* 210 SSU0 SSTXI0  */
void INT_SSU0_SSTXI0(void){/* sleep(); */}

/* 211 SSU1 SSERI1 */
void INT_SSU1_SSERI1(void){/* sleep(); */}

/* 212 SSU1 SSRXI1  */
void INT_SSU1_SSRXI1(void){/* sleep(); */}

/* 213 SSU1 SSTXI1  */
void INT_SSU1_SSTXI1(void){/* sleep(); */}

/* 214 SSI SSI0 */
void INT_SSI_SSII0(void){/* sleep(); */}

/* 215 SSI SSI1  */
void INT_SSI_SSII1(void){/* sleep(); */}

/* 216 SSI SSI2  */
void INT_SSI_SSII2(void){/* sleep(); */}

/* 217 SSI SSI3 */
void INT_SSI_SSII3(void){/* sleep(); */}

/* 218 Reserved */

/* 219 Reserved */

/* 220 Reserved */

/* 221 Reserved */

/* 222 Reserved */

/* 223 Reserved */

/* 224 FLCTL FLSTEI  */
void INT_FLCTL_FLSTEI(void){/* sleep(); */}

/* 225 FLCTL FLTENDI  */
void INT_FLCTL_FLTENDI(void){/* sleep(); */}

/* 226 FLCTL FLTREQ0I */
void INT_FLCTL_FLTREQ0I(void){/* sleep(); */}

/* 227 FLCTL FLTREQ1I  */
void INT_FLCTL_FLTREQ1I(void){/* sleep(); */}

/* 228 Reserved */

/* 229 Reserved */

/* 230 Reserved */

/* 231 RTC ARM */
void INT_RTC_ARM(void){/* sleep(); */}

/* 232 RTC PRD */
void INT_RTC_PRD(void){/* sleep(); */}

/* 233 RTC CUP */
void INT_RTC_CUP(void){/* sleep(); */}

/* 234 RCANTL1 RCAN0_ERS0 */
void INT_RCANTL1_RCAN0_ERS0(void){/* sleep(); */}

/* 235 RCANTL1 RCAN0_OVR0 */
void INT_RCANTL1_RCAN0_OVR0(void){/* sleep(); */}

/* 236 RCANTL1 RCAN0_RM00 */
void INT_RCANTL1_RCAN0_RM00(void){/* sleep(); */}

/* 237 RCANTL1 RCAN0_RM10 */
void INT_RCANTL1_RCAN0_RM10(void){/* sleep(); */}

/* 238 RCANTL1 RCAN0_SLE0 */
void INT_RCANTL1_RCAN0_SLE0(void){/* sleep(); */}

/* 239 RCANTL1 RCAN0_ERS1 */
void INT_RCANTL1_RCAN0_ERS1(void){/* sleep(); */}

/* 240 RCANTL1 RCAN0_OVR1 */
void INT_RCANTL1_RCAN0_OVR1(void){/* sleep(); */}

/* 241 RCANTL1 RCAN1_RM01 */
void INT_RCANTL1_RCAN1_RM01(void){/* sleep(); */}

/* 242 RCANTL1 RCAN1_RM11 */
void INT_RCANTL1_RCAN1_RM11(void){/* sleep(); */}

/* 243 RCANTL1 RCAN1_SLE1 */
void INT_RCANTL1_RCAN1_SLE1(void){/* sleep(); */}

void Dummy(void) {/* sleep(); */}

#pragma section

/**********************************************************************************
End of file
***********************************************************************************/
