/*************************************************************************
FILE NAME    	iodefine.h                                           
DESCRIPTION 	I/O Register definitions for the SH/7203 CPU.

Copyright   : 2007 Renesas Technology Europe Ltd.
Copyright   : 2007 Renesas Technology Corporation.
All Rights Reserved
*************************************************************************/
                  
/**************************************************************************
Revision History
DD.MM.YYYY OSO-UID Description
07.02.2007 RTE-VNA First Release.
***************************************************************************/

#ifndef _IODEFINE_H_
#define _IODEFINE_H_

struct st_cpg {								/* struct CPG   */
	union {									/* FRQCR        */
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Bit Access  */
			unsigned short :2;						/*              */
			unsigned short CKOEN:2;					/*   CKOEN      */
			unsigned short :2;						/*              */
			unsigned short STC:2;					/*   STC        */
			unsigned short :3;						/*              */
			unsigned short IFC:1;					/*   IFC        */
			unsigned short :1;						/*              */
			unsigned short PFC:3;					/*   PFC        */
		} BIT;
	} FRQCR;

	unsigned char wk0[2];

	union {									/* STBCR        */
		unsigned char BYTE;						/*  Byte Access */
		struct {							/*  Bit Access  */
			unsigned char STBY:1;					/*   STBY       */
			unsigned char DEEP:1;					/*   DEEP       */
			unsigned char :6;						/*              */
		} BIT;
	} STBCR;
	unsigned char wk1[3];

	union {									/* STBCR2       */
		unsigned char BYTE;						/*  Byte Access */
		struct {							/*  Bit Access  */
			unsigned char MSTP10:1;				/*  MSTP10(H-UDI) */
			unsigned char MSTP9:1;					/*  MSTP9(UBC)    */
			unsigned char MSTP8:1;					/*  MSTP8(DMAC)   */
			unsigned char MSTP7:1;					/*  MSTP7(FPU)  */
			unsigned short :4;						/*              */
		} BIT;
	} STBCR2;

	unsigned char wk2[1001-3];

	union {									/* SYSCR1       */
		unsigned char BYTE;						/*  Byte Access */
		struct {							/*  Bit Access  */
			unsigned char :4;						/*              */
			unsigned char RAME3:1;					/*   RAME3      */
			unsigned char RAME2:1;					/*   RAME2      */
			unsigned char RAME1:1;					/*   RAME1      */
			unsigned char RAME0:1;					/*   RAME0      */
		} BIT;
	} SYSCR1;

	unsigned char wk3[1];

	union {									/* SYSCR2       */
		unsigned char BYTE;						/*  Byte Access */
		struct {							/*  Bit Access  */
			unsigned char :4;						/*              */
			unsigned char RAMWE3:1;				/*   RAMWE3     */
			unsigned char RAMWE2:1;				/*   RAMWE2     */
			unsigned char RAMWE1:1;				/*   RAMWE1     */
			unsigned char RAMWE0:1;				/*   RAMWE0     */
		} BIT;
	} SYSCR2;

	unsigned char wk4[3];

	union {									/* STBCR3       */
		unsigned char BYTE;						/*  Byte Access */
		struct {							/*  Bit Access  */
			unsigned char HIZ:1;					/*  HIZ         */
			unsigned char :1;						/*              */
			unsigned char MSTP35:1;				/*  MSTP35(MTU2) */
			unsigned char :2;						/*              */
			unsigned char MSTP32:1;				/*  MSTP32(ADC) */
			unsigned char MSTP31:1;				/*  MSTP31(DAC) */
			unsigned char MSTP30:1;				/*  MSTP30(RTC) */
		} BIT;
	} STBCR3;

	unsigned char wk5[3];

	union {									/* STBCR4       */
		unsigned char BYTE;						/*  Byte Access */
		struct {							/*  Bit Access  */
			unsigned char MSTP47:1;				/*   MSTP47(SCIF0) */
			unsigned char MSTP46:1;				/*   MSTP46(SCIF1) */
			unsigned char MSTP45:1;				/*   MSTP45(SCIF2) */
			unsigned char MSTP44:1;				/*   MSTP44(SCIF3) */
			unsigned char :1;						/*                 */
			unsigned char MSTP42:1;				/*   MSTP42(CMT)   */
			unsigned char MSTP41:1;				/*   MSTP41(LCDC)  */
			unsigned char MSTP40:1;				/*   MSTP40(FLCLT) */
		} BIT;
	} STBCR4;

	unsigned char wk6[3];

	union {									/* STBCR5       */
		unsigned char BYTE;						/*  Byte Access */
		struct {							/*  Bit Access  */
			unsigned char MSTP57:1;				/*   MSTP47(IIC30) */
			unsigned char MSTP56:1;				/*   MSTP46(IIC31) */
			unsigned char MSTP55:1;				/*   MSTP45(IIC32) */
			unsigned char MSTP54:1;				/*   MSTP45(IIC33) */
			unsigned char MSTP53:1;				/*   MSTP43(RCAN0)  */
			unsigned char MSTP52:1;				/*   MSTP42(RCAN1)  */
			unsigned char MSTP51:1;				/*   MSTP45(SSU0) */
			unsigned char MSTP50:1;				/*   MSTP45(SSU1) */
		} BIT;
	} STBCR5;

	unsigned char wk7[3];

	union {									/* STBCR6       */
		unsigned char BYTE;						/*  Byte Access */
		struct {							/*  Bit Access  */
			unsigned char MSTP67:1;				/*   MSTP67(SSI0) */
			unsigned char MSTP66:1;				/*   MSTP66(SSI1) */
			unsigned char MSTP65:1;				/*   MSTP65(SSI2) */
			unsigned char MSTP64:1;				/*   MSTP65(SSI3) */
			unsigned char :3;						/*                */
			unsigned char MSTP60:1;				/*   MSTP65(USB) */
		} BIT;
	} STBCR6;

	unsigned char wk8[3];

	union {									/* SYSCR3       */
		unsigned char BYTE;						/*  Byte Access */
		struct {							/*  Bit Access  */
			unsigned char :4;						/*              */
			unsigned char SSI3SRST:1;				/*   SSI3SRST   */
			unsigned char SSI2SRST:1;				/*   SSI2SRST   */
			unsigned char SSI1SRST:1;				/*   SSI1SRST   */
			unsigned char SSI0SRST:1;				/*   SSI0SRST   */
		} BIT;
	} SYSCR3;

	unsigned char wk9[0xffff2800-0xfffe0419];

	union {									/* DSCTR       */
		unsigned char BYTE;						/*  Byte Access */
		struct {							/*  Bit Access  */
			unsigned char :4;						/*              */
			unsigned char RRAMKP3:1;				/*   RRAMKP3    */
			unsigned char RRAMKP2:1;				/*   RRAMKP2    */
			unsigned char RRAMKP1:1;				/*   RRAMKP1    */
			unsigned char RRAMKP0:1;				/*   RRAMKP0    */
		} BIT;
	} DSCTR;

	unsigned char wk10[1];

	union {									/* DSCTR2       */
		unsigned char BYTE;						/*  Byte Access */
		struct {							/*  Bit Access  */
			unsigned char CS0KEEPE:1;				/*  CS0KEEPE    */
			unsigned char RAMBOOT:1;				/*   RAMBOOT    */
			unsigned char :6;						/*              */
		} BIT;
	} DSCTR2;

	unsigned char wk11[1];

	union{									/* DSSSR          */
		unsigned short WORD;						/*  Word Access  */
		struct{								/*  Bit Access   */
			unsigned short :7;						/*              */
			unsigned short MRES:1;					/*  MRES        */
			unsigned short IRQ7:1;					/*  IRQ7        */
			unsigned short IRQ6:1;					/*  IRQ6        */
			unsigned short IRQ5:1;					/*  IRQ5        */
			unsigned short IRQ4:1;					/*  IRQ4        */
			unsigned short IRQ3:1;					/*  IRQ3        */
			unsigned short IRQ2:1;					/*  IRQ2        */
			unsigned short IRQ1:1;					/*  IRQ1        */
			unsigned short IRQ0:1;					/*  IRQ0        */
		}BIT;
	}DSSSR;

	unsigned char wk12[2];

	union{									/* DSFR          */
		unsigned short WORD;						/*  Word Access  */
		struct{								/*  Bit Access   */
			unsigned short IOKEEP:1;				/*  IOKEEP       */
			unsigned short :5;
			unsigned short MRESF:1;					/*  MRESF        */
			unsigned short NMIF:1;					/*  NMIF         */
			unsigned short IRQ7F:1;					/*  IRQ7F        */
			unsigned short IRQ6F:1;					/*  IRQ6F        */
			unsigned short IRQ5F:1;					/*  IRQ5F        */
			unsigned short IRQ4F:1;					/*  IRQ4F        */
			unsigned short IRQ3F:1;					/*  IRQ3F        */
			unsigned short IRQ2F:1;					/*  IRQ2F        */
			unsigned short IRQ1F:1;					/*  IRQ1F        */
			unsigned short IRQ0F:1;					/*  IRQ0F        */
		}BIT;
	}DSFR;

	unsigned char wk13[2];

	union{									/* DSRTR         */
		unsigned char BYTE;						/*  Word Access  */
		struct{								/*  Bit Access   */
			unsigned char D:8;						/*               */
		}BIT;
	}DSRTR;

};

struct st_bsc {                                  /* struct BSC   */
       union {                                   /* CMNCR        */
             unsigned long LONG;                       /*  Long Access */
             struct {                            /*  Bit Access  */
                    unsigned long :20;                 /*              */
                    unsigned long BLOCK:1;             /*   BLOCK      */
                    unsigned long DPRTY:2;             /*   DPRTY      */
                    unsigned long DMAIW:3;             /*   DMAIW      */
                    unsigned long DMAIWA:1;            /*   DMAIWA     */
                    unsigned long :3;                  /*              */
                    unsigned long HIZMEM:1;            /*   HIZMEM     */
                    unsigned long HIZCNT:1;            /*   HIZCNT     */
                    } BIT;                       /*              */
             } CMNCR;                            /*              */
       union {                                   /* CS0BCR       */
             unsigned long LONG;                       /*  Long Access */
             struct {                            /*  Bit Access  */
                    unsigned long :1;                  /*              */
                    unsigned long IWW:3;               /*   IWW        */
                    unsigned long IWRWD:3;             /*   IWRWD      */
                    unsigned long IWRWS:3;             /*   IWRWS      */
                    unsigned long IWRRD:3;             /*   IWRRD      */
                    unsigned long IWRRS:3;             /*   IWRRS      */
                    unsigned long :1;                  /*              */
                    unsigned long TYPE:3;              /*   TYPE       */
                    unsigned long ENDIAN:1;            /*   ENDIAN     */
                    unsigned long BSZ:2;               /*   BSZ        */
                    unsigned long :9;                  /*              */
                    } BIT;                       /*              */
             } CS0BCR;                           /*              */
       union {                                   /* CS1BCR       */
             unsigned long LONG;                       /*  Long Access */
             struct {                            /*  Bit Access  */
                    unsigned long :1;                  /*              */
                    unsigned long IWW:3;               /*   IWW        */
                    unsigned long IWRWD:3;             /*   IWRWD      */
                    unsigned long IWRWS:3;             /*   IWRWS      */
                    unsigned long IWRRD:3;             /*   IWRRD      */
                    unsigned long IWRRS:3;             /*   IWRRS      */
                    unsigned long :1;                  /*              */
                    unsigned long TYPE:3;              /*   TYPE       */
                    unsigned long ENDIAN:1;            /*   ENDIAN     */
                    unsigned long BSZ:2;               /*   BSZ        */
                    unsigned long :9;                  /*              */
                    } BIT;                       /*              */
             } CS1BCR;                           /*              */
       union {                                   /* CS2BCR       */
             unsigned long LONG;                       /*  Long Access */
             struct {                            /*  Bit Access  */
                    unsigned long :1;                  /*              */
                    unsigned long IWW:3;               /*   IWW        */
                    unsigned long IWRWD:3;             /*   IWRWD      */
                    unsigned long IWRWS:3;             /*   IWRWS      */
                    unsigned long IWRRD:3;             /*   IWRRD      */
                    unsigned long IWRRS:3;             /*   IWRRS      */
                    unsigned long :1;                  /*              */
                    unsigned long TYPE:3;              /*   TYPE       */
                    unsigned long ENDIAN:1;             /*   ENDIAN     */
                    unsigned long BSZ:2;               /*   BSZ        */
                    unsigned long :9;                  /*              */
                    } BIT;                       /*              */
             } CS2BCR;                           /*              */
       union {                                   /* CS3BCR       */
             unsigned long LONG;                       /*  Long Access */
             struct {                            /*  Bit Access  */
                    unsigned long :1;                  /*              */
                    unsigned long IWW:3;               /*   IWW        */
                    unsigned long IWRWD:3;             /*   IWRWD      */
                    unsigned long IWRWS:3;             /*   IWRWS      */
                    unsigned long IWRRD:3;             /*   IWRRD      */
                    unsigned long IWRRS:3;             /*   IWRRS      */
                    unsigned long :1;                  /*              */
                    unsigned long TYPE:3;              /*   TYPE       */
                    unsigned long ENDIAN:1;            /*   ENDIAN     */
                    unsigned long BSZ:2;               /*   BSZ        */
                    unsigned long :9;                  /*              */
                    } BIT;                       /*              */
             } CS3BCR;                           /*              */
       union {                                   /* CS4BCR       */
             unsigned long LONG;                       /*  Long Access */
             struct {                            /*  Bit Access  */
                    unsigned long :1;                  /*              */
                    unsigned long IWW:3;               /*   IWW        */
                    unsigned long IWRWD:3;             /*   IWRWD      */
                    unsigned long IWRWS:3;             /*   IWRWS      */
                    unsigned long IWRRD:3;             /*   IWRRD      */
                    unsigned long IWRRS:3;             /*   IWRRS      */
                    unsigned long :1;                  /*              */
                    unsigned long TYPE:3;              /*   TYPE       */
                    unsigned long ENDIAN:1;            /*   ENDIAN     */
                    unsigned long BSZ:2;               /*   BSZ        */
                    unsigned long :9;                  /*              */
                    } BIT;                       /*              */
             } CS4BCR;                           /*              */
       union {                                   /* CS5BCR       */
             unsigned long LONG;                       /*  Long Access */
             struct {                            /*  Bit Access  */
                    unsigned long :1;                  /*              */
                    unsigned long IWW:3;               /*   IWW        */
                    unsigned long IWRWD:3;             /*   IWRWD      */
                    unsigned long IWRWS:3;             /*   IWRWS      */
                    unsigned long IWRRD:3;             /*   IWRRD      */
                    unsigned long IWRRS:3;             /*   IWRRS      */
                    unsigned long :1;                  /*              */
                    unsigned long TYPE:3;              /*   TYPE       */
                    unsigned long ENDIAN:1;            /*   ENDIAN     */
                    unsigned long BSZ:2;               /*   BSZ        */
                    unsigned long :9;                  /*              */
                    } BIT;                       /*              */
             } CS5BCR;                           /*              */
       union {                                   /* CS6BCR       */
             unsigned long LONG;                       /*  Long Access */
             struct {                            /*  Bit Access  */
                    unsigned long :1;                  /*              */
                    unsigned long IWW:3;               /*   IWW        */
                    unsigned long IWRWD:3;             /*   IWRWD      */
                    unsigned long IWRWS:3;             /*   IWRWS      */
                    unsigned long IWRRD:3;             /*   IWRRD      */
                    unsigned long IWRRS:3;             /*   IWRRS      */
                    unsigned long :1;                  /*              */
                    unsigned long TYPE:3;              /*   TYPE       */
                    unsigned long ENDIAN:1;            /*   ENDIAN     */
                    unsigned long BSZ:2;               /*   BSZ        */
                    unsigned long :9;                  /*              */
                    } BIT;                       /*              */
             } CS6BCR;                           /*              */
       union {                                   /* CS7BCR       */
             unsigned long LONG;                       /*  Long Access */
             struct {                            /*  Bit Access  */
                    unsigned long :1;                  /*              */
                    unsigned long IWW:3;               /*   IWW        */
                    unsigned long IWRWD:3;             /*   IWRWD      */
                    unsigned long IWRWS:3;             /*   IWRWS      */
                    unsigned long IWRRD:3;             /*   IWRRD      */
                    unsigned long IWRRS:3;             /*   IWRRS      */
                    unsigned long :1;                  /*              */
                    unsigned long TYPE:3;              /*   TYPE       */
                    unsigned long ENDIAN:1;            /*   ENDIAN     */
                    unsigned long BSZ:2;               /*   BSZ        */
                    unsigned long :9;                  /*              */
                    } BIT;                       /*              */
             } CS7BCR;                           /*              */

	unsigned long reserve01;

       union {                                   /*              */
             union {                             /*              */
                   union {                       /* CS0WCR(NORMAL) */
                         unsigned long LONG;           /*  Long Access */
                         struct {                /*  Bit Access  */
                                unsigned long :19;     /*              */
                                unsigned long SW:2;    /*   SW         */
                                unsigned long WR:4;    /*   WR         */
                                unsigned long WM:1;    /*   WM         */
                                unsigned long :4;      /*              */
                                unsigned long HW:2;    /*   HW         */
                                } BIT;           /*              */
                         } REG_CS0WCR;           /*              */
                   } NORMAL;                     /*              */
             union {                             /*              */
                   union {                       /* CS0WCR(BROM_ASY) */
                         unsigned long LONG;           /*  Long Access */
                         struct {                /*  Bit Access  */
                                unsigned long :10;     /*              */
                                unsigned long BST:2;   /*   BST        */
                                unsigned long :2;      /*              */
                                unsigned long BW:2;    /*   BW         */
                                unsigned long :5;      /*              */
                                unsigned long W:4;     /*   W          */
                                unsigned long WM:1;    /*   WM         */
                                unsigned long :6;      /*              */
                                } BIT;           /*              */
                         } REG_CS0WCR;           /*              */
                   } BROM_ASY;                   /*              */
             union {                             /*              */
                   union {                       /* CS0WCR(BROM_SY) */
                         unsigned long LONG;           /*  Long Access */
                         struct {                /*  Bit Access  */
                                unsigned long :14;     /*              */
                                unsigned long BW:2;    /*   BW         */
                                unsigned long :5;      /*              */
                                unsigned long W:4;     /*   W          */
                                unsigned long WM:1;    /*   WM         */
                                unsigned long :6;      /*              */
                                } BIT;           /*              */
                         } REG_CS0WCR;           /*              */
                   } BROM_SY;                    /*              */
             } UN0_BSC;                          /*              */
       union {                                   /* CS1WCR       */
             unsigned long LONG;                       /*  Long Access */
             struct {                            /*  Bit Access  */
                    unsigned long :11;                 /*              */
                    unsigned long BAS:1;               /*   BAS        */
                    unsigned long :1;                  /*              */
                    unsigned long WW:3;                /*   WW         */
                    unsigned long :3;                  /*              */
                    unsigned long SW:2;                /*   SW         */
                    unsigned long WR:4;                /*   WR         */
                    unsigned long WM:1;                /*   WM         */
                    unsigned long :4;                  /*              */
                    unsigned long HW:2;                /*   HW         */
                    } BIT;                       /*              */
             } CS1WCR;                           /*              */
       union {                                   /*              */
             union {                             /*              */
                   union {                       /* CS2WCR(NORMAL) */
                         unsigned long LONG;           /*  Long Access */
                         struct {                /*  Bit Access  */
                                unsigned long :11;     /*              */
                                unsigned long BAS:1;   /*   BAS        */
                                unsigned long :9;      /*              */
                                unsigned long WR:4;    /*   WR         */
                                unsigned long WM:1;    /*   WM         */
                                unsigned long :6;      /*              */
                                } BIT;           /*              */
                         } REG_CS2WCR;           /*              */
                   } NORMAL;                     /*              */
             union {                             /*              */
                   union {                       /* CS2WCR(SDRAM) */
                         unsigned long LONG;           /*  Long Access */
                         struct {                /*  Bit Access  */
                                unsigned long :23;     /*              */
                                unsigned long A2CL:2;  /*   A2CL       */
                                unsigned long :7;      /*              */
                                } BIT;           /*              */
                         } REG_CS2WCR;           /*              */
                   } SDRAM;                      /*              */
             } UN1_BSC;                          /*              */
       union {                                   /*              */
             union {                             /*              */
                   union {                       /* CS3WCR(NORMAL) */
                         unsigned long LONG;           /*  Long Access */
                         struct {                /*  Bit Access  */
                                unsigned long :11;     /*              */
                                unsigned long BAS:1;   /*   BAS        */
                                unsigned long :9;      /*              */
                                unsigned long WR:4;    /*   WR         */
                                unsigned long WM:1;    /*   WM         */
                                unsigned long :6;      /*              */
                                } BIT;           /*              */
                         } REG_CS3WCR;           /*              */
                   } NORMAL;                     /*              */
             union {                             /*              */
                   union {                       /* CS3WCR(SDRAM) */
                         unsigned long LONG;           /*  Long Access */
                         struct {                /*  Bit Access  */
                                unsigned long :17;     /*              */
                                unsigned long WTRP:2;  /*   WTRP       */
                                unsigned long :1;      /*              */
                                unsigned long WTRCD:2; /*   WTRCD      */
                                unsigned long :1;      /*              */
                                unsigned long A3CL:2;  /*   A3CL       */
                                unsigned long :2;      /*              */
                                unsigned long TRWL:2;  /*   TRWL       */
                                unsigned long :1;      /*              */
                                unsigned long WTRC:2;  /*   WTRC       */
                                } BIT;           /*              */
                         } REG_CS3WCR;           /*              */
                   } SDRAM;                      /*              */
             } UN2_BSC;                          /*              */
       union {                                   /*              */
             union {                             /*              */
                   union {                       /* CS4WCR(NORMAL) */
                         unsigned long LONG;           /*  Long Access */
                         struct {                /*  Bit Access  */
                                unsigned long :11;     /*              */
                                unsigned long BAS:1;   /*   BAS        */
                                unsigned long :1;      /*              */
                                unsigned long WW:3;    /*   WW         */
                                unsigned long :3;      /*              */
                                unsigned long SW:2;    /*   SW         */
                                unsigned long WR:4;    /*   WR         */
                                unsigned long WM:1;    /*   WM         */
                                unsigned long :4;      /*              */
                                unsigned long HW:2;    /*   HW         */
                                } BIT;           /*              */
                         } REG_CS4WCR;           /*              */
                   } NORMAL;                     /*              */
             union {                             /*              */
                   union {                       /* CS4WCR(BROM_ASY) */
                         unsigned long LONG;           /*  Long Access */
                         struct {                /*  Bit Access  */
                                unsigned long :10;     /*              */
                                unsigned long BST:2;   /*   BST        */
                                unsigned long :2;      /*              */
                                unsigned long BW:2;    /*   BW         */
                                unsigned long :3;      /*              */
                                unsigned long SW:2;    /*   SW         */
                                unsigned long W:4;     /*   W          */
                                unsigned long WM:1;    /*   WM         */
                                unsigned long :4;      /*              */
                                unsigned long HW:2;    /*   HW         */
                                } BIT;           /*              */
                         } REG_CS4WCR;           /*              */
                   } BROM_ASY;                   /*              */
             } UN3_BSC;                          /*              */
       union {                                   /*              */
             union {                             /*              */
                   union {                       /* CS5WCR(NORMAL) */
                         unsigned long LONG;           /*  Long Access */
                         struct {                /*  Bit Access  */
                                unsigned long :10;     /*              */
                                unsigned long SZSEL:1; /*   SZSEL      */
                                unsigned long MPXWBAS:1;/*   MPXWBAS    */
                                unsigned long :1;      /*              */
                                unsigned long WW:3;    /*   WW         */
                                unsigned long :3;      /*              */
                                unsigned long SW:2;    /*   SW         */
                                unsigned long WR:4;    /*   WR         */
                                unsigned long WM:1;    /*   WM         */
                                unsigned long :4;      /*              */
                                unsigned long HW:2;    /*   HW         */
                                } BIT;           /*              */
                         } REG_CS5WCR;           /*              */
                   } NORMAL;                     /*              */
             union {                             /*              */
                   union {                       /* CS5WCR(PCMCIA) */
                         unsigned long LONG;           /*  Long Access */
                         struct {                /*  Bit Access  */
                                unsigned long :10;     /*              */
                                unsigned long SA:2;    /*   SA         */
                                unsigned long :5;      /*              */
                                unsigned long TED:4;   /*   TED        */
                                unsigned long PCW:4;   /*   PCW        */
                                unsigned long WM:1;    /*   WM         */
                                unsigned long :2;      /*              */
                                unsigned long TEH:4;   /*   TEH        */
                                } BIT;           /*              */
                         } REG_CS5WCR;           /*              */
                   } PCMCIA;                     /*              */
             } UN4_BSC;                          /*              */
       union {                                   /*              */
             union {                             /*              */
                   union {                       /* CS6WCR(NORMAL) */
                         unsigned long LONG;           /*  Long Access */
                         struct {                /*  Bit Access  */
                                unsigned long :11;     /*              */
                                unsigned long BAS:1;   /*   BAS        */
                                unsigned long :7;      /*              */
                                unsigned long SW:2;    /*   SW         */
                                unsigned long WR:4;    /*   WR         */
                                unsigned long WM:1;    /*   WM         */
                                unsigned long :4;      /*              */
                                unsigned long HW:2;    /*   HW         */
                                } BIT;           /*              */
                         } REG_CS6WCR;           /*              */
                   } NORMAL;                     /*              */
             union {                             /*              */
                   union {                       /* CS6WCR(BMPX_IO) */
                         unsigned long LONG;           /*  Long Access */
                         struct {                /*  Bit Access  */
                                unsigned long :10;     /*              */
                                unsigned long MPXAW:2; /*   MPXAW      */
                                unsigned long MPXMD:1; /*   MPXMD      */
                                unsigned long :1;      /*              */
                                unsigned long BW:2;    /*   BW         */
                                unsigned long :5;      /*              */
                                unsigned long W:4;     /*   W          */
                                unsigned long WM:1;    /*   WM         */
                                unsigned long :6;      /*              */
                                } BIT;           /*              */
                         } REG_CS6WCR;           /*              */
                   } BMPX_IO;                    /*              */
             union {                             /*              */
                   union {                       /* CS6WCR(PCMCIA) */
                         unsigned long LONG;           /*  Long Access */
                         struct {                /*  Bit Access  */
                                unsigned long :10;     /*              */
                                unsigned long SA:2;    /*   SA         */
                                unsigned long :5;      /*              */
                                unsigned long TED:4;   /*   TED        */
                                unsigned long PCW:4;   /*   PCW        */
                                unsigned long WM:1;    /*   WM         */
                                unsigned long :2;      /*              */
                                unsigned long TEH:4;   /*   TEH        */
                                } BIT;           /*              */
                         } REG_CS6WCR;           /*              */
                   } PCMCIA;                     /*              */
             } UN5_BSC;                          /*              */
       union {                                   /* CS7WCR       */
             unsigned long LONG;                       /*  Long Access */
             struct {                            /*  Bit Access  */
                    unsigned long :11;                 /*              */
                    unsigned long BAS:1;               /*   BAS        */
                    unsigned long :1;                  /*              */
                    unsigned long WW:3;                /*   WW         */
                    unsigned long :3;                  /*              */
                    unsigned long SW:2;                /*   SW         */
                    unsigned long WR:4;                /*   WR         */
                    unsigned long WM:1;                /*   WM         */
                    unsigned long :4;                  /*              */
                    unsigned long HW:2;                /*   HW         */
                    } BIT;                       /*              */
             } CS7WCR;                           /*              */

	unsigned long reserve02;

       union {                                   /* SDCR         */
             unsigned long LONG;                       /*  Long Access */
             struct {                            /*  Bit Access  */
                    unsigned long :11;                 /*              */
                    unsigned long A2ROW:2;             /*   A2ROW      */
                    unsigned long :1;                  /*              */
                    unsigned long A2COL:2;             /*   A2COL      */
                    unsigned long :2;                  /*              */
                    unsigned long DEEP:1;              /*   DEEP       */
                    unsigned long SLOW:1;              /*   SLOW       */
                    unsigned long RFSH:1;              /*   RFSH       */
                    unsigned long RMODE:1;             /*   RMODE      */
                    unsigned long PDOWN:1;             /*   PDOWN      */
                    unsigned long BACTV:1;             /*   BACTV      */
                    unsigned long :3;                  /*              */
                    unsigned long A3ROW:2;             /*   A3ROW      */
                    unsigned long :1;                  /*              */
                    unsigned long A3COL:2;             /*   A3COL      */
                    } BIT;                       /*              */
             } SDCR;                             /*              */
       union {                                   /* RTCSR        */
             unsigned long LONG;                       /*  Long Access */
             struct {                            /*  Bit Access  */
                    unsigned long :24;                 /*              */
                    unsigned long CMF:1;               /*   CMF        */
                    unsigned long CMIE:1;              /*   CMIE       */
                    unsigned long CKS:3;               /*   CKS        */
                    unsigned long RRC:3;               /*   RRC        */
                    } BIT;                       /*              */
             } RTCSR;                            /*              */
       union {                                   /* RTCNT        */
             unsigned long LONG;                       /*  Long Access */
             struct {                            /*  Bit Access  */
                    unsigned long D:32;                /*   D          */
                    } BIT;                       /*              */
             } RTCNT;                            /*              */
       union {                                   /* RTCOR        */
             unsigned long LONG;                       /*  Long Access */
             struct {                            /*  Bit Access  */
                    unsigned long D:32;                /*   D          */
                    } BIT;                       /*              */
             } RTCOR;                            /*              */
};                                               /*              */

struct st_ac {                                   /* struct AC    */
       union {                                   /* ACSWR        */
             unsigned long LONG;                       /*  Long Access */
             struct {                            /*  Bit Access  */
                    unsigned long :28;                 /*              */
                    unsigned long ACOSW:4;             /*   ACOSW      */
                    } BIT;                       /*              */
             } ACSWR;                            /*              */
       unsigned char wk0[1004];                         /*              */
       union {                                   /* ACKEYR       */
             unsigned char BYTE;                        /*  Byte Access */
             struct {                            /*  Bit Access  */
                    unsigned char D:8;                  /*   D          */
                    } BIT;                       /*              */
             } ACKEYR;                           /*              */
};                                               /*              */

struct st_dmac {                                 /* struct DMAC  */
       union {                                   /* SAR0         */
             unsigned long LONG;                       /*  Long Access */
             struct {                            /*  Word Access */
                    unsigned short H;                    /*   High       */
                    unsigned short L;                    /*   Low        */
                    } WORD;                      /*              */
             struct {                            /*  Bit Access  */
                    unsigned long D:32;                /*   D          */
                    } BIT;                       /*              */
             } SAR0;                             /*              */
       union {                                   /* DAR0         */
             unsigned long LONG;                       /*  Long Access */
             struct {                            /*  Word Access */
                    unsigned short H;                    /*   High       */
                    unsigned short L;                    /*   Low        */
                    } WORD;                      /*              */
             struct {                            /*  Bit Access  */
                    unsigned long D:32;                /*   D          */
                    } BIT;                       /*              */
             } DAR0;                             /*              */
       union {                                   /* DMATCR0      */
             unsigned long LONG;                       /*  Long Access */
             struct {                            /*  Word Access */
                    unsigned short H;                    /*   High       */
                    unsigned short L;                    /*   Low        */
                    } WORD;                      /*              */
             struct {                            /*  Bit Access  */
                    unsigned long D:32;                /*   D          */
                    } BIT;                       /*              */
             } DMATCR0;                          /*              */
       union {                                   /* CHCR0        */
             unsigned long LONG;                       /*  Long Access */
             struct {                            /*  Word Access */
                    unsigned short H;                    /*   High       */
                    unsigned short L;                    /*   Low        */
                    } WORD;                      /*              */
             struct {                            /*  Byte Access */
                    unsigned char HH;                   /*   High, High */
                    unsigned char HL;                   /*   High, Low  */
                    unsigned char LH;                   /*   Low, High  */
                    unsigned char LL;                   /*   Low, Low   */
                    } BYTE;                      /*              */
             struct {                            /*  Bit Access  */
                    unsigned long TC:1;                /*   TC         */
                    unsigned long :1;                  /*              */
                    unsigned long RLDSAR:1;            /*   RLDSAR     */
                    unsigned long RLDDAR:1;            /*   RLDDAR     */
                    unsigned long :1;                  /*              */
                    unsigned long DAF:1;               /*   DAF        */
                    unsigned long SAF:1;               /*   SAF        */
                    unsigned long :1;                  /*              */
                    unsigned long DO:1;                /*   DO         */
                    unsigned long TL:1;                /*   TL         */
                    unsigned long :1;                  /*              */
                    unsigned long TEMASK:1;            /*   TEMASK     */
                    unsigned long HE:1;                /*   HE         */
                    unsigned long HIE:1;               /*   HIE        */
                    unsigned long AM:1;                /*   AM         */
                    unsigned long AL:1;                /*   AL         */
                    unsigned long DM:2;                /*   DM         */
                    unsigned long SM:2;                /*   SM         */
                    unsigned long RS:4;                /*   RS         */
                    unsigned long DL:1;                /*   DL         */
                    unsigned long DS:1;                /*   DS         */
                    unsigned long TB:1;                /*   TB         */
                    unsigned long TS:2;                /*   TS         */
                    unsigned long IE:1;                /*   IE         */
                    unsigned long TE:1;                /*   TE         */
                    unsigned long DE:1;                /*   DE         */
                    } BIT;                       /*              */
             } CHCR0;                            /*              */
       union {                                   /* SAR1         */
             unsigned long LONG;                       /*  Long Access */
             struct {                            /*  Word Access */
                    unsigned short H;                    /*   High       */
                    unsigned short L;                    /*   Low        */
                    } WORD;                      /*              */
             struct {                            /*  Bit Access  */
                    unsigned long D:32;                /*   D          */
                    } BIT;                       /*              */
             } SAR1;                             /*              */
       union {                                   /* DAR1         */
             unsigned long LONG;                       /*  Long Access */
             struct {                            /*  Word Access */
                    unsigned short H;                    /*   High       */
                    unsigned short L;                    /*   Low        */
                    } WORD;                      /*              */
             struct {                            /*  Bit Access  */
                    unsigned long D:32;                /*   D          */
                    } BIT;                       /*              */
             } DAR1;                             /*              */
       union {                                   /* DMATCR1      */
             unsigned long LONG;                       /*  Long Access */
             struct {                            /*  Word Access */
                    unsigned short H;                    /*   High       */
                    unsigned short L;                    /*   Low        */
                    } WORD;                      /*              */
             struct {                            /*  Bit Access  */
                    unsigned long D:32;                /*   D          */
                    } BIT;                       /*              */
             } DMATCR1;                          /*              */
       union {                                   /* CHCR1        */
             unsigned long LONG;                       /*  Long Access */
             struct {                            /*  Word Access */
                    unsigned short H;                    /*   High       */
                    unsigned short L;                    /*   Low        */
                    } WORD;                      /*              */
             struct {                            /*  Byte Access */
                    unsigned char HH;                   /*   High, High */
                    unsigned char HL;                   /*   High, Low  */
                    unsigned char LH;                   /*   Low, High  */
                    unsigned char LL;                   /*   Low, Low   */
                    } BYTE;                      /*              */
             struct {                            /*  Bit Access  */
                    unsigned long TC:1;                /*   TC         */
                    unsigned long :1;                  /*              */
                    unsigned long RLDSAR:1;            /*   RLDSAR     */
                    unsigned long RLDDAR:1;            /*   RLDDAR     */
                    unsigned long :1;                  /*              */
                    unsigned long DAF:1;               /*   DAF        */
                    unsigned long SAF:1;               /*   SAF        */
                    unsigned long :1;                  /*              */
                    unsigned long DO:1;                /*   DO         */
                    unsigned long TL:1;                /*   TL         */
                    unsigned long :1;                  /*              */
                    unsigned long TEMASK:1;            /*   TEMASK     */
                    unsigned long HE:1;                /*   HE         */
                    unsigned long HIE:1;               /*   HIE        */
                    unsigned long AM:1;                /*   AM         */
                    unsigned long AL:1;                /*   AL         */
                    unsigned long DM:2;                /*   DM         */
                    unsigned long SM:2;                /*   SM         */
                    unsigned long RS:4;                /*   RS         */
                    unsigned long DL:1;                /*   DL         */
                    unsigned long DS:1;                /*   DS         */
                    unsigned long TB:1;                /*   TB         */
                    unsigned long TS:2;                /*   TS         */
                    unsigned long IE:1;                /*   IE         */
                    unsigned long TE:1;                /*   TE         */
                    unsigned long DE:1;                /*   DE         */
                    } BIT;                       /*              */
             } CHCR1;                            /*              */
       union {                                   /* SAR2         */
             unsigned long LONG;                       /*  Long Access */
             struct {                            /*  Word Access */
                    unsigned short H;                    /*   High       */
                    unsigned short L;                    /*   Low        */
                    } WORD;                      /*              */
             struct {                            /*  Bit Access  */
                    unsigned long D:32;                /*   D          */
                    } BIT;                       /*              */
             } SAR2;                             /*              */
       union {                                   /* DAR2         */
             unsigned long LONG;                       /*  Long Access */
             struct {                            /*  Word Access */
                    unsigned short H;                    /*   High       */
                    unsigned short L;                    /*   Low        */
                    } WORD;                      /*              */
             struct {                            /*  Bit Access  */
                    unsigned long D:32;                /*   D          */
                    } BIT;                       /*              */
             } DAR2;                             /*              */
       union {                                   /* DMATCR2      */
             unsigned long LONG;                       /*  Long Access */
             struct {                            /*  Word Access */
                    unsigned short H;                    /*   High       */
                    unsigned short L;                    /*   Low        */
                    } WORD;                      /*              */
             struct {                            /*  Bit Access  */
                    unsigned long D:32;                /*   D          */
                    } BIT;                       /*              */
             } DMATCR2;                          /*              */
       union {                                   /* CHCR2        */
             unsigned long LONG;                       /*  Long Access */
             struct {                            /*  Word Access */
                    unsigned short H;                    /*   High       */
                    unsigned short L;                    /*   Low        */
                    } WORD;                      /*              */
             struct {                            /*  Byte Access */
                    unsigned char HH;                   /*   High, High */
                    unsigned char HL;                   /*   High, Low  */
                    unsigned char LH;                   /*   Low, High  */
                    unsigned char LL;                   /*   Low, Low   */
                    } BYTE;                      /*              */
             struct {                            /*  Bit Access  */
                    unsigned long TC:1;                /*   TC         */
                    unsigned long :1;                  /*              */
                    unsigned long RLDSAR:1;            /*   RLDSAR     */
                    unsigned long RLDDAR:1;            /*   RLDDAR     */
                    unsigned long :1;                  /*              */
                    unsigned long DAF:1;               /*   DAF        */
                    unsigned long SAF:1;               /*   SAF        */
                    unsigned long :1;                  /*              */
                    unsigned long DO:1;                /*   DO         */
                    unsigned long TL:1;                /*   TL         */
                    unsigned long :1;                  /*              */
                    unsigned long TEMASK:1;            /*   TEMASK     */
                    unsigned long HE:1;                /*   HE         */
                    unsigned long HIE:1;               /*   HIE        */
                    unsigned long AM:1;                /*   AM         */
                    unsigned long AL:1;                /*   AL         */
                    unsigned long DM:2;                /*   DM         */
                    unsigned long SM:2;                /*   SM         */
                    unsigned long RS:4;                /*   RS         */
                    unsigned long DL:1;                /*   DL         */
                    unsigned long DS:1;                /*   DS         */
                    unsigned long TB:1;                /*   TB         */
                    unsigned long TS:2;                /*   TS         */
                    unsigned long IE:1;                /*   IE         */
                    unsigned long TE:1;                /*   TE         */
                    unsigned long DE:1;                /*   DE         */
                    } BIT;                       /*              */
             } CHCR2;                            /*              */
       union {                                   /* SAR3         */
             unsigned long LONG;                       /*  Long Access */
             struct {                            /*  Word Access */
                    unsigned short H;                    /*   High       */
                    unsigned short L;                    /*   Low        */
                    } WORD;                      /*              */
             struct {                            /*  Bit Access  */
                    unsigned long D:32;                /*   D          */
                    } BIT;                       /*              */
             } SAR3;                             /*              */
       union {                                   /* DAR3         */
             unsigned long LONG;                       /*  Long Access */
             struct {                            /*  Word Access */
                    unsigned short H;                    /*   High       */
                    unsigned short L;                    /*   Low        */
                    } WORD;                      /*              */
             struct {                            /*  Bit Access  */
                    unsigned long D:32;                /*   D          */
                    } BIT;                       /*              */
             } DAR3;                             /*              */
       union {                                   /* DMATCR3      */
             unsigned long LONG;                       /*  Long Access */
             struct {                            /*  Word Access */
                    unsigned short H;                    /*   High       */
                    unsigned short L;                    /*   Low        */
                    } WORD;                      /*              */
             struct {                            /*  Bit Access  */
                    unsigned long D:32;                /*   D          */
                    } BIT;                       /*              */
             } DMATCR3;                          /*              */
       union {                                   /* CHCR3        */
             unsigned long LONG;                       /*  Long Access */
             struct {                            /*  Word Access */
                    unsigned short H;                    /*   High       */
                    unsigned short L;                    /*   Low        */
                    } WORD;                      /*              */
             struct {                            /*  Byte Access */
                    unsigned char HH;                   /*   High, High */
                    unsigned char HL;                   /*   High, Low  */
                    unsigned char LH;                   /*   Low, High  */
                    unsigned char LL;                   /*   Low, Low   */
                    } BYTE;                      /*              */
             struct {                            /*  Bit Access  */
                    unsigned long TC:1;                /*   TC         */
                    unsigned long :1;                  /*              */
                    unsigned long RLDSAR:1;            /*   RLDSAR     */
                    unsigned long RLDDAR:1;            /*   RLDDAR     */
                    unsigned long :1;                  /*              */
                    unsigned long DAF:1;               /*   DAF        */
                    unsigned long SAF:1;               /*   SAF        */
                    unsigned long :1;                  /*              */
                    unsigned long DO:1;                /*   DO         */
                    unsigned long TL:1;                /*   TL         */
                    unsigned long :1;                  /*              */
                    unsigned long TEMASK:1;            /*   TEMASK     */
                    unsigned long HE:1;                /*   HE         */
                    unsigned long HIE:1;               /*   HIE        */
                    unsigned long AM:1;                /*   AM         */
                    unsigned long AL:1;                /*   AL         */
                    unsigned long DM:2;                /*   DM         */
                    unsigned long SM:2;                /*   SM         */
                    unsigned long RS:4;                /*   RS         */
                    unsigned long DL:1;                /*   DL         */
                    unsigned long DS:1;                /*   DS         */
                    unsigned long TB:1;                /*   TB         */
                    unsigned long TS:2;                /*   TS         */
                    unsigned long IE:1;                /*   IE         */
                    unsigned long TE:1;                /*   TE         */
                    unsigned long DE:1;                /*   DE         */
                    } BIT;                       /*              */
             } CHCR3;                            /*              */
       union {                                   /* SAR4         */
             unsigned long LONG;                       /*  Long Access */
             struct {                            /*  Word Access */
                    unsigned short H;                    /*   High       */
                    unsigned short L;                    /*   Low        */
                    } WORD;                      /*              */
             struct {                            /*  Bit Access  */
                    unsigned long D:32;                /*   D          */
                    } BIT;                       /*              */
             } SAR4;                             /*              */
       union {                                   /* DAR4         */
             unsigned long LONG;                       /*  Long Access */
             struct {                            /*  Word Access */
                    unsigned short H;                    /*   High       */
                    unsigned short L;                    /*   Low        */
                    } WORD;                      /*              */
             struct {                            /*  Bit Access  */
                    unsigned long D:32;                /*   D          */
                    } BIT;                       /*              */
             } DAR4;                             /*              */
       union {                                   /* DMATCR4      */
             unsigned long LONG;                       /*  Long Access */
             struct {                            /*  Word Access */
                    unsigned short H;                    /*   High       */
                    unsigned short L;                    /*   Low        */
                    } WORD;                      /*              */
             struct {                            /*  Bit Access  */
                    unsigned long D:32;                /*   D          */
                    } BIT;                       /*              */
             } DMATCR4;                          /*              */
       union {                                   /* CHCR4        */
             unsigned long LONG;                       /*  Long Access */
             struct {                            /*  Word Access */
                    unsigned short H;                    /*   High       */
                    unsigned short L;                    /*   Low        */
                    } WORD;                      /*              */
             struct {                            /*  Byte Access */
                    unsigned char HH;                   /*   High, High */
                    unsigned char HL;                   /*   High, Low  */
                    unsigned char LH;                   /*   Low, High  */
                    unsigned char LL;                   /*   Low, Low   */
                    } BYTE;                      /*              */
             struct {                            /*  Bit Access  */
                    unsigned long TC:1;                /*   TC         */
                    unsigned long :1;                  /*              */
                    unsigned long RLDSAR:1;            /*   RLDSAR     */
                    unsigned long RLDDAR:1;            /*   RLDDAR     */
                    unsigned long :1;                  /*              */
                    unsigned long DAF:1;               /*   DAF        */
                    unsigned long SAF:1;               /*   SAF        */
                    unsigned long :1;                  /*              */
                    unsigned long DO:1;                /*   DO         */
                    unsigned long TL:1;                /*   TL         */
                    unsigned long :1;                  /*              */
                    unsigned long TEMASK:1;            /*   TEMASK     */
                    unsigned long HE:1;                /*   HE         */
                    unsigned long HIE:1;               /*   HIE        */
                    unsigned long AM:1;                /*   AM         */
                    unsigned long AL:1;                /*   AL         */
                    unsigned long DM:2;                /*   DM         */
                    unsigned long SM:2;                /*   SM         */
                    unsigned long RS:4;                /*   RS         */
                    unsigned long DL:1;                /*   DL         */
                    unsigned long DS:1;                /*   DS         */
                    unsigned long TB:1;                /*   TB         */
                    unsigned long TS:2;                /*   TS         */
                    unsigned long IE:1;                /*   IE         */
                    unsigned long TE:1;                /*   TE         */
                    unsigned long DE:1;                /*   DE         */
                    } BIT;                       /*              */
             } CHCR4;                            /*              */
       union {                                   /* SAR5         */
             unsigned long LONG;                       /*  Long Access */
             struct {                            /*  Word Access */
                    unsigned short H;                    /*   High       */
                    unsigned short L;                    /*   Low        */
                    } WORD;                      /*              */
             struct {                            /*  Bit Access  */
                    unsigned long D:32;                /*   D          */
                    } BIT;                       /*              */
             } SAR5;                             /*              */
       union {                                   /* DAR5         */
             unsigned long LONG;                       /*  Long Access */
             struct {                            /*  Word Access */
                    unsigned short H;                    /*   High       */
                    unsigned short L;                    /*   Low        */
                    } WORD;                      /*              */
             struct {                            /*  Bit Access  */
                    unsigned long D:32;                /*   D          */
                    } BIT;                       /*              */
             } DAR5;                             /*              */
       union {                                   /* DMATCR5      */
             unsigned long LONG;                       /*  Long Access */
             struct {                            /*  Word Access */
                    unsigned short H;                    /*   High       */
                    unsigned short L;                    /*   Low        */
                    } WORD;                      /*              */
             struct {                            /*  Bit Access  */
                    unsigned long D:32;                /*   D          */
                    } BIT;                       /*              */
             } DMATCR5;                          /*              */
       union {                                   /* CHCR5        */
             unsigned long LONG;                       /*  Long Access */
             struct {                            /*  Word Access */
                    unsigned short H;                    /*   High       */
                    unsigned short L;                    /*   Low        */
                    } WORD;                      /*              */
             struct {                            /*  Byte Access */
                    unsigned char HH;                   /*   High, High */
                    unsigned char HL;                   /*   High, Low  */
                    unsigned char LH;                   /*   Low, High  */
                    unsigned char LL;                   /*   Low, Low   */
                    } BYTE;                      /*              */
             struct {                            /*  Bit Access  */
                    unsigned long TC:1;                /*   TC         */
                    unsigned long :1;                  /*              */
                    unsigned long RLDSAR:1;            /*   RLDSAR     */
                    unsigned long RLDDAR:1;            /*   RLDDAR     */
                    unsigned long :1;                  /*              */
                    unsigned long DAF:1;               /*   DAF        */
                    unsigned long SAF:1;               /*   SAF        */
                    unsigned long :1;                  /*              */
                    unsigned long DO:1;                /*   DO         */
                    unsigned long TL:1;                /*   TL         */
                    unsigned long :1;                  /*              */
                    unsigned long TEMASK:1;            /*   TEMASK     */
                    unsigned long HE:1;                /*   HE         */
                    unsigned long HIE:1;               /*   HIE        */
                    unsigned long AM:1;                /*   AM         */
                    unsigned long AL:1;                /*   AL         */
                    unsigned long DM:2;                /*   DM         */
                    unsigned long SM:2;                /*   SM         */
                    unsigned long RS:4;                /*   RS         */
                    unsigned long DL:1;                /*   DL         */
                    unsigned long DS:1;                /*   DS         */
                    unsigned long TB:1;                /*   TB         */
                    unsigned long TS:2;                /*   TS         */
                    unsigned long IE:1;                /*   IE         */
                    unsigned long TE:1;                /*   TE         */
                    unsigned long DE:1;                /*   DE         */
                    } BIT;                       /*              */
             } CHCR5;                            /*              */
       union {                                   /* SAR6         */
             unsigned long LONG;                       /*  Long Access */
             struct {                            /*  Word Access */
                    unsigned short H;                    /*   High       */
                    unsigned short L;                    /*   Low        */
                    } WORD;                      /*              */
             struct {                            /*  Bit Access  */
                    unsigned long D:32;                /*   D          */
                    } BIT;                       /*              */
             } SAR6;                             /*              */
       union {                                   /* DAR6         */
             unsigned long LONG;                       /*  Long Access */
             struct {                            /*  Word Access */
                    unsigned short H;                    /*   High       */
                    unsigned short L;                    /*   Low        */
                    } WORD;                      /*              */
             struct {                            /*  Bit Access  */
                    unsigned long D:32;                /*   D          */
                    } BIT;                       /*              */
             } DAR6;                             /*              */
       union {                                   /* DMATCR6      */
             unsigned long LONG;                       /*  Long Access */
             struct {                            /*  Word Access */
                    unsigned short H;                    /*   High       */
                    unsigned short L;                    /*   Low        */
                    } WORD;                      /*              */
             struct {                            /*  Bit Access  */
                    unsigned long D:32;                /*   D          */
                    } BIT;                       /*              */
             } DMATCR6;                          /*              */
       union {                                   /* CHCR6        */
             unsigned long LONG;                       /*  Long Access */
             struct {                            /*  Word Access */
                    unsigned short H;                    /*   High       */
                    unsigned short L;                    /*   Low        */
                    } WORD;                      /*              */
             struct {                            /*  Byte Access */
                    unsigned char HH;                   /*   High, High */
                    unsigned char HL;                   /*   High, Low  */
                    unsigned char LH;                   /*   Low, High  */
                    unsigned char LL;                   /*   Low, Low   */
                    } BYTE;                      /*              */
             struct {                            /*  Bit Access  */
                    unsigned long TC:1;                /*   TC         */
                    unsigned long :1;                  /*              */
                    unsigned long RLDSAR:1;            /*   RLDSAR     */
                    unsigned long RLDDAR:1;            /*   RLDDAR     */
                    unsigned long :1;                  /*              */
                    unsigned long DAF:1;               /*   DAF        */
                    unsigned long SAF:1;               /*   SAF        */
                    unsigned long :1;                  /*              */
                    unsigned long DO:1;                /*   DO         */
                    unsigned long TL:1;                /*   TL         */
                    unsigned long :1;                  /*              */
                    unsigned long TEMASK:1;            /*   TEMASK     */
                    unsigned long HE:1;                /*   HE         */
                    unsigned long HIE:1;               /*   HIE        */
                    unsigned long AM:1;                /*   AM         */
                    unsigned long AL:1;                /*   AL         */
                    unsigned long DM:2;                /*   DM         */
                    unsigned long SM:2;                /*   SM         */
                    unsigned long RS:4;                /*   RS         */
                    unsigned long DL:1;                /*   DL         */
                    unsigned long DS:1;                /*   DS         */
                    unsigned long TB:1;                /*   TB         */
                    unsigned long TS:2;                /*   TS         */
                    unsigned long IE:1;                /*   IE         */
                    unsigned long TE:1;                /*   TE         */
                    unsigned long DE:1;                /*   DE         */
                    } BIT;                       /*              */
             } CHCR6;                            /*              */
       union {                                   /* SAR7         */
             unsigned long LONG;                       /*  Long Access */
             struct {                            /*  Word Access */
                    unsigned short H;                    /*   High       */
                    unsigned short L;                    /*   Low        */
                    } WORD;                      /*              */
             struct {                            /*  Bit Access  */
                    unsigned long D:32;                /*   D          */
                    } BIT;                       /*              */
             } SAR7;                             /*              */
       union {                                   /* DAR7         */
             unsigned long LONG;                       /*  Long Access */
             struct {                            /*  Word Access */
                    unsigned short H;                    /*   High       */
                    unsigned short L;                    /*   Low        */
                    } WORD;                      /*              */
             struct {                            /*  Bit Access  */
                    unsigned long D:32;                /*   D          */
                    } BIT;                       /*              */
             } DAR7;                             /*              */
       union {                                   /* DMATCR7      */
             unsigned long LONG;                       /*  Long Access */
             struct {                            /*  Word Access */
                    unsigned short H;                    /*   High       */
                    unsigned short L;                    /*   Low        */
                    } WORD;                      /*              */
             struct {                            /*  Bit Access  */
                    unsigned long D:32;                /*   D          */
                    } BIT;                       /*              */
             } DMATCR7;                          /*              */
       union {                                   /* CHCR7        */
             unsigned long LONG;                       /*  Long Access */
             struct {                            /*  Word Access */
                    unsigned short H;                    /*   High       */
                    unsigned short L;                    /*   Low        */
                    } WORD;                      /*              */
             struct {                            /*  Byte Access */
                    unsigned char HH;                   /*   High, High */
                    unsigned char HL;                   /*   High, Low  */
                    unsigned char LH;                   /*   Low, High  */
                    unsigned char LL;                   /*   Low, Low   */
                    } BYTE;                      /*              */
             struct {                            /*  Bit Access  */
                    unsigned long TC:1;                /*   TC         */
                    unsigned long :1;                  /*              */
                    unsigned long RLDSAR:1;            /*   RLDSAR     */
                    unsigned long RLDDAR:1;            /*   RLDDAR     */
                    unsigned long :1;                  /*              */
                    unsigned long DAF:1;               /*   DAF        */
                    unsigned long SAF:1;               /*   SAF        */
                    unsigned long :1;                  /*              */
                    unsigned long DO:1;                /*   DO         */
                    unsigned long TL:1;                /*   TL         */
                    unsigned long :1;                  /*              */
                    unsigned long TEMASK:1;            /*   TEMASK     */
                    unsigned long HE:1;                /*   HE         */
                    unsigned long HIE:1;               /*   HIE        */
                    unsigned long AM:1;                /*   AM         */
                    unsigned long AL:1;                /*   AL         */
                    unsigned long DM:2;                /*   DM         */
                    unsigned long SM:2;                /*   SM         */
                    unsigned long RS:4;                /*   RS         */
                    unsigned long DL:1;                /*   DL         */
                    unsigned long DS:1;                /*   DS         */
                    unsigned long TB:1;                /*   TB         */
                    unsigned long TS:2;                /*   TS         */
                    unsigned long IE:1;                /*   IE         */
                    unsigned long TE:1;                /*   TE         */
                    unsigned long DE:1;                /*   DE         */
                    } BIT;                       /*              */
             } CHCR7;                            /*              */
       unsigned char wk0[128];                          /*              */
       union {                                   /* RSAR0        */
             unsigned long LONG;                       /*  Long Access */
             struct {                            /*  Word Access */
                    unsigned short H;                    /*   High       */
                    unsigned short L;                    /*   Low        */
                    } WORD;                      /*              */
             struct {                            /*  Bit Access  */
                    unsigned long D:32;                /*   D          */
                    } BIT;                       /*              */
             } RSAR0;                            /*              */
       union {                                   /* RDAR0        */
             unsigned long LONG;                       /*  Long Access */
             struct {                            /*  Word Access */
                    unsigned short H;                    /*   High       */
                    unsigned short L;                    /*   Low        */
                    } WORD;                      /*              */
             struct {                            /*  Bit Access  */
                    unsigned long D:32;                /*   D          */
                    } BIT;                       /*              */
             } RDAR0;                            /*              */
       union {                                   /* RDMATCR0     */
             unsigned long LONG;                       /*  Long Access */
             struct {                            /*  Word Access */
                    unsigned short H;                    /*   High       */
                    unsigned short L;                    /*   Low        */
                    } WORD;                      /*              */
             struct {                            /*  Bit Access  */
                    unsigned long D:32;                /*   D          */
                    } BIT;                       /*              */
             } RDMATCR0;                         /*              */
       unsigned char wk1[4];                            /*              */
       union {                                   /* RSAR1        */
             unsigned long LONG;                       /*  Long Access */
             struct {                            /*  Word Access */
                    unsigned short H;                    /*   High       */
                    unsigned short L;                    /*   Low        */
                    } WORD;                      /*              */
             struct {                            /*  Bit Access  */
                    unsigned long D:32;                /*   D          */
                    } BIT;                       /*              */
             } RSAR1;                            /*              */
       union {                                   /* RDAR1        */
             unsigned long LONG;                       /*  Long Access */
             struct {                            /*  Word Access */
                    unsigned short H;                    /*   High       */
                    unsigned short L;                    /*   Low        */
                    } WORD;                      /*              */
             struct {                            /*  Bit Access  */
                    unsigned long D:32;                /*   D          */
                    } BIT;                       /*              */
             } RDAR1;                            /*              */
       union {                                   /* RDMATCR1     */
             unsigned long LONG;                       /*  Long Access */
             struct {                            /*  Word Access */
                    unsigned short H;                    /*   High       */
                    unsigned short L;                    /*   Low        */
                    } WORD;                      /*              */
             struct {                            /*  Bit Access  */
                    unsigned long D:32;                /*   D          */
                    } BIT;                       /*              */
             } RDMATCR1;                         /*              */
       unsigned char wk2[4];                            /*              */
       union {                                   /* RSAR2        */
             unsigned long LONG;                       /*  Long Access */
             struct {                            /*  Word Access */
                    unsigned short H;                    /*   High       */
                    unsigned short L;                    /*   Low        */
                    } WORD;                      /*              */
             struct {                            /*  Bit Access  */
                    unsigned long D:32;                /*   D          */
                    } BIT;                       /*              */
             } RSAR2;                            /*              */
       union {                                   /* RDAR2        */
             unsigned long LONG;                       /*  Long Access */
             struct {                            /*  Word Access */
                    unsigned short H;                    /*   High       */
                    unsigned short L;                    /*   Low        */
                    } WORD;                      /*              */
             struct {                            /*  Bit Access  */
                    unsigned long D:32;                /*   D          */
                    } BIT;                       /*              */
             } RDAR2;                            /*              */
       union {                                   /* RDMATCR2     */
             unsigned long LONG;                       /*  Long Access */
             struct {                            /*  Word Access */
                    unsigned short H;                    /*   High       */
                    unsigned short L;                    /*   Low        */
                    } WORD;                      /*              */
             struct {                            /*  Bit Access  */
                    unsigned long D:32;                /*   D          */
                    } BIT;                       /*              */
             } RDMATCR2;                         /*              */
       unsigned char wk3[4];                            /*              */
       union {                                   /* RSAR3        */
             unsigned long LONG;                       /*  Long Access */
             struct {                            /*  Word Access */
                    unsigned short H;                    /*   High       */
                    unsigned short L;                    /*   Low        */
                    } WORD;                      /*              */
             struct {                            /*  Bit Access  */
                    unsigned long D:32;                /*   D          */
                    } BIT;                       /*              */
             } RSAR3;                            /*              */
       union {                                   /* RDAR3        */
             unsigned long LONG;                       /*  Long Access */
             struct {                            /*  Word Access */
                    unsigned short H;                    /*   High       */
                    unsigned short L;                    /*   Low        */
                    } WORD;                      /*              */
             struct {                            /*  Bit Access  */
                    unsigned long D:32;                /*   D          */
                    } BIT;                       /*              */
             } RDAR3;                            /*              */
       union {                                   /* RDMATCR3     */
             unsigned long LONG;                       /*  Long Access */
             struct {                            /*  Word Access */
                    unsigned short H;                    /*   High       */
                    unsigned short L;                    /*   Low        */
                    } WORD;                      /*              */
             struct {                            /*  Bit Access  */
                    unsigned long D:32;                /*   D          */
                    } BIT;                       /*              */
             } RDMATCR3;                         /*              */
       unsigned char wk4[4];                            /*              */
       union {                                   /* RSAR4        */
             unsigned long LONG;                       /*  Long Access */
             struct {                            /*  Word Access */
                    unsigned short H;                    /*   High       */
                    unsigned short L;                    /*   Low        */
                    } WORD;                      /*              */
             struct {                            /*  Bit Access  */
                    unsigned long D:32;                /*   D          */
                    } BIT;                       /*              */
             } RSAR4;                            /*              */
       union {                                   /* RDAR4        */
             unsigned long LONG;                       /*  Long Access */
             struct {                            /*  Word Access */
                    unsigned short H;                    /*   High       */
                    unsigned short L;                    /*   Low        */
                    } WORD;                      /*              */
             struct {                            /*  Bit Access  */
                    unsigned long D:32;                /*   D          */
                    } BIT;                       /*              */
             } RDAR4;                            /*              */
       union {                                   /* RDMATCR4     */
             unsigned long LONG;                       /*  Long Access */
             struct {                            /*  Word Access */
                    unsigned short H;                    /*   High       */
                    unsigned short L;                    /*   Low        */
                    } WORD;                      /*              */
             struct {                            /*  Bit Access  */
                    unsigned long D:32;                /*   D          */
                    } BIT;                       /*              */
             } RDMATCR4;                         /*              */
       unsigned char wk5[4];                            /*              */
       union {                                   /* RSAR5        */
             unsigned long LONG;                       /*  Long Access */
             struct {                            /*  Word Access */
                    unsigned short H;                    /*   High       */
                    unsigned short L;                    /*   Low        */
                    } WORD;                      /*              */
             struct {                            /*  Bit Access  */
                    unsigned long D:32;                /*   D          */
                    } BIT;                       /*              */
             } RSAR5;                            /*              */
       union {                                   /* RDAR5        */
             unsigned long LONG;                       /*  Long Access */
             struct {                            /*  Word Access */
                    unsigned short H;                    /*   High       */
                    unsigned short L;                    /*   Low        */
                    } WORD;                      /*              */
             struct {                            /*  Bit Access  */
                    unsigned long D:32;                /*   D          */
                    } BIT;                       /*              */
             } RDAR5;                            /*              */
       union {                                   /* RDMATCR5     */
             unsigned long LONG;                       /*  Long Access */
             struct {                            /*  Word Access */
                    unsigned short H;                    /*   High       */
                    unsigned short L;                    /*   Low        */
                    } WORD;                      /*              */
             struct {                            /*  Bit Access  */
                    unsigned long D:32;                /*   D          */
                    } BIT;                       /*              */
             } RDMATCR5;                         /*              */
       unsigned char wk6[4];                            /*              */
       union {                                   /* RSAR6        */
             unsigned long LONG;                       /*  Long Access */
             struct {                            /*  Word Access */
                    unsigned short H;                    /*   High       */
                    unsigned short L;                    /*   Low        */
                    } WORD;                      /*              */
             struct {                            /*  Bit Access  */
                    unsigned long D:32;                /*   D          */
                    } BIT;                       /*              */
             } RSAR6;                            /*              */
       union {                                   /* RDAR6        */
             unsigned long LONG;                       /*  Long Access */
             struct {                            /*  Word Access */
                    unsigned short H;                    /*   High       */
                    unsigned short L;                    /*   Low        */
                    } WORD;                      /*              */
             struct {                            /*  Bit Access  */
                    unsigned long D:32;                /*   D          */
                    } BIT;                       /*              */
             } RDAR6;                            /*              */
       union {                                   /* RDMATCR6     */
             unsigned long LONG;                       /*  Long Access */
             struct {                            /*  Word Access */
                    unsigned short H;                    /*   High       */
                    unsigned short L;                    /*   Low        */
                    } WORD;                      /*              */
             struct {                            /*  Bit Access  */
                    unsigned long D:32;                /*   D          */
                    } BIT;                       /*              */
             } RDMATCR6;                         /*              */
       unsigned char wk7[4];                            /*              */
       union {                                   /* RSAR7        */
             unsigned long LONG;                       /*  Long Access */
             struct {                            /*  Word Access */
                    unsigned short H;                    /*   High       */
                    unsigned short L;                    /*   Low        */
                    } WORD;                      /*              */
             struct {                            /*  Bit Access  */
                    unsigned long D:32;                /*   D          */
                    } BIT;                       /*              */
             } RSAR7;                            /*              */
       union {                                   /* RDAR7        */
             unsigned long LONG;                       /*  Long Access */
             struct {                            /*  Word Access */
                    unsigned short H;                    /*   High       */
                    unsigned short L;                    /*   Low        */
                    } WORD;                      /*              */
             struct {                            /*  Bit Access  */
                    unsigned long D:32;                /*   D          */
                    } BIT;                       /*              */
             } RDAR7;                            /*              */
       union {                                   /* RDMATCR7     */
             unsigned long LONG;                       /*  Long Access */
             struct {                            /*  Word Access */
                    unsigned short H;                    /*   High       */
                    unsigned short L;                    /*   Low        */
                    } WORD;                      /*              */
             struct {                            /*  Bit Access  */
                    unsigned long D:32;                /*   D          */
                    } BIT;                       /*              */
             } RDMATCR7;                         /*              */
       unsigned char wk8[132];                          /*              */
       union {                                   /* DMAOR        */
             unsigned short WORD;                        /*  Word Access */
             struct {                            /*  Byte Access */
                    unsigned char H;                    /*   High       */
                    unsigned char L;                    /*   Low        */
                    } BYTE;                      /*              */
             struct {                            /*  Bit Access  */
                    unsigned short :2;                   /*              */
                    unsigned short CMS:2;                /*   CMS        */
                    unsigned short :2;                   /*              */
                    unsigned short PR:2;                 /*   PR         */
                    unsigned short :5;                   /*              */
                    unsigned short AE:1;                 /*   AE         */
                    unsigned short NMIF:1;               /*   NMIF       */
                    unsigned short DME:1;                /*   DME        */
                    } BIT;                       /*              */
             } DMAOR;                            /*              */
       unsigned char wk9[254];                          /*              */
       union {                                   /* DMARS0       */
             unsigned short WORD;                        /*  Word Access */
             struct {                            /*  Byte Access */
                    unsigned short CH1:8;                /*   CH1        */
                    unsigned short CH0:8;                /*   CH0        */
                    } BYTE;                      /*              */
             struct {                            /*  Bit Access  */
                    unsigned short CH1MID:6;             /*   CH1MID     */
                    unsigned short CH1RID:2;             /*   CH1RID     */
                    unsigned short CH0MID:6;             /*   CH0MID     */
                    unsigned short CH0RID:2;             /*   CH0RID     */
                    } BIT;                       /*              */
             } DMARS0;                           /*              */
       unsigned char wk10[2];                           /*              */
       union {                                   /* DMARS1       */
             unsigned short WORD;                        /*  Word Access */
             struct {                            /*  Byte Access */
                    unsigned short CH3:8;                /*   CH3        */
                    unsigned short CH2:8;                /*   CH2        */
                    } BYTE;                      /*              */
             struct {                            /*  Bit Access  */
                    unsigned short CH3MID:6;             /*   CH3MID     */
                    unsigned short CH3RID:2;             /*   CH3RID     */
                    unsigned short CH2MID:6;             /*   CH2MID     */
                    unsigned short CH2RID:2;             /*   CH2RID     */
                    } BIT;                       /*              */
             } DMARS1;                           /*              */
       unsigned char wk11[2];                           /*              */
       union {                                   /* DMARS2       */
             unsigned short WORD;                        /*  Word Access */
             struct {                            /*  Byte Access */
                    unsigned short CH5:8;                /*   CH5        */
                    unsigned short CH4:8;                /*   CH4        */
                    } BYTE;                      /*              */
             struct {                            /*  Bit Access  */
                    unsigned short CH5MID:6;             /*   CH5MID     */
                    unsigned short CH5RID:2;             /*   CH5RID     */
                    unsigned short CH4MID:6;             /*   CH4MID     */
                    unsigned short CH4RID:2;             /*   CH4RID     */
                    } BIT;                       /*              */
             } DMARS2;                           /*              */
       unsigned char wk12[2];                           /*              */
       union {                                   /* DMARS3       */
             unsigned short WORD;                        /*  Word Access */
             struct {                            /*  Byte Access */
                    unsigned short CH7:8;                /*   CH7        */
                    unsigned short CH6:8;                /*   CH6        */
                    } BYTE;                      /*              */
             struct {                            /*  Bit Access  */
                    unsigned short CH7MID:6;             /*   CH7MID     */
                    unsigned short CH7RID:2;             /*   CH7RID     */
                    unsigned short CH6MID:6;             /*   CH6MID     */
                    unsigned short CH6RID:2;             /*   CH6RID     */
                    } BIT;                       /*              */
             } DMARS3;                           /*              */
};                                               /*              */

struct st_ubc {								/* struct UBC   */
	union {									/* BAR0         */
		unsigned long LONG;						/*  Long Access */
		struct {							/*  Bit Access  */
			unsigned long BA0_:32;				/*   BA0_       */
		} BIT;								/*              */
	} BAR0;									/*              */
	union {									/* BAMR0        */
		unsigned long LONG;						/*  Long Access */
		struct {							/*  Bit Access  */
			unsigned long BAM0_:32;				/*   BAM0_      */
		} BIT;
	} BAMR0;
	union {									/* BDR0         */
		unsigned long LONG;						/*  Long Access */
		struct {							/*  Bit Access  */
			unsigned long BD0_:32;				/*   BD0_       */
		} BIT;
	} BDR0;
	union {									/* BDMR0        */
		unsigned long LONG;						/*  Long Access */
		struct {							/*  Bit Access  */
			unsigned long BDM0_:32;				/*   BDM0_      */
		} BIT;
	} BDMR0;
	union {									/* BAR1         */
		unsigned long LONG;						/*  Long Access */
		struct {							/*  Bit Access  */
			unsigned long BA1_:32;				/*   BA1_       */
		} BIT;
	} BAR1;
	union {									/* BAMR1        */
		unsigned long LONG;						/*  Long Access */
		struct {							/*  Bit Access  */
			unsigned long BAM1_:32;				/*   BAM1_      */
		} BIT;
	} BAMR1;
	union {									/* BDR1         */
		unsigned long LONG;						/*  Long Access */
		struct {							/*  Bit Access  */
			unsigned long BD1_:32;				/*   BD1_       */
		} BIT;
	} BDR1;
	union {									/* BDMR1        */
		unsigned long LONG;						/*  Long Access */
		struct {							/*  Bit Access  */
			unsigned long BDM1_:32;				/*   BDM1_      */
		} BIT;
	} BDMR1;
	unsigned char wk0[128];
	union {									/* BBR0         */
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Bit Access  */
			unsigned short :2;
			unsigned short UBID0:1;					/*   UBID0      */
			unsigned short DBE0:1;					/*   DBE0       */
			unsigned short :2;						/*              */
			unsigned short CP0_:2;					/*   CP0_       */
			unsigned short CD0_:2;					/*   CD0_       */
			unsigned short ID0_:2;					/*   ID0_       */
			unsigned short RW0_:2;					/*   RW0_       */
			unsigned short SZ0_:2;					/*   SZ0_       */
		} BIT;
	} BBR0;
	unsigned char wk1[14];
	union {									/* BBR1         */
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Bit Access  */
			unsigned short :2;						/*              */
			unsigned short UBID1:1;					/*   UBID1      */
			unsigned short DBE1:1;					/*   DBE1       */
			unsigned short :2;						/*              */
			unsigned short CP1_:2;					/*   CP1_       */
			unsigned short CD1_:2;					/*   CD1_       */
			unsigned short ID1_:2;					/*   ID1_       */
			unsigned short RW1_:2;					/*   RW1_       */
			unsigned short SZ1_:2;					/*   SZ1_       */
		} BIT;
	} BBR1;
	unsigned char wk2[14];
	union {									/* BRCR         */
		unsigned long LONG;						/*  Long Access */
		struct {							/*  Bit Access  */
			unsigned long :12;					/*              */
			unsigned long UTOD:2;					/*   UTOD        */
			unsigned long CKS:2;					/*   CKS        */
			unsigned long SCMFC0:1;				/*   SCMFC0     */
			unsigned long SCMFC1:1;				/*   SCMFC1     */
			unsigned long SCMFD0:1;				/*   SCMFD0     */
			unsigned long SCMFD1:1;				/*   SCMFD1     */
			unsigned long :5;						/*              */
			unsigned long PCB:2;					/*   PCB        */
			unsigned long :5;						/*              */
		} BIT;
	} BRCR;
};

struct st_ccnt {							/* struct CCNT  */
	union {									/* CCR1         */
		unsigned long LONG;						/*  Long Access */
		struct {							/*  Bit Access  */
			unsigned long :20;					/*              */
			unsigned long ICF:1;					/*   ICF        */
			unsigned long :2;						/*              */
			unsigned long ICE:1;					/*   ICE        */
			unsigned long :4;						/*              */
			unsigned long OCF:1;					/*   OCF        */
			unsigned long :1;						/*              */
			unsigned long WT:1;					/*   WT         */
			unsigned long OCE:1;					/*   OCE        */
		} BIT;
	} CCR1;
	union {									/* CCR2         */
		unsigned long LONG;						/*  Long Access */
		struct {							/*  Bit Access  */
			unsigned long :15;					/*              */
			unsigned long LE:1;					/*   LE         */
			unsigned long :6;						/*              */
			unsigned long W3LOAD:1;				/*   W3LOAD     */
			unsigned long W3LOCK:1;				/*   W3LOCK     */
			unsigned long :6;						/*              */
			unsigned long W2LOAD:1;				/*   W2LOAD     */
			unsigned long W2LOCK:1;				/*   W2LOCK     */
		} BIT;
	} CCR2;
};

struct st_hudi{								/* struct HUDI  */
	union {
		unsigned short WORD;
		struct{
			unsigned short TI:8;
			unsigned short :8;
		}BIT;
	}SDIR;
};

struct st_intc{ 							/* struct INTC  */
	union{									/* ICR0         */
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Bit Access  */
			unsigned short NMIL:1;					/*   NMIL       */
			unsigned short :6;						/*              */
			unsigned short NMIE:1;					/*   NMIE       */
			unsigned short :8;						/*              */
		} BIT;
	} ICR0;
	union {									/* ICR1         */
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Bit Access  */
			unsigned short IRQ7S:2;					/*   IRQ71S     */
			unsigned short IRQ6S:2;					/*   IRQ61S     */
			unsigned short IRQ5S:2;					/*   IRQ51S     */
			unsigned short IRQ4S:2;					/*   IRQ41S     */
			unsigned short IRQ3S:2;					/*   IRQ31S     */
			unsigned short IRQ2S:2;					/*   IRQ21S     */
			unsigned short IRQ1S:2;					/*   IRQ11S     */
			unsigned short IRQ0S:2;					/*   IRQ01S     */
		} BIT;
	} ICR1;
	union {									/* ICR2         */
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Bit Access  */
			unsigned short :8;						/*              */
			unsigned short PINT7S:1;				/*   PINT7S     */
			unsigned short PINT6S:1;				/*   PINT6S     */
			unsigned short PINT5S:1;				/*   PINT5S     */
			unsigned short PINT4S:1;				/*   PINT4S     */
			unsigned short PINT3S:1;				/*   PINT3S     */
			unsigned short PINT2S:1;				/*   PINT2S     */
			unsigned short PINT1S:1;				/*   PINT1S     */
			unsigned short PINT0S:1;				/*   PINT0S     */
		} BIT;
	} ICR2;
	union {									/* IRQRR        */
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Bit Access  */
			unsigned short :8;						/*              */
			unsigned short IRQ7F:1; 				/*   IRQ7F      */
			unsigned short IRQ6F:1; 				/*   IRQ6F      */
			unsigned short IRQ5F:1; 				/*   IRQ5F      */
			unsigned short IRQ4F:1; 				/*   IRQ4F      */
			unsigned short IRQ3F:1; 				/*   IRQ3F      */
			unsigned short IRQ2F:1; 				/*   IRQ2F      */
			unsigned short IRQ1F:1; 				/*   IRQ1F      */
			unsigned short IRQ0F:1; 				/*   IRQ0F      */
		} BIT;
	} IRQRR;
	union {									/* PINTER       */
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Bit Access  */
			unsigned short :8;						/*              */
			unsigned short PINT7E:1;				/*   PINT7E     */
			unsigned short PINT6E:1;				/*   PINT6E     */
			unsigned short PINT5E:1;				/*   PINT5E     */
			unsigned short PINT4E:1;				/*   PINT4E     */
			unsigned short PINT3E:1;				/*   PINT3E     */
			unsigned short PINT2E:1;				/*   PINT2E     */
			unsigned short PINT1E:1;				/*   PINT1E     */
			unsigned short PINT0E:1;				/*   PINT0E     */
		} BIT;
	} PINTER;
	union {									/* PIRR         */
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Bit Access  */
			unsigned short :8;						/*              */
			unsigned short PINT7R:1;				/*   PINT7R     */
			unsigned short PINT6R:1;				/*   PINT6R     */
			unsigned short PINT5R:1;				/*   PINT5R     */
			unsigned short PINT4R:1;				/*   PINT4R     */
			unsigned short PINT3R:1;				/*   PINT3R     */
			unsigned short PINT2R:1;				/*   PINT2R     */
			unsigned short PINT1R:1;				/*   PINT1R     */
			unsigned short PINT0R:1;				/*   PINT0R     */
		} BIT;
	} PIRR;
	union {									/* IBCR         */
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Bit Access  */
			unsigned short E15:1;   				/*   E15        */
			unsigned short E14:1;   				/*   E14        */
			unsigned short E13:1;   				/*   E13        */
			unsigned short E12:1;   				/*   E12        */
			unsigned short E11:1;   				/*   E11        */
			unsigned short E10:1;   				/*   E10        */
			unsigned short E9:1;    				/*   E9         */
			unsigned short E8:1;    				/*   E8         */
			unsigned short E7:1;    				/*   E7         */
			unsigned short E6:1;    				/*   E6         */
			unsigned short E5:1;    				/*   E5         */
			unsigned short E4:1;    				/*   E4         */
			unsigned short E3:1;    				/*   E3         */
			unsigned short E2:1;    				/*   E2         */
			unsigned short E1:1;    				/*   E1         */
			unsigned short :1;						/*              */
		} BIT;
	} IBCR;
	union {									/* IBNR         */
		unsigned short WORD;						/*  Word Access */
		struct { 							/*  Bit Access  */
			unsigned short BE:2;					/*   BE         */
			unsigned short BOVE:1;					/*   BOVE       */
			unsigned short :9;						/*              */
			unsigned short BN:4;					/*   BN         */
		} BIT;
	} IBNR;

	unsigned char wk[8];

	union {									/* IPR01        */
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Bit Access  */
			unsigned short _IRQ0:4;					/*   _IRQ0      */
			unsigned short _IRQ1:4;					/*   _IRQ1      */
			unsigned short _IRQ2:4;					/*   _IRQ2      */
			unsigned short _IRQ3:4;					/*   _IRQ3      */
		} BIT;
	} IPR01;
	union {									/* IPR02        */
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Bit Access  */
			unsigned short _IRQ4:4;					/*   _IRQ4      */
			unsigned short _IRQ5:4;					/*   _IRQ5      */
			unsigned short _IRQ6:4;					/*   _IRQ6      */
			unsigned short _IRQ7:4;					/*   _IRQ7      */
		} BIT;
	} IPR02;
	unsigned char wk1[4];
	union {									/* IPR05        */
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Bit Access  */
			unsigned short _PINT:4;					/*   _PINT      */
			unsigned short :12;						/*   reserve    */
		} BIT;
	} IPR05;
	unsigned char wk2[990];
	union {									/* IPR06        */
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Bit Access  */
			unsigned short _DMAC0:4;				/*   DMAC0      */
			unsigned short _DMAC1:4;				/*   DMAC1      */
			unsigned short _DMAC2:4;				/*   DMAC2      */
			unsigned short _DMAC3:4;				/*   DMAC3      */
		} BIT;
	} IPR06;
	union {									/* IPR07        */
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Bit Access  */
			unsigned short _DMAC4:4;				/*   DMAC4      */
			unsigned short _DMAC5:4;				/*   DMAC5      */
			unsigned short _DMAC6:4;				/*   DMAC6      */
			unsigned short _DMAC7:4;				/*   DMAC7      */
		} BIT;
	} IPR07;
	union {									/* IPR08        */
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Bit Access  */
			unsigned short _USB:4;					/*   USB        */
			unsigned short _LCDC:4;					/*   LCDC       */
			unsigned short _CMT0:4;					/*   CMT0       */
			unsigned short _CMT1:4;					/*   CMT1       */
		} BIT;
	} IPR08;
	union {									/* IPR09        */
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Bit Access  */
			unsigned short _BSC:4;					/*   BSC        */
			unsigned short _WDT:4;					/*   WDT        */
			unsigned short _MTU00:4;				/*   MTU0       */
			unsigned short _MTU01:4;				/*   MTU0       */
		} BIT;
	} IPR09;
	union {									/* IPR10        */
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Bit Access  */
			unsigned short _MTU10:4;				/*   MTU1       */
			unsigned short _MTU11:4;				/*   MTU1       */
			unsigned short _MTU20:4;				/*   MTU2       */
			unsigned short _MTU21:4;				/*   MTU2       */
		} BIT;
	} IPR10;
	union { 								/* IPR11        */
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Bit Access  */
			unsigned short _MTU30:4;				/*   MTU3       */
			unsigned short _MTU31:4;				/*   MTU3       */
			unsigned short _MTU40:4;				/*   MTU4       */
			unsigned short _MTU41:4;				/*   MTU4       */
		} BIT;
	} IPR11;
	union {									/* IPR12        */
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Bit Access  */
			unsigned short _ADC:4;					/*   ADC      */
			unsigned short _IIC30:4;				/*   IIC30      */
			unsigned short _IIC31:4;				/*   IIC31      */
			unsigned short _IIC32:4;				/*   IIC32      */
		} BIT;
	} IPR12;
	union {									/* IPR13        */
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Bit Access  */
			unsigned short _IIC33:4;				/*   IIC33      */
			unsigned short _SCIF0:4;				/*   SCIF0      */
			unsigned short _SCIF1:4;				/*   SCIF1      */
			unsigned short _SCIF2:4;				/*   SCIF2      */
		} BIT;
	} IPR13;
	union {									/* IPR14        */
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Bit Access  */
			unsigned short _SCIF3:4;				/*   SCIF3      */
			unsigned short _SSU0:4;					/*   SSU0       */
			unsigned short _SSU1:4;					/*   SSU1       */
			unsigned short _SSI0:4;					/*   SSI0       */
		} BIT;
	} IPR14;
	union {									/* IPR15        */
		unsigned short WORD;						/*  Word Access */
    	struct {							/*  Bit Access  */
			unsigned short _SSI1:4;					/*   SSI1       */
			unsigned short _SSI2:4;					/*   SSI2       */
			unsigned short _SSI3:4;					/*   SSI3       */
			unsigned short :4;						/*   reserve   */
		} BIT;
	} IPR15;
	union {									/* IPR16        */
		unsigned short WORD;						/*  Word Access */
    	struct {							/*  Bit Access  */
			unsigned short _FLCTL:4;				/*   FLCTL      */
			unsigned short :4;						/*   reserve   */
			unsigned short _RTC:4;					/*   RTC        */
			unsigned short _RCAN0:4;				/*   RCAN-ET0   */
		} BIT;
	} IPR16;
	union {									/* IPR17        */
		unsigned short WORD;						/*  Word Access */
    	struct {							/*  Bit Access  */
			unsigned short _RCAN1:4;				/*   RCAN-ET1   */
			unsigned short :12;						/*   reserve   */
		} BIT;
	} IPR17;
};

struct st_wdt {								/* struct WDT   */
	union {									/* WTCSR        */
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Bit Access  */
			unsigned char IOVF:1;					/*   IOVF       */
			unsigned char WT_IT:1;					/*   WT_IT      */
			unsigned char TME:1;					/*   TME        */
			unsigned char :2;						/*              */
			unsigned char CKS:3;					/*   CKS        */
		} BIT;
	} WTCSR;
	union {									/* WTCNT        */
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Bit Access  */
			unsigned char TCNT:8;					/*   TCNT       */
		} BIT;
	} WTCNT;
	union {									/* WRCSR        */
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Bit Access  */
			unsigned char WOVF:1;					/*   WOVF       */
			unsigned char RSTE:1;					/*   RSTE       */
			unsigned char RSTS:1;					/*   RSTS       */
			unsigned char :5;						/*              */
		} BIT;
	} WRCSR;
};

struct st_rtc {								/* struct RTC   */
	union {									/* R64CNT       */
		unsigned char BYTE;						/*  Byte Access */
		struct {							/*  Bit Access  */
			unsigned char :1;						/*              */
			unsigned char _1Hz:1;					/*   _1Hz       */
			unsigned char _2Hz:1;					/*   _2Hz       */
			unsigned char _4Hz:1;					/*   _4Hz       */
			unsigned char _8Hz:1;					/*   _8Hz       */
			unsigned char _16Hz:1;					/*   _16Hz      */
			unsigned char _32Hz:1;					/*   _32Hz      */
			unsigned char _64Hz:1;					/*   _64Hz      */
		} BIT;
	} R64CNT;

	unsigned char wk0[1];

	unsigned char RSECCNT;							/* RSECCNT      */

	unsigned char wk1[1];

	unsigned char RMINCNT;							/* RMINCNT      */

	unsigned char wk2[1];

	unsigned char RHRCNT;							/* RHRCNT       */

	unsigned char wk3[1];

	unsigned char RWKCNT;							/* RWKCNT       */

	unsigned char wk4[1];

	unsigned char RDAYCNT;							/* RDAYCNT      */

	unsigned char wk5[1];

	unsigned char RMONCNT;							/* RMONCNT      */

	unsigned char wk6[1];

	unsigned short RYRCNT;							/* RYRCNT       */

	union {									/* RSECAR       */
		unsigned char BYTE;						/*  Byte Access */
    	struct {							/*  Bit Access  */
			unsigned char ENB:1;					/*   ENB        */
			unsigned char :7;
		} BIT;
	} RSECAR;

	unsigned char wk7[1];

	union {									/* RMINAR       */
		unsigned char BYTE;						/*  Byte Access */
		struct {							/*  Bit Access  */
			unsigned char ENB:1;					/*   ENB        */
			unsigned char :7;						/*              */
		} BIT;
	} RMINAR;

	unsigned char wk8[1];

	union {									/* RHRAR        */
		unsigned char BYTE;						/*  Byte Access */
		struct {							/*  Bit Access  */
			unsigned char ENB:1;					/*   ENB        */
			unsigned char :7;						/*              */
		} BIT;								/*              */
	} RHRAR;								/*              */

	unsigned char wk9[1];							/*              */

	union {									/* RWKAR        */
		unsigned char BYTE;						/*  Byte Access */
		struct {							/*  Bit Access  */
			unsigned char ENB:1;					/*   ENB        */
			unsigned char :7;						/*              */
		} BIT;
	} RWKAR;

	unsigned char wk10[1];

	union {									/* RDAYAR       */
		unsigned char BYTE;						/*  Byte Access */
		struct {							/*  Bit Access  */
			unsigned char ENB:1;					/*   ENB        */
			unsigned char :7;						/*              */
		} BIT;
	} RDAYAR;

	unsigned char wk11[1];

	union {									/* RMONAR       */
		unsigned char BYTE;						/*  Byte Access */
		struct {							/*  Bit Access  */
			unsigned char ENB:1;					/*   ENB        */
			unsigned char :7;						/*              */
		} BIT;
	} RMONAR;

	unsigned char wk12[1];

	union {									/* RCR1         */
		unsigned char BYTE;						/*  Byte Access */
		struct {							/*  Bit Access  */
			unsigned char CF:1;					/*   CF         */
			unsigned char :2;						/*              */
			unsigned char CIE:1;					/*   CIE        */
			unsigned char AIE:1;					/*   AIE        */
			unsigned char :2;						/*              */
			unsigned char AF:1;					/*   AF         */
		} BIT;
	} RCR1;

	unsigned char wk13[1];

	union {									/* RCR2         */
		unsigned char BYTE;						/*  Byte Access */
		struct {							/*  Bit Access  */
			unsigned char PEF:1;					/*   PEF        */
			unsigned char PES:3;					/*   PES2,1,0   */
			unsigned char RTCEN:1;					/*   RTCEN      */
			unsigned char ADJ:1;					/*   ADJ        */
			unsigned char RESET:1;					/*   RESET      */
			unsigned char START:1;					/*   START      */
		} BIT;
	} RCR2;

	unsigned char wk14[1];

	unsigned short RYRAR;							/* RYRAR        */

	unsigned char wk15[2];

	union {									/* RCR3         */
		unsigned char BYTE;						/*  Byte Access */
		struct {							/*  Bit Access  */
			unsigned char ENB:1;					/*   ENB       */
			unsigned char :7;						/*              */
		} BIT;
	} RCR3;
};

struct st_port {							/* struct PORT  */
	/* **** Port A **** */
	unsigned char wk0[2];

	union {									/* PADRL        */
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Byte Access */
			unsigned char H;						/*   High       */
			unsigned char L;						/*   Low        */
		} BYTE;
		struct {							/*  Bit Access  */
			unsigned char :8;						/*              */
			unsigned char PA7DR:1;					/*   PA7DR      */
			unsigned char PA6DR:1;					/*   PA6DR      */
			unsigned char PA5DR:1;					/*   PA5DR      */
			unsigned char PA4DR:1;					/*   PA4DR      */
			unsigned char PA3DR:1;					/*   PA3DR      */
			unsigned char PA2DR:1;					/*   PA2DR      */
			unsigned char PA1DR:1;					/*   PA1DR      */
			unsigned char PA0DR:1;					/*   PA0DR      */
		} BIT;
	} PADRL;

	unsigned char wk1[126];

	/* **** Port B **** */

	union {									/* PBDRL        */
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Byte Access */
			unsigned char H;						/*   High       */
			unsigned char L;						/*   Low        */
		} BYTE;
		struct {							/*  Bit Access  */
			unsigned char :3;						/*              */
			unsigned char PB12DR:1;				/*   PB12DR     */
			unsigned char PB11DR:1;				/*   PB11DR     */
			unsigned char PB10DR:1;				/*   PB10DR     */
			unsigned char PB9DR:1;					/*   PB9DR      */
			unsigned char PB8DR:1;					/*   PB8DR      */
			unsigned char PB7DR:1;					/*   PB7DR      */
			unsigned char PB6DR:1;					/*   PB6DR      */
			unsigned char PB5DR:1;					/*   PB5DR      */
			unsigned char PB4DR:1;					/*   PB4DR      */
			unsigned char PB3DR:1;					/*   PB3DR      */
			unsigned char PB2DR:1;					/*   PB2DR      */
			unsigned char PB1DR:1;					/*   PB1DR      */
			unsigned char PB0DR:1;					/*   PB0DR      */
		} BIT;
	} PBDRL;

	unsigned char wk2[2];

	union {									/* PBIORL       */
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Byte Access */
			unsigned char H;						/*   High       */
			unsigned char L;						/*   Low        */
		} BYTE;
		struct {							/*  Bit Access  */
			unsigned char :4;						/*              */
			unsigned char PB11IOR:1;				/*   PB11IOR    */
			unsigned char PB10IOR:1;				/*   PB10IOR    */
			unsigned char PB9IOR:1;				/*   PB9IOR     */
			unsigned char PB8IOR:1;				/*   PB8IOR     */
			unsigned char :8;						/*              */
		} BIT;
	} PBIORL;

	unsigned char wk3[8];

	union {									/* PBCRL4       */
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Byte Access */
			unsigned char H;						/*   High       */
			unsigned char L;						/*   Low        */
		} BYTE;
		struct {							/*  Bit Access  */
			unsigned char :8;						/*              */
			unsigned char :6;						/*              */
			unsigned char PB12MD:2;				/*              */
		} BIT;
	} PBCRL4;

	union {									/* PBCRL3       */
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Byte Access */
			unsigned char H;						/*   High       */
			unsigned char L;						/*   Low        */
		} BYTE;
		struct {							/*  Bit Access  */
			unsigned char :2;						/*              */
			unsigned char PB11MD:2;				/*  PB11MD      */
			unsigned char :2;						/*              */
			unsigned char PB10MD:2;				/*  PB11MD      */
			unsigned char :2;						/*              */
			unsigned char PB9MD:2;					/*  PB9MD       */
			unsigned char :2;						/*              */
			unsigned char PB8MD:2;					/*  PB8MD       */
		} BIT;
	} PBCRL3;

	union {									/* PBCRL2       */
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Byte Access */
			unsigned char H;						/*   High       */
			unsigned char L;						/*   Low        */
		} BYTE;
		struct {							/*  Bit Access  */
			unsigned char :2;						/*              */
			unsigned char PB7MD:2;					/*  PB7MD       */
			unsigned char :2;						/*              */
			unsigned char PB6MD:2;					/*  PB6MD      */
			unsigned char :2;						/*              */
			unsigned char PB5MD:2;					/*  PB5MD       */
			unsigned char :2;						/*              */
			unsigned char PB4MD:2;					/*  PB4MD       */
		} BIT;
	} PBCRL2;

	union {									/* PBCRL1       */
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Byte Access */
			unsigned char H;						/*   High       */
			unsigned char L;						/*   Low        */
		} BYTE;
		struct {							/*  Bit Access  */
			unsigned char :2;						/*              */
			unsigned char PB3MD:2;					/*  PB3MD       */
			unsigned char :2;						/*              */
			unsigned char PB2MD:2;					/*  PB2MD      */
			unsigned char :2;						/*              */
			unsigned char PB1MD:2;					/*  PB1MD       */
			unsigned char :2;						/*              */
			unsigned char PB0MD:2;					/*  PB0MD       */
		} BIT;
	} PBCRL1;

	unsigned char wk4[6];

	union {									/* PBPRL        */
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Byte Access */
			unsigned char H;						/*   High       */
			unsigned char L;						/*   Low        */
		} BYTE;								/*              */
		struct {							/*  Bit Access  */
			unsigned char :4;						/*              */
			unsigned char PB11PR:1;				/*   PB11PR     */
			unsigned char PB10PR:1;				/*   PB10PR     */
			unsigned char PB9PR:1;					/*   PB9PR      */
			unsigned char PB8PR:1;					/*   PB8PR      */
			unsigned char PB7PR:1;					/*   PB7PR      */
			unsigned char PB6PR:1;					/*   PB6PR      */
			unsigned char PB5PR:1;					/*   PB5PR      */
			unsigned char PB4PR:1;					/*   PB4PR      */
			unsigned char PB3PR:1;					/*   PB3PR      */
			unsigned char PB2PR:1;					/*   PB2PR      */
			unsigned char PB1PR:1;					/*   PB1PR      */
			unsigned char PB0PR:1;					/*   PB0PR      */
		} BIT;
	} PBPRL;

	unsigned char wk5[2];

	union {									/* IFCR       */
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Byte Access */
			unsigned char H;						/*   High       */
			unsigned char L;						/*   Low        */
		} BYTE;
		struct {							/*  Bit Access  */
			unsigned char :8;						/*              */
			unsigned char :6;						/*              */
			unsigned char PB12IRQ1:1;				/*  PB12IRQ1    */
			unsigned char PB12IRQ0:1;				/*  PB12IRQ0    */
		} BIT;
	} IFCR;

	unsigned char wk6[94];

	/* **** Port C **** */

	union {									/* PCDRL        */
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Byte Access */
			unsigned char H;						/*   High       */
			unsigned char L;						/*   Low        */
		} BYTE;
		struct {							/*  Bit Access  */
			unsigned char :1;						/*              */
			unsigned char PC14DR:1;				/*   PC14DR     */
			unsigned char PC13DR:1;				/*   PC13DR     */
			unsigned char PC12DR:1;				/*   PC12DR     */
			unsigned char PC11DR:1;				/*   PC11DR     */
			unsigned char PC10DR:1;				/*   PC10DR     */
			unsigned char PC9DR:1;					/*   PC9DR      */
			unsigned char PC8DR:1;					/*   PC8DR      */
			unsigned char PC7DR:1;					/*   PC7DR      */
			unsigned char PC6DR:1;					/*   PC6DR      */
			unsigned char PC5DR:1;					/*   PC5DR      */
			unsigned char PC4DR:1;					/*   PC4DR      */
			unsigned char PC3DR:1;					/*   PC3DR      */
			unsigned char PC2DR:1;					/*   PC2DR      */
			unsigned char PC1DR:1;					/*   PC1DR      */
			unsigned char PC0DR:1;					/*   PC0DR      */
		} BIT;
	} PCDRL;

	unsigned char wk7[2];

	union {									/* PCIORL       */
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Byte Access */
			unsigned char H;						/*   High       */
			unsigned char L;						/*   Low        */
		} BYTE;
		struct {							/*  Bit Access  */
			unsigned char :1;						/*              */
			unsigned char PC14IOR:1;				/*   PC14IOR    */
			unsigned char PC13IOR:1;				/*   PC13IOR    */
			unsigned char PC12IOR:1;				/*   PC12IOR    */
			unsigned char PC11IOR:1;				/*   PC11IOR    */
			unsigned char PC10IOR:1;				/*   PC10IOR    */
			unsigned char PC9IOR:1;				/*   PC9IOR     */
			unsigned char PC8IOR:1;				/*   PC8IOR     */
			unsigned char PC7IOR:1;				/*   PC7IOR     */
			unsigned char PC6IOR:1;				/*   PC6IOR     */
			unsigned char PC5IOR:1;				/*   PC5IOR     */
			unsigned char PC4IOR:1;				/*   PC4IOR     */
			unsigned char PC3IOR:1;				/*   PC3IOR     */
			unsigned char PC2IOR:1;				/*   PC2IOR     */
			unsigned char PC1IOR:1;				/*   PC1IOR     */
			unsigned char PC0IOR:1;				/*   PC0IOR     */
		} BIT;
	} PCIORL;

	unsigned char wk8[8];

	union {									/* PCCRL4       */
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Byte Access */
			unsigned char H;						/*   High       */
			unsigned char L;						/*   Low        */
		} BYTE;
		struct {							/*  Bit Access  */
			unsigned char :7;						/*              */
			unsigned char PC14MD:1;				/*  PC14MD      */
			unsigned char :3;						/*              */
			unsigned char PC13MD:1;				/*  PC13MD      */
			unsigned char :3;						/*              */
			unsigned char PC12MD:1;				/*  PC12MD      */
		} BIT;
	} PCCRL4;

	union {									/* PCCRL3       */
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Byte Access */
			unsigned char H;						/*   High       */
			unsigned char L;						/*   Low        */
		} BYTE;
		struct {							/*  Bit Access  */
			unsigned char :2;						/*              */
			unsigned char PC11MD:2;				/*  PC11MD      */
			unsigned char :2;						/*              */
			unsigned char PC10MD:2;				/*  PC10MD      */
			unsigned char :3;						/*              */
			unsigned char PC9MD:1;					/*  PC9MD       */
			unsigned char :3;						/*              */
			unsigned char PC8MD:1;					/*  PC8MD       */
		} BIT;
	} PCCRL3;

	union {									/* PCCRL2       */
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Byte Access */
			unsigned char H;						/*   High       */
			unsigned char L;						/*   Low        */
		} BYTE;
		struct {							/*  Bit Access  */
			unsigned char :3;						/*              */
			unsigned char PC7MD:1;					/*  PC7MD       */
			unsigned char :3;						/*              */
			unsigned char PC6MD:1;					/*  PC6MD       */
			unsigned char :3;						/*              */
			unsigned char PC5MD:1;					/*  PC5MD       */
			unsigned char :3;						/*              */
			unsigned char PC4MD:1;					/*  PC4MD       */
		} BIT;
	} PCCRL2;

	union {									/* PCCRL1       */
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Byte Access */
			unsigned char H;						/*   High       */
			unsigned char L;						/*   Low        */
		} BYTE;
		struct {							/*  Bit Access  */
			unsigned char :3;						/*              */
			unsigned char PC3MD:1;					/*  PC3MD       */
			unsigned char :3;						/*              */
			unsigned char PC2MD:1;					/*  PC2MD       */
			unsigned char :3;						/*              */
			unsigned char PC1MD:1;					/*  PC1MD       */
			unsigned char :2;						/*              */
			unsigned char PC0MD:2;					/*  PC0MD       */
		} BIT;
	} PCCRL1;

	unsigned char wk9[6];

	union {									/* PCPRL        */
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Byte Access */
			unsigned char H;						/*   High       */
			unsigned char L;						/*   Low        */
		} BYTE;								/*              */
		struct {							/*  Bit Access  */
			unsigned char :1;						/*              */
			unsigned char PC14PR:1;				/*   PC14PR     */
			unsigned char PC13PR:1;				/*   PC13PR     */
			unsigned char PC12PR:1;				/*   PC12PR     */
			unsigned char PC11PR:1;				/*   PC11PR     */
			unsigned char PC10PR:1;				/*   PC10PR     */
			unsigned char PC9PR:1;					/*   PC9PR      */
			unsigned char PC8PR:1;					/*   PC8PR      */
			unsigned char PC7PR:1;					/*   PC7PR      */
			unsigned char PC6PR:1;					/*   PC6PR      */
			unsigned char PC5PR:1;					/*   PC5PR      */
			unsigned char PC4PR:1;					/*   PC4PR      */
			unsigned char PC3PR:1;					/*   PC3PR      */
			unsigned char PC2PR:1;					/*   PC2PR      */
			unsigned char PC1PR:1;					/*   PC1PR      */
			unsigned char PC0PR:1;					/*   PC0PR      */
		} BIT;
	} PCPRL;

	unsigned char wk10[98];


	/* **** Port D **** */

	union {									/* PDDRL        */
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Byte Access */
			unsigned char H;						/*   High       */
			unsigned char L;						/*   Low        */
		} BYTE;
		struct {							/*  Bit Access  */
			unsigned char PD15DR:1;				/*   PD15DR     */
			unsigned char PD14DR:1;				/*   PD14DR     */
			unsigned char PD13DR:1;				/*   PD13DR     */
			unsigned char PD12DR:1;				/*   PD12DR     */
			unsigned char PD11DR:1;				/*   PD11DR     */
			unsigned char PD10DR:1;				/*   PD10DR     */
			unsigned char PD9DR:1;					/*   PD9DR      */
			unsigned char PD8DR:1;					/*   PD8DR      */
			unsigned char PD7DR:1;					/*   PD7DR      */
			unsigned char PD6DR:1;					/*   PD6DR      */
			unsigned char PD5DR:1;					/*   PD5DR      */
			unsigned char PD4DR:1;					/*   PD4DR      */
			unsigned char PD3DR:1;					/*   PD3DR      */
			unsigned char PD2DR:1;					/*   PD2DR      */
			unsigned char PD1DR:1;					/*   PD1DR      */
			unsigned char PD0DR:1;					/*   PD0DR      */
		} BIT;
	} PDDRL;

	unsigned char wk11[2];

	union {									/* PDIORL       */
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Byte Access */
			unsigned char H;						/*   High       */
			unsigned char L;						/*   Low        */
		} BYTE;
		struct {							/*  Bit Access  */
			unsigned char PD15IOR:1;				/*   PD15IOR    */
			unsigned char PD14IOR:1;				/*   PD14IOR    */
			unsigned char PD13IOR:1;				/*   PD13IOR    */
			unsigned char PD12IOR:1;				/*   PD12IOR    */
			unsigned char PD11IOR:1;				/*   PD11IOR    */
			unsigned char PD10IOR:1;				/*   PD10IOR    */
			unsigned char PD9IOR:1;				/*   PD9IOR     */
			unsigned char PD8IOR:1;				/*   PD8IOR     */
			unsigned char PD7IOR:1;				/*   PD7IOR     */
			unsigned char PD6IOR:1;				/*   PD6IOR     */
			unsigned char PD5IOR:1;				/*   PD5IOR     */
			unsigned char PD4IOR:1;				/*   PD4IOR     */
			unsigned char PD3IOR:1;				/*   PD3IOR     */
			unsigned char PD2IOR:1;				/*   PD2IOR     */
			unsigned char PD1IOR:1;				/*   PD1IOR     */
			unsigned char PD0IOR:1;				/*   PD0IOR     */
		} BIT;
	} PDIORL;

	unsigned char wk12[8];

	union {									/* PDCRL4       */
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Byte Access */
			unsigned char H;						/*   High       */
			unsigned char L;						/*   Low        */
		} BYTE;
		struct {							/*  Bit Access  */
			unsigned char :1;						/*              */
			unsigned char PD15MD:3;				/*  PD15MD      */
			unsigned char :1;						/*              */
			unsigned char PD14MD:3;				/*  PDC14MD      */
			unsigned char :1;						/*              */
			unsigned char PD13MD:3;				/*  PD13MD      */
			unsigned char :1;						/*              */
			unsigned char PD12MD:3;				/*  PD12MD      */
		} BIT;
	} PDCRL4;

	union {									/* PDCRL3       */
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Byte Access */
			unsigned char H;						/*   High       */
			unsigned char L;						/*   Low        */
		} BYTE;
		struct {							/*  Bit Access  */
			unsigned char :1;						/*              */
			unsigned char PD11MD:3;				/*  PD11MD      */
			unsigned char :1;						/*              */
			unsigned char PD10MD:3;				/*  PD10MD      */
			unsigned char :1;						/*              */
			unsigned char PD9MD:3;					/*  PD9MD      */
			unsigned char :1;						/*              */
			unsigned char PD8MD:3;					/*  PD8MD      */
		} BIT;
	} PDCRL3;

	union {									/* PDCRL2       */
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Byte Access */
			unsigned char H;						/*   High       */
			unsigned char L;						/*   Low        */
		} BYTE;
		struct {							/*  Bit Access  */
			unsigned char :1;						/*              */
			unsigned char PD7MD:3;					/*  PD7MD      */
			unsigned char :1;						/*              */
			unsigned char PD6MD:3;					/*  PD6MD      */
			unsigned char :1;						/*              */
			unsigned char PD5MD:3;					/*  PD5MD      */
			unsigned char :1;						/*              */
			unsigned char PD4MD:3;					/*  PD4MD      */
		} BIT;
	} PDCRL2;

	union {									/* PDCRL1       */
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Byte Access */
			unsigned char H;						/*   High       */
			unsigned char L;						/*   Low        */
		} BYTE;
		struct {							/*  Byte Access */
			unsigned char :1;						/*              */
			unsigned char PD3MD:3;					/*  PD3MD       */
			unsigned char :1;						/*              */
			unsigned char PD2MD:3;					/*  PD2MD       */
			unsigned char :1;						/*              */
			unsigned char PD1MD:3;					/*  PD1MD       */
			unsigned char :1;						/*              */
			unsigned char PD0MD:3;					/*  PD0MD       */
		} BIT;
	} PDCRL1;

	unsigned char wk13[6];

	union {									/* PDPRL        */
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Byte Access */
			unsigned char H;						/*   High       */
			unsigned char L;						/*   Low        */
		} BYTE;								/*              */
		struct {							/*  Bit Access  */
			unsigned char PD15PR:1;				/*   PD14PR     */
			unsigned char PD14PR:1;				/*   PD14PR     */
			unsigned char PD13PR:1;				/*   PD13PR     */
			unsigned char PD12PR:1;				/*   PD12PR     */
			unsigned char PD11PR:1;				/*   PD11PR     */
			unsigned char PD10PR:1;				/*   PD10PR     */
			unsigned char PD9PR:1;					/*   PD9PR      */
			unsigned char PD8PR:1;					/*   PD8PR      */
			unsigned char PD7PR:1;					/*   PD7PR      */
			unsigned char PD6PR:1;					/*   PD6PR      */
			unsigned char PD5PR:1;					/*   PD5PR      */
			unsigned char PD4PR:1;					/*   PD4PR      */
			unsigned char PD3PR:1;					/*   PD3PR      */
			unsigned char PD2PR:1;					/*   PD2PR      */
			unsigned char PD1PR:1;					/*   PD1PR      */
			unsigned char PD0PR:1;					/*   PD0PR      */
		} BIT;
	} PDPRL;

	unsigned char wk14[98];

	/* **** Port E **** */

	union {									/* PEDRL        */
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Byte Access */
			unsigned char H;						/*   High       */
			unsigned char L;						/*   Low        */
		} BYTE;
		struct {							/*  Bit Access  */
			unsigned char PE15DR:1;				/*   PE15DR     */
			unsigned char PE14DR:1;				/*   PE14DR     */
			unsigned char PE13DR:1;				/*   PE13DR     */
			unsigned char PE12DR:1;				/*   PE12DR     */
			unsigned char PE11DR:1;				/*   PE11DR     */
			unsigned char PE10DR:1;				/*   PE10DR     */
			unsigned char PE9DR:1;					/*   PE9DR      */
			unsigned char PE8DR:1;					/*   PE8DR      */
			unsigned char PE7DR:1;					/*   PE7DR      */
			unsigned char PE6DR:1;					/*   PE6DR      */
			unsigned char PE5DR:1;					/*   PE5DR      */
			unsigned char PE4DR:1;					/*   PE4DR      */
			unsigned char PE3DR:1;					/*   PE3DR      */
			unsigned char PE2DR:1;					/*   PE2DR      */
			unsigned char PE1DR:1;					/*   PE1DR      */
			unsigned char PE0DR:1;					/*   PE0DR      */
		} BIT;
	} PEDRL;

	unsigned char wk15[2];

	union {									/* PEIORL       */
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Byte Access */
			unsigned char H;						/*   High       */
			unsigned char L;						/*   Low        */
		} BYTE;
		struct {							/*  Bit Access  */
			unsigned char PE15IOR:1;				/*   PE15IOR    */
			unsigned char PE14IOR:1;				/*   PE14IOR    */
			unsigned char PE13IOR:1;				/*   PE13IOR    */
			unsigned char PE12IOR:1;				/*   PE12IOR    */
			unsigned char PE11IOR:1;				/*   PE11IOR    */
			unsigned char PE10IOR:1;				/*   PE10IOR    */
			unsigned char PE9IOR:1;				/*   PE9IOR     */
			unsigned char PE8IOR:1;				/*   PE8IOR     */
			unsigned char PE7IOR:1;				/*   PE7IOR     */
			unsigned char PE6IOR:1;				/*   PE6IOR     */
			unsigned char PE5IOR:1;				/*   PE5IOR     */
			unsigned char PE4IOR:1;				/*   PE4IOR     */
			unsigned char PE3IOR:1;				/*   PE3IOR     */
			unsigned char PE2IOR:1;				/*   PE2IOR     */
			unsigned char PE1IOR:1;				/*   PE1IOR     */
			unsigned char PE0IOR:1;				/*   PE0IOR     */
		} BIT;
	} PEIORL;

	unsigned char wk16[8];

	union {									/* PECRL4       */
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Byte Access */
			unsigned char H;						/*   High       */
			unsigned char L;						/*   Low        */
		} BYTE;
		struct {							/*  Bit Access  */
			unsigned char :2;						/*              */
			unsigned char PE15MD:2;				/*  PE15MD      */
			unsigned char :2;						/*              */
			unsigned char PE14MD:2;				/*  PE14MD      */
			unsigned char :2;						/*              */
			unsigned char PE13MD:2;				/*  PE13MD      */
			unsigned char :2;						/*              */
			unsigned char PE12MD:2;				/*  PE12MD      */
		} BIT;
	} PECRL4;

	union {									/* PECRL3       */
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Byte Access */
			unsigned char H;						/*   High       */
			unsigned char L;						/*   Low        */
		} BYTE;
		struct {							/*  Bit Access  */
			unsigned char :1;						/*              */
			unsigned char PE11MD:3;				/*  PE11MD      */
			unsigned char :1;						/*              */
			unsigned char PE10MD:3;				/*  PE10MD      */
			unsigned char :2;						/*              */
			unsigned char PE9MD:2;					/*  PE9MD       */
			unsigned char :2;						/*              */
			unsigned char PE8MD:2;					/*  PE8MD       */
		} BIT;
	} PECRL3;

	union {									/* PECRL2       */
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Byte Access */
			unsigned char H;						/*   High       */
			unsigned char L;						/*   Low        */
		} BYTE;
		struct {							/*  Bit Access  */
			unsigned char :1;						/*              */
			unsigned char PE7MD:3;					/*  PE7MD       */
			unsigned char :1;						/*              */
			unsigned char PE6MD:3;					/*  PE6MD       */
			unsigned char :1;						/*              */
			unsigned char PE5MD:3;					/*  PE5MD       */
			unsigned char :1;						/*              */
			unsigned char PE4MD:3;					/*  PE4MD       */
		} BIT;
	} PECRL2;

	union {									/* PECRL1       */
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Byte Access */
			unsigned char H;						/*   High       */
			unsigned char L;						/*   Low        */
		} BYTE;
		struct {							/*  Bit Access  */
			unsigned char :2;						/*              */
			unsigned char PE3MD:2;					/*  PE3MD       */
			unsigned char :2;						/*              */
			unsigned char PE2MD:2;					/*  PE2MD       */
			unsigned char :2;						/*              */
			unsigned char PE1MD:2;					/*  PE1MD       */
			unsigned char :1;						/*              */
			unsigned char PE0MD:3;					/*  PE0MD       */
		} BIT;
	} PECRL1;

	unsigned char wk17[6];

	union {									/* PEPRL        */
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Byte Access */
			unsigned char H;						/*   High       */
			unsigned char L;						/*   Low        */
		} BYTE;								/*              */
		struct {							/*  Bit Access  */
			unsigned char PE15PR:1;				/*   PE15PR     */
			unsigned char PE14PR:1;				/*   PE14PR     */
			unsigned char PE13PR:1;				/*   PE13PR     */
			unsigned char PE12PR:1;				/*   PE12PR     */
			unsigned char PE11PR:1;				/*   PE11PR     */
			unsigned char PE10PR:1;				/*   PE10PR     */
			unsigned char PE9PR:1;					/*   PE9PR      */
			unsigned char PE8PR:1;					/*   PE8PR      */
			unsigned char PE7PR:1;					/*   PE7PR      */
			unsigned char PE6PR:1;					/*   PE6PR      */
			unsigned char PE5PR:1;					/*   PE5PR      */
			unsigned char PE4PR:1;					/*   PE4PR      */
			unsigned char PE3PR:1;					/*   PE3PR      */
			unsigned char PE2PR:1;					/*   PE2PR      */
			unsigned char PE1PR:1;					/*   PE1PR      */
			unsigned char PE0PR:1;					/*   PE0PR      */
		} BIT;
	} PEPRL;

	unsigned char wk18[96];


	/* **** Port F **** */

	union {									/* PFDRH        */
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Byte Access */
			unsigned char H;						/*   High       */
			unsigned char L;						/*   Low        */
		} BYTE;
		struct {							/*  Bit Access  */
			unsigned char :1;						/*              */
			unsigned char PF30DR:1;				/*   PF30DR     */
			unsigned char PF29DR:1;				/*   PF29DR     */
			unsigned char PF28DR:1;				/*   PF28DR     */
			unsigned char PF27DR:1;				/*   PF27DR     */
			unsigned char PF26DR:1;				/*   PF26DR     */
			unsigned char PF25DR:1;				/*   PF25DR     */
			unsigned char PF24DR:1;				/*   PF24DR     */
			unsigned char PF23DR:1;				/*   PF23DR     */
			unsigned char PF22DR:1;				/*   PF22DR     */
			unsigned char PF21DR:1;				/*   PF21DR     */
			unsigned char PF20DR:1;				/*   PF20DR     */
			unsigned char PF19DR:1;				/*   PF19DR     */
			unsigned char PF18DR:1;				/*   PF18DR     */
			unsigned char PF17DR:1;				/*   PF17DR     */
			unsigned char PF16DR:1;				/*   PF16DR     */
		} BIT;
	} PFDRH;

	union {									/* PFDRL        */
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Byte Access */
			unsigned char H;						/*   High       */
			unsigned char L;						/*   Low        */
		} BYTE;
		struct {							/*  Bit Access  */
			unsigned char PF15DR:1;				/*   PF15DR     */
			unsigned char PF14DR:1;				/*   PF14DR     */
			unsigned char PF13DR:1;				/*   PF13DR     */
			unsigned char PF12DR:1;				/*   PF12DR     */
			unsigned char PF11DR:1;				/*   PF11DR     */
			unsigned char PF10DR:1;				/*   PF10DR     */
			unsigned char PF9DR:1;					/*   PF9DR      */
			unsigned char PF8DR:1;					/*   PF8DR      */
			unsigned char PF7DR:1;					/*   PF7DR      */
			unsigned char PF6DR:1;					/*   PF6DR      */
			unsigned char PF5DR:1;					/*   PF5DR      */
			unsigned char PF4DR:1;					/*   PF4DR      */
			unsigned char PF3DR:1;					/*   PF3DR      */
			unsigned char PF2DR:1;					/*   PF2DR      */
			unsigned char PF1DR:1;					/*   PF1DR      */
			unsigned char PF0DR:1;					/*   PF0DR      */
		} BIT;
	} PFDRL;

	union {									/* PFIORH       */
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Byte Access */
			unsigned char H;						/*   High       */
			unsigned char L;						/*   Low        */
		} BYTE;
		struct {							/*  Bit Access  */
			unsigned char :1;						/*              */
			unsigned char PF30IOR:1;				/*   PF30IOR    */
			unsigned char PF29IOR:1;				/*   PF29IOR    */
			unsigned char PF28IOR:1;				/*   PF28IOR    */
			unsigned char PF27IOR:1;				/*   PF27IOR    */
			unsigned char PF26IOR:1;				/*   PF26IOR    */
			unsigned char PF25IOR:1;				/*   PF25IOR    */
			unsigned char PF24IOR:1;				/*   PF24IOR    */
			unsigned char PF23IOR:1;				/*   PF23IOR    */
			unsigned char PF22IOR:1;				/*   PF22IOR    */
			unsigned char PF21IOR:1;				/*   PF21IOR    */
			unsigned char PF20IOR:1;				/*   PF20IOR    */
			unsigned char PF19IOR:1;				/*   PF19IOR    */
			unsigned char PF18IOR:1;				/*   PF18IOR    */
			unsigned char PF17IOR:1;				/*   PF17IOR    */
			unsigned char PF16IOR:1;				/*   PF16IOR    */
		} BIT;
	} PFIORH;

	union {									/* PFIORL       */
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Byte Access */
			unsigned char H;						/*   High       */
			unsigned char L;						/*   Low        */
		} BYTE;
		struct {							/*  Bit Access  */
			unsigned char PF15IOR:1;				/*   PF15IOR    */
			unsigned char PF14IOR:1;				/*   PF14IOR    */
			unsigned char PF13IOR:1;				/*   PF13IOR    */
			unsigned char PF12IOR:1;				/*   PF12IOR    */
			unsigned char PF11IOR:1;				/*   PF11IOR    */
			unsigned char PF10IOR:1;				/*   PF10IOR    */
			unsigned char PF9IOR:1;				/*   PF9IOR     */
			unsigned char PF8IOR:1;				/*   PF8IOR     */
			unsigned char PF7IOR:1;				/*   PF7IOR     */
			unsigned char PF6IOR:1;				/*   PF6IOR     */
			unsigned char PF5IOR:1;				/*   PF5IOR     */
			unsigned char PF4IOR:1;				/*   PF4IOR     */
			unsigned char PF3IOR:1;				/*   PF3IOR     */
			unsigned char PF2IOR:1;				/*   PF2IOR     */
			unsigned char PF1IOR:1;				/*   PF1IOR     */
			unsigned char PF0IOR:1;				/*   PF0IOR     */
		} BIT;
	} PFIORL;

	union {									/* PFCRH4       */
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Byte Access */
			unsigned char H;						/*   High       */
			unsigned char L;						/*   Low        */
		} BYTE;
		struct {							/*  Bit Access  */
			unsigned char :7;						/*              */
			unsigned char PF30MD:1;				/*  PF30MD      */
			unsigned char :3;						/*              */
			unsigned char PF29MD:1;				/*  PF29MD      */
			unsigned char :3;						/*              */
			unsigned char PF28MD:1;				/*  PF28MD      */
		} BIT;
	} PFCRH4;

	union {									/* PFCRH3       */
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Byte Access */
			unsigned char H;						/*   High       */
			unsigned char L;						/*   Low        */
		} BYTE;
		struct {							/*  Bit Access  */
			unsigned char :3;						/*              */
			unsigned char PF27MD:1;				/*  PF27MD      */
			unsigned char :3;						/*              */
			unsigned char PF26MD:1;				/*  PF26MD      */
			unsigned char :3;						/*              */
			unsigned char PF25MD:1;				/*  PF25MD      */
			unsigned char :3;						/*              */
			unsigned char PF24MD:1;				/*  PF24MD      */
		} BIT;
	} PFCRH3;

	union {									/* PFCRH2       */
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Byte Access */
			unsigned char H;						/*   High       */
			unsigned char L;						/*   Low        */
		} BYTE;
		struct {							/*  Bit Access  */
			unsigned char :2;						/*              */
			unsigned char PF23MD:2;				/*  PF23MD      */
			unsigned char :2;						/*              */
			unsigned char PF22MD:2;				/*  PF22MD      */
			unsigned char :2;						/*              */
			unsigned char PF21MD:2;				/*  PF21MD      */
			unsigned char :2;						/*              */
			unsigned char PF20MD:2;				/*  PF20MD      */
		} BIT;
	} PFCRH2;

	union {									/* PFCRH1       */
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Byte Access */
			unsigned char H;						/*   High       */
			unsigned char L;						/*   Low        */
		} BYTE;
		struct {							/*  Bit Access  */
			unsigned char :2;						/*              */
			unsigned char PF19MD:2;				/*  PF19MD      */
			unsigned char :2;						/*              */
			unsigned char PF18MD:2;				/*  PF18MD      */
			unsigned char :2;						/*              */
			unsigned char PF17MD:2;				/*  PF17MD      */
			unsigned char :2;						/*              */
			unsigned char PF16MD:2;				/*  PF16MD      */
		} BIT;
	} PFCRH1;

	union {									/* PFCRL4       */
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Byte Access */
			unsigned char H;						/*   High       */
			unsigned char L;						/*   Low        */
		} BYTE;
		struct {							/*  Bit Access  */
			unsigned char :2;						/*              */
			unsigned char PF15MD:2;				/*  PF15MD      */
			unsigned char :2;						/*              */
			unsigned char PF14MD:2;				/*  PF14MD      */
			unsigned char :2;						/*              */
			unsigned char PF13MD:2;				/*  PF13MD      */
			unsigned char :2;						/*              */
			unsigned char PF12MD:2;				/*  PF12MD      */
		} BIT;
	} PFCRL4;

	union {									/* PFCRL3       */
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Byte Access */
			unsigned char H;						/*   High       */
			unsigned char L;						/*   Low        */
		} BYTE;
		struct {							/*  Bit Access  */
			unsigned char :2;						/*              */
			unsigned char PF11MD:2;				/*  PF11MD      */
			unsigned char :2;						/*              */
			unsigned char PF10MD:2;				/*  PF10MD      */
			unsigned char :2;						/*              */
			unsigned char PF9MD:2;					/*  PF9MD       */
			unsigned char :2;						/*              */
			unsigned char PF8MD:2;					/*  PF8MD       */
		} BIT;
	} PFCRL3;

	union {									/* PFCRL2       */
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Byte Access */
			unsigned char H;						/*   High       */
			unsigned char L;						/*   Low        */
		} BYTE;
		struct {							/*  Bit Access  */
			unsigned char :2;						/*              */
			unsigned char PF7MD:2;					/*  PF7MD       */
			unsigned char :2;						/*              */
			unsigned char PF6MD:2;					/*  PF6MD       */
			unsigned char :2;						/*              */
			unsigned char PF5MD:2;					/*  PF5MD       */
			unsigned char :2;						/*              */
			unsigned char PF4MD:2;					/*  PF4MD       */
		} BIT;
	} PFCRL2;

	union {									/* PFCRL1       */
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Byte Access */
			unsigned char H;						/*   High       */
			unsigned char L;						/*   Low        */
		} BYTE;
		struct {							/*  Bit Access  */
			unsigned char :2;						/*              */
			unsigned char PF3MD:2;					/*  PF3MD       */
			unsigned char :2;						/*              */
			unsigned char PF2MD:2;					/*  PF2MD       */
			unsigned char :2;						/*              */
			unsigned char PF1MD:2;					/*  PF1MD       */
			unsigned char :2;						/*              */
			unsigned char PF0MD:2;					/*  PF0MD       */
		} BIT;
	} PFCRL1;

	unsigned char wk19[4];

	union {									/* PFPRH        */
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Byte Access */
			unsigned char H;						/*   High       */
			unsigned char L;						/*   Low        */
		} BYTE;								/*              */
		struct {							/*  Bit Access  */
			unsigned char :1;						/*              */
			unsigned char PF30PR:1;				/*   PF30PR     */
			unsigned char PF29PR:1;				/*   PF29PR     */
			unsigned char PF28PR:1;				/*   PF28PR     */
			unsigned char PF27PR:1;				/*   PF27PR     */
			unsigned char PF26PR:1;				/*   PF26PR     */
			unsigned char PF25PR:1;				/*   PF25PR     */
			unsigned char PF24PR:1;				/*   PF24PR     */
			unsigned char PF23PR:1;				/*   PF23PR     */
			unsigned char PF22PR:1;				/*   PF22PR     */
			unsigned char PF21PR:1;				/*   PF21PR     */
			unsigned char PF20PR:1;				/*   PF20PR     */
			unsigned char PF19PR:1;				/*   PF19PR     */
			unsigned char PF18PR:1;				/*   PF18PR     */
			unsigned char PF17PR:1;				/*   PF17PR     */
			unsigned char PF16PR:1;				/*   PF16PR     */
		} BIT;
	} PFPRH;

	union {									/* PFPRL        */
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Byte Access */
			unsigned char H;						/*   High       */
			unsigned char L;						/*   Low        */
		} BYTE;								/*              */
		struct {							/*  Bit Access  */
			unsigned char PF15PR:1;				/*   PF15PR     */
			unsigned char PF14PR:1;				/*   PF14PR     */
			unsigned char PF13PR:1;				/*   PF13PR     */
			unsigned char PF12PR:1;				/*   PF12PR     */
			unsigned char PF11PR:1;				/*   PF11PR     */
			unsigned char PF10PR:1;				/*   PF10PR     */
			unsigned char PF9PR:1;					/*   PF9PR      */
			unsigned char PF8PR:1;					/*   PF8PR      */
			unsigned char PF7PR:1;					/*   PF7PR      */
			unsigned char PF6PR:1;					/*   PF6PR      */
			unsigned char PF5PR:1;					/*   PF5PR      */
			unsigned char PF4PR:1;					/*   PF4PR      */
			unsigned char PF3PR:1;					/*   PF3PR      */
			unsigned char PF2PR:1;					/*   PF2PR      */
			unsigned char PF1PR:1;					/*   PF1PR      */
			unsigned char PF0PR:1;					/*   PF0PR      */
		} BIT;
	} PFPRL;

	unsigned char wk20[2];

	union {									/* SCSR         */
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Byte Access */
			unsigned char H;						/*   High       */
			unsigned char L;						/*   Low        */
		} BYTE;								/*              */
		struct {							/*  Bit Access  */
			unsigned char :1;						/*              */
			unsigned char SSI3CKS:3;				/*  SSI3CKS[2:0]*/
			unsigned char :1;						/*              */
			unsigned char SSI2CKS:3;				/*  SSI2CKS[2:0]*/
			unsigned char :1;						/*              */
			unsigned char SSI1CKS:3;				/*  SSI1CKS[2:0]*/
			unsigned char :1;						/*              */
			unsigned char SSI0CKS:3;				/*  SSI0CKS[2:0]*/
		} BIT;
	} SCSR;
};

struct st_mtu2 {								/* struct MTU2  */
       union {                                  /* TCR_2        */
             unsigned char BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    unsigned char :1;                  /*              */
                    unsigned char CCLR:2;              /*   CCLR       */
                    unsigned char CKEG:2;              /*   CKEG       */
                    unsigned char TPSC:3;              /*   TPSC       */
                    } BIT;                      /*              */
             } TCR_2;                           /*              */
       union {                                  /* TMDR_2       */
             unsigned char BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    unsigned char :4;                  /*              */
                    unsigned char MD:4;                /*   MD         */
                    } BIT;                      /*              */
             } TMDR_2;                          /*              */
       union {                                  /* TIOR_2       */
             unsigned char BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    unsigned char IOB:4;               /*   IOB        */
                    unsigned char IOA:4;               /*   IOA        */
                    } BIT;                      /*              */
             } TIOR_2;                          /*              */
       unsigned char wk0[1];                           /*              */
       union {                                  /* TIER_2       */
             unsigned char BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    unsigned char TTGE:1;              /*   TTGE       */
                    unsigned char :1;                  /*              */
                    unsigned char TCIEU:1;             /*   TCIEU      */
                    unsigned char TCIEV:1;             /*   TCIEV      */
                    unsigned char :2;                  /*              */
                    unsigned char TGIEB:1;             /*   TGIEB      */
                    unsigned char TGIEA:1;             /*   TGIEA      */
                    } BIT;                      /*              */
             } TIER_2;                          /*              */
       union {                                  /* TSR_2        */
             unsigned char BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    unsigned char TCFD:1;              /*   TCFD       */
                    unsigned char :1;                  /*              */
                    unsigned char TCFU:1;              /*   TCFU       */
                    unsigned char TCFV:1;              /*   TCFV       */
                    unsigned char :2;                  /*              */
                    unsigned char TGFB:1;              /*   TGFB       */
                    unsigned char TGFA:1;              /*   TGFA       */
                    } BIT;                      /*              */
             } TSR_2;                           /*              */
       union {                                  /* TCNT_2       */
             unsigned short WORD;                      /*  Word Access */
             struct {                           /*  Bit Access  */
                    unsigned short D:16;               /*   D          */
                    } BIT;                      /*              */
             } TCNT_2;                          /*              */
       union {                                  /* TGRA_2       */
             unsigned short WORD;                      /*  Word Access */
             struct {                           /*  Bit Access  */
                    unsigned short D:16;               /*   D          */
                    } BIT;                      /*              */
             } TGRA_2;                          /*              */
       union {                                  /* TGRB_2       */
             unsigned short WORD;                      /*  Word Access */
             struct {                           /*  Bit Access  */
                    unsigned short D:16;               /*   D          */
                    } BIT;                      /*              */
             } TGRB_2;                          /*              */
       unsigned char wk1[500];                         /*              */
       union {                                  /* TCR_3        */
             unsigned char BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    unsigned char CCLR:3;              /*   CCLR       */
                    unsigned char CKEG:2;              /*   CKEG       */
                    unsigned char TPSC:3;              /*   TPSC       */
                    } BIT;                      /*              */
             } TCR_3;                           /*              */
       union {                                  /* TCR_4        */
             unsigned char BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    unsigned char CCLR:3;              /*   CCLR       */
                    unsigned char CKEG:2;              /*   CKEG       */
                    unsigned char TPSC:3;              /*   TPSC       */
                    } BIT;                      /*              */
             } TCR_4;                           /*              */
       union {                                  /* TMDR_3       */
             unsigned char BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    unsigned char :2;                  /*              */
                    unsigned char BFB:1;               /*   BFB        */
                    unsigned char BFA:1;               /*   BFA        */
                    unsigned char MD:4;                /*   MD         */
                    } BIT;                      /*              */
             } TMDR_3;                          /*              */
       union {                                  /* TMDR_4       */
             unsigned char BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    unsigned char :2;                  /*              */
                    unsigned char BFB:1;               /*   BFB        */
                    unsigned char BFA:1;               /*   BFA        */
                    unsigned char MD:4;                /*   MD         */
                    } BIT;                      /*              */
             } TMDR_4;                          /*              */
       union {                                  /* TIORH_3      */
             unsigned char BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    unsigned char IOB:4;               /*   IOB        */
                    unsigned char IOA:4;               /*   IOA        */
                    } BIT;                      /*              */
             } TIORH_3;                         /*              */
       union {                                  /* TIORL_3      */
             unsigned char BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    unsigned char IOD:4;               /*   IOD        */
                    unsigned char IOC:4;               /*   IOC        */
                    } BIT;                      /*              */
             } TIORL_3;                         /*              */
       union {                                  /* TIORH_4      */
             unsigned char BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    unsigned char IOB:4;               /*   IOB        */
                    unsigned char IOA:4;               /*   IOA        */
                    } BIT;                      /*              */
             } TIORH_4;                         /*              */
       union {                                  /* TIORL_4      */
             unsigned char BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    unsigned char IOD:4;               /*   IOD        */
                    unsigned char IOC:4;               /*   IOC        */
                    } BIT;                      /*              */
             } TIORL_4;                         /*              */
       union {                                  /* TIER_3       */
             unsigned char BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    unsigned char TTGE:1;              /*   TTGE       */
                    unsigned char :2;                  /*              */
                    unsigned char TCIEV:1;             /*   TCIEV      */
                    unsigned char TGIED:1;             /*   TGIED      */
                    unsigned char TGIEC:1;             /*   TGIEC      */
                    unsigned char TGIEB:1;             /*   TGIEB      */
                    unsigned char TGIEA:1;             /*   TGIEA      */
                    } BIT;                      /*              */
             } TIER_3;                          /*              */
       union {                                  /* TIER_4       */
             unsigned char BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    unsigned char TTGE:1;              /*   TTGE       */
                    unsigned char TTGE2:1;             /*   TTGE2      */
                    unsigned char :1;                  /*              */
                    unsigned char TCIEV:1;             /*   TCIEV      */
                    unsigned char TGIED:1;             /*   TGIED      */
                    unsigned char TGIEC:1;             /*   TGIEC      */
                    unsigned char TGIEB:1;             /*   TGIEB      */
                    unsigned char TGIEA:1;             /*   TGIEA      */
                    } BIT;                      /*              */
             } TIER_4;                          /*              */
       union {                                  /* TOER         */
             unsigned char BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    unsigned char :2;                  /*              */
                    unsigned char OE4D:1;              /*   OE4D       */
                    unsigned char OE4C:1;              /*   OE4C       */
                    unsigned char OE3D:1;              /*   OE3D       */
                    unsigned char OE4B:1;              /*   OE4B       */
                    unsigned char OE4A:1;              /*   OE4A       */
                    unsigned char OE3B:1;              /*   OE3B       */
                    } BIT;                      /*              */
             } TOER;                            /*              */
       unsigned char wk12[2];                          /*              */
       union {                                  /* TGCR         */
             unsigned char BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    unsigned char :1;                  /*              */
                    unsigned char BDC:1;               /*   BDC        */
                    unsigned char N:1;                 /*   N          */
                    unsigned char P:1;                 /*   P          */
                    unsigned char FB:1;                /*   FB         */
                    unsigned char WF:1;                /*   WF         */
                    unsigned char VF:1;                /*   VF         */
                    unsigned char UF:1;                /*   UF         */
                    } BIT;                      /*              */
             } TGCR;                            /*              */
       union {                                  /* TOCR1        */
             unsigned char BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    unsigned char :1;                  /*              */
                    unsigned char PSYE:1;              /*   PSYE       */
                    unsigned char :2;                  /*              */
                    unsigned char TOCL:1;              /*   TOCL       */
                    unsigned char TOCS:1;              /*   TOCS       */
                    unsigned char OLSN:1;              /*   OLSN       */
                    unsigned char PLSP:1;              /*   PLSP       */
                    } BIT;                      /*              */
             } TOCR1;                           /*              */
       union {                                  /* TOCR2        */
             unsigned char BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    unsigned char BF:2;                /*   BF         */
                    unsigned char OLS3N:1;             /*   OLS3N      */
                    unsigned char OLS3P:1;             /*   OLS3P      */
                    unsigned char OLS2N:1;             /*   OLS2N      */
                    unsigned char OLS2P:1;             /*   OLS2P      */
                    unsigned char OLS1N:1;             /*   OLS1N      */
                    unsigned char OLS1P:1;             /*   OLS1P      */
                    } BIT;                      /*              */
             } TOCR2;                           /*              */
       union {                                  /* TCNT_3       */
             unsigned short WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    unsigned short D:16;                /*   D          */
                    } BIT;                      /*              */
             } TCNT_3;                          /*              */
       union {                                  /* TCNT_4       */
             unsigned short WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    unsigned short D:16;                /*   D          */
                    } BIT;                      /*              */
             } TCNT_4;                          /*              */
       union {                                  /* TCDR         */
             unsigned short WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    unsigned short D:16;                /*   D          */
                    } BIT;                      /*              */
             } TCDR;                            /*              */
       union {                                  /* TDDR         */
             unsigned short WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    unsigned short D:16;                /*   D          */
                    } BIT;                      /*              */
             } TDDR;                            /*              */
       union {                                  /* TGRA_3       */
             unsigned short WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    unsigned short D:16;                /*   D          */
                    } BIT;                      /*              */
             } TGRA_3;                          /*              */
       union {                                  /* TGRB_3       */
             unsigned short WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    unsigned short D:16;                /*   D          */
                    } BIT;                      /*              */
             } TGRB_3;                          /*              */
       union {                                  /* TGRA_4       */
             unsigned short WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    unsigned short D:16;                /*   D          */
                    } BIT;                      /*              */
             } TGRA_4;                          /*              */
       union {                                  /* TGRB_4       */
             unsigned short WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    unsigned short D:16;                /*   D          */
                    } BIT;                      /*              */
             } TGRB_4;                          /*              */
       union {                                  /* TCNTS        */
             unsigned short WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    unsigned short D:16;                /*   D          */
                    } BIT;                      /*              */
             } TCNTS;                           /*              */
       union {                                  /* TCBR         */
             unsigned short WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    unsigned short D:16;                /*   D          */
                    } BIT;                      /*              */
             } TCBR;                            /*              */
       union {                                  /* TGRC_3       */
             unsigned short WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    unsigned short D:16;                /*   D          */
                    } BIT;                      /*              */
             } TGRC_3;                          /*              */
       union {                                  /* TGRD_3       */
             unsigned short WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    unsigned short D:16;                /*   D          */
                    } BIT;                      /*              */
             } TGRD_3;                          /*              */
       union {                                  /* TGRC_4       */
             unsigned short WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    unsigned short D:16;                /*   D          */
                    } BIT;                      /*              */
             } TGRC_4;                          /*              */
       union {                                  /* TGRD_4       */
             unsigned short WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    unsigned short D:16;                /*   D          */
                    } BIT;                      /*              */
             } TGRD_4;                          /*              */
       union {                                  /* TSR_3        */
             unsigned char BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    unsigned char TCFD:1;              /*   TCFD       */
                    unsigned char :2;                  /*              */
                    unsigned char TCFV:1;              /*   TCFV       */
                    unsigned char TGFD:1;              /*   TGFD       */
                    unsigned char TGFC:1;              /*   TGFC       */
                    unsigned char TGFB:1;              /*   TGFB       */
                    unsigned char TGFA:1;              /*   TGFA       */
                    } BIT;                      /*              */
             } TSR_3;                           /*              */
       union {                                  /* TSR_4        */
             unsigned char BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    unsigned char TCFD:1;              /*   TCFD       */
                    unsigned char :2;                  /*              */
                    unsigned char TCFV:1;              /*   TCFV       */
                    unsigned char TGFD:1;              /*   TGFD       */
                    unsigned char TGFC:1;              /*   TGFC       */
                    unsigned char TGFB:1;              /*   TGFB       */
                    unsigned char TGFA:1;              /*   TGFA       */
                    } BIT;                      /*              */
             } TSR_4;                           /*              */
       unsigned char wk13[2];                          /*              */
       union {                                  /* TITCR        */
             unsigned char BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    unsigned char T3AEN:1;             /*   T3AEN      */
                    unsigned char _3ACOR:3;            /*   _3ACOR     */
                    unsigned char T4VEN:1;             /*   T4VEN      */
                    unsigned char _4VCOR:3;            /*   _4VCOR     */
                    } BIT;                      /*              */
             } TITCR;                           /*              */
       union {                                  /* TITCNT       */
             unsigned char BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    unsigned char :1;                  /*              */
                    unsigned char _3ACNT:3;            /*   _3ACNT     */
                    unsigned char :1;                  /*              */
                    unsigned char _4VCNT:3;            /*   _4VCNT     */
                    } BIT;                      /*              */
             } TITCNT;                          /*              */
       union {                                  /* TBTER        */
             unsigned char BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    unsigned char :6;                  /*              */
                    unsigned char BTE:2;               /*   BTE        */
                    } BIT;                      /*              */
             } TBTER;                           /*              */
       unsigned char wk14[1];                          /*              */
       union {                                  /* TDER         */
             unsigned char BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    unsigned char :7;                  /*              */
                    unsigned char TDER:1;              /*   TDER       */
                    } BIT;                      /*              */
             } TDER;                            /*              */
       unsigned char wk15[1];                          /*              */
       union {                                  /* TOLBR        */
             unsigned char BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    unsigned char :2;                  /*              */
                    unsigned char OLS3N:1;             /*   OLS3N      */
                    unsigned char OLS3P:1;             /*   OLS3P      */
                    unsigned char OLS2N:1;             /*   OLS2N      */
                    unsigned char OLS2P:1;             /*   OLS2P      */
                    unsigned char OLS1N:1;             /*   OLS1N      */
                    unsigned char OLS1P:1;             /*   OLS1P      */
                    } BIT;                      /*              */
             } TOLBR;                           /*              */
       unsigned char wk16[1];                          /*              */
       union {                                  /* TBTM_3       */
             unsigned char BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    unsigned char :6;                  /*              */
                    unsigned char TTSB:1;              /*   TTSB       */
                    unsigned char TTSA:1;              /*   TTSA       */
                    } BIT;                      /*              */
             } TBTM_3;                          /*              */
       union {                                  /* TBTM_4       */
             unsigned char BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    unsigned char :6;                  /*              */
                    unsigned char TTSB:1;              /*   TTSB       */
                    unsigned char TTSA:1;              /*   TTSA       */
                    } BIT;                      /*              */
             } TBTM_4;                          /*              */
       unsigned char wk17[6];                          /*              */
       union {                                  /* TADCR        */
             unsigned short WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    unsigned short BF:2;                /*   BF         */
                    unsigned short :6;                  /*              */
                    unsigned short UT4AE:1;             /*   UT4AE      */
                    unsigned short DT4AE:1;             /*   DT4AE      */
                    unsigned short UT4BE:1;             /*   UT4BE      */
                    unsigned short DT4BE:1;             /*   DT4BE      */
                    unsigned short ITA3AE:1;            /*   ITA3AE     */
                    unsigned short ITA4VE:1;            /*   ITA4VE     */
                    unsigned short ITB3AE:1;            /*   ITB3AE     */
                    unsigned short ITB4VE:1;            /*   ITB4VE     */
                    } BIT;                      /*              */
             } TADCR;                           /*              */
       unsigned char wk18[2];                          /*              */
       union {                                  /* TADCORA_4    */
             unsigned short WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    unsigned short D:16;                /*   D          */
                    } BIT;                      /*              */
             } TADCORA_4;                       /*              */
       union {                                  /* TADCORB_4    */
             unsigned short WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    unsigned short D:16;                /*   D          */
                    } BIT;                      /*              */
             } TADCORB_4;                       /*              */
       union {                                  /* TADCOBRA_4   */
             unsigned short WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    unsigned short D:16;                /*   D          */
                    } BIT;                      /*              */
             } TADCOBRA_4;                      /*              */
       union {                                  /* TADCOBRB_4   */
             unsigned short WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    unsigned short D:16;                /*   D          */
                    } BIT;                      /*              */
             } TADCOBRB_4;                      /*              */
       unsigned char wk19[4];                          /*              */
       union {                                  /* TSYCR        */
             unsigned char BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    unsigned char CE0A:1;              /*   CE0A       */
                    unsigned char CE0B:1;              /*   CE0B       */
                    unsigned char CE0C:1;              /*   CE0C       */
                    unsigned char CE0D:1;              /*   CE0D       */
                    unsigned char CE1A:1;              /*   CE1A       */
                    unsigned char CE1B:1;              /*   CE1B       */
                    unsigned char CE2A:1;              /*   CE2A       */
                    unsigned char CE2B:1;              /*   CE2B       */
                    } BIT;                      /*              */
             } TSYCR;                           /*              */
       unsigned char wk20[15];                         /*              */
       union {                                  /* TWCR         */
             unsigned char BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    unsigned char CCE:1;               /*   CCE        */
                    unsigned char :6;                  /*              */
                    unsigned char WRE:1;               /*   WRE        */
                    } BIT;                      /*              */
             } TWCR;                            /*              */
       unsigned char wk21[31];                         /*              */
       union {                                  /* TSTR         */
             unsigned char BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    unsigned char CST4:1;              /*   CST4       */
                    unsigned char CST3:1;              /*   CST3       */
                    unsigned char :3;                  /*              */
                    unsigned char CST2:1;              /*   CST2       */
                    unsigned char CST1:1;              /*   CST1       */
                    unsigned char CST0:1;              /*   CST0       */
                    } BIT;                      /*              */
             } TSTR;                            /*              */
       union {                                  /* TSYR         */
             unsigned char BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    unsigned char SYNC4:1;             /*   SYNC4      */
                    unsigned char SYNC3:1;             /*   SYNC3      */
                    unsigned char :3;                  /*              */
                    unsigned char SYNC:3;              /*   SYNC       */
                    } BIT;                      /*              */
             } TSYR;                            /*              */
       unsigned char wk22[2];                          /*              */
       union {                                  /* TRWER        */
             unsigned char BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    unsigned char :7;                  /*              */
                    unsigned char RWE:1;               /*   RWE        */
                    } BIT;                      /*              */
             } TRWER;                           /*              */
       unsigned char wk23[123];                        /*              */
       union {                                  /* TCR_0        */
             unsigned char BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    unsigned char CCLR:3;              /*   CCLR       */
                    unsigned char CKEG:2;              /*   CKEG       */
                    unsigned char TPSC:3;              /*   TPSC       */
                    } BIT;                      /*              */
             } TCR_0;                           /*              */
       union {                                  /* TMDR_0       */
             unsigned char BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    unsigned char :1;                  /*              */
                    unsigned char BFE:1;               /*   BFE        */
                    unsigned char BFB:1;               /*   BFB        */
                    unsigned char BFA:1;               /*   BFA        */
                    unsigned char MD:4;                /*   MD         */
                    } BIT;                      /*              */
             } TMDR_0;                          /*              */
       union {                                  /* TIORH_0      */
             unsigned char BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    unsigned char IOB:4;               /*   IOB        */
                    unsigned char IOA:4;               /*   IOA        */
                    } BIT;                      /*              */
             } TIORH_0;                         /*              */
       union {                                  /* TIORL_0      */
             unsigned char BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    unsigned char IOD:4;               /*   IOD        */
                    unsigned char IOC:4;               /*   IOC        */
                    } BIT;                      /*              */
             } TIORL_0;                         /*              */
       union {                                  /* TIER_0       */
             unsigned char BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    unsigned char TTGE:1;              /*   TTGE       */
                    unsigned char :2;                  /*              */
                    unsigned char TCIEV:1;             /*   TCIEV      */
                    unsigned char TGIED:1;             /*   TGIED      */
                    unsigned char TGIEC:1;             /*   TGIEC      */
                    unsigned char TGIEB:1;             /*   TGIEB      */
                    unsigned char TGIEA:1;             /*   TGIEA      */
                    } BIT;                      /*              */
             } TIER_0;                          /*              */
       union {                                  /* TSR_0        */
             unsigned char BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    unsigned char :3;                  /*              */
                    unsigned char TCFV:1;              /*   TCFV       */
                    unsigned char TGFD:1;              /*   TGFD       */
                    unsigned char TGFC:1;              /*   TGFC       */
                    unsigned char TGFB:1;              /*   TGFB       */
                    unsigned char TGFA:1;              /*   TGFA       */
                    } BIT;                      /*              */
             } TSR_0;                           /*              */
       union {                                  /* TCNT_0       */
             unsigned short WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    unsigned short D:16;                /*   D          */
                    } BIT;                      /*              */
             } TCNT_0;                          /*              */
       union {                                  /* TGRA_0       */
             unsigned short WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    unsigned short D:16;                /*   D          */
                    } BIT;                      /*              */
             } TGRA_0;                          /*              */
       union {                                  /* TGRB_0       */
             unsigned short WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    unsigned short D:16;                /*   D          */
                    } BIT;                      /*              */
             } TGRB_0;                          /*              */
       union {                                  /* TGRC_0       */
             unsigned short WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    unsigned short D:16;                /*   D          */
                    } BIT;                      /*              */
             } TGRC_0;                          /*              */
       union {                                  /* TGRD_0       */
             unsigned short WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    unsigned short D:16;                /*   D          */
                    } BIT;                      /*              */
             } TGRD_0;                          /*              */
       unsigned char wk24[16];                         /*              */
       union {                                  /* TGRE_0       */
             unsigned short WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    unsigned short D:16;                /*   D          */
                    } BIT;                      /*              */
             } TGRE_0;                          /*              */
       union {                                  /* TGRF_0       */
             unsigned short WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    unsigned short D:16;                /*   D          */
                    } BIT;                      /*              */
             } TGRF_0;                          /*              */
       union {                                  /* TIER2_0      */
             unsigned char BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    unsigned char TTGE2:1;             /*   TTGE2      */
                    unsigned char :5;                  /*              */
                    unsigned char TGIEF:1;             /*   TGIEF      */
                    unsigned char TGIEE:1;             /*   TGIEE      */
                    } BIT;                      /*              */
             } TIER2_0;                         /*              */
       union {                                  /* TSR2_0       */
             unsigned char BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    unsigned char :6;                  /*              */
                    unsigned char TGFF:1;              /*   TGFF       */
                    unsigned char TGFE:1;              /*   TGFE       */
                    } BIT;                      /*              */
             } TSR2_0;                          /*              */
       union {                                  /* TBTM         */
             unsigned char BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    unsigned char :5;                  /*              */
                    unsigned char TTSE:1;              /*   TTSE       */
                    unsigned char TTSB:1;              /*   TTSB       */
                    unsigned char TTSA:1;              /*   TTSA       */
                    } BIT;                      /*              */
             } TBTM;                            /*              */
       unsigned char wk25[89];                         /*              */
       union {                                  /* TCR_1        */
             unsigned char BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    unsigned char :1;                  /*              */
                    unsigned char CCLR:2;              /*   CCLR       */
                    unsigned char CKEG:2;              /*   CKEG       */
                    unsigned char TPSC:3;              /*   TPSC       */
                    } BIT;                      /*              */
             } TCR_1;                           /*              */
       union {                                  /* TMDR_1       */
             unsigned char BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    unsigned char :4;                  /*              */
                    unsigned char MD:4;                /*   MD         */
                    } BIT;                      /*              */
             } TMDR_1;                          /*              */
       union {                                  /* TIOR_1       */
             unsigned char BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    unsigned char IOB:4;               /*   IOB        */
                    unsigned char IOA:4;               /*   IOA        */
                    } BIT;                      /*              */
             } TIOR_1;                          /*              */
       unsigned char wk26[1];                          /*              */
       union {                                  /* TIER_1       */
             unsigned char BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    unsigned char TTGE:1;              /*   TTGE       */
                    unsigned char :1;                  /*              */
                    unsigned char TCIEU:1;             /*   TCIEU      */
                    unsigned char TCIEV:1;             /*   TCIEV      */
                    unsigned char :2;                  /*              */
                    unsigned char TGIEB:1;             /*   TGIEB      */
                    unsigned char TGIEA:1;             /*   TGIEA      */
                    } BIT;                      /*              */
             } TIER_1;                          /*              */
       union {                                  /* TSR_1        */
             unsigned char BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    unsigned char TCFD:1;              /*   TCFD       */
                    unsigned char :1;                  /*              */
                    unsigned char TCFU:1;              /*   TCFU       */
                    unsigned char TCFV:1;              /*   TCFV       */
                    unsigned char :2;                  /*              */
                    unsigned char TGFB:1;              /*   TGFB       */
                    unsigned char TGFA:1;              /*   TGFA       */
                    } BIT;                      /*              */
             } TSR_1;                           /*              */
       union {                                  /* TCNT_1       */
             unsigned short WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    unsigned short D:16;                /*   D          */
                    } BIT;                      /*              */
             } TCNT_1;                          /*              */
       union {                                  /* TGRA_1       */
             unsigned short WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    unsigned short D:16;                /*   D          */
                    } BIT;                      /*              */
             } TGRA_1;                          /*              */
       union {                                  /* TGRB_1       */
             unsigned short WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    unsigned short D:16;                /*   D          */
                    } BIT;                      /*              */
             } TGRB_1;                          /*              */
       unsigned char wk27[4];                          /*              */
       union {                                  /* TICCR        */
             unsigned char BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    unsigned char :4;                  /*              */
                    unsigned char I2BE:1;              /*   I2BE       */
                    unsigned char I2AE:1;              /*   I2AE       */
                    unsigned char I1BE:1;              /*   I1BE       */
                    unsigned char I1AE:1;              /*   I1AE       */
                    } BIT;                      /*              */
             } TICCR;                           /*              */
};                                              /*              */

struct st_cmt {                                 /* struct CMT   */
       union {                                  /* CMSTR        */
             unsigned short WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    unsigned short :14;                 /*              */
                    unsigned short STR1:1;              /*   STR1       */
                    unsigned short STR0:1;              /*   STR0       */
                    } BIT;                      /*              */
             } CMSTR;                           /*              */
       union {                                  /* CMCSR0       */
             unsigned short WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    unsigned short :8;                  /*              */
                    unsigned short CMF:1;               /*   CMF        */
                    unsigned short CMIE:1;              /*   CMIE       */
                    unsigned short :4;                  /*              */
                    unsigned short CKS:2;               /*   CKS        */
                    } BIT;                      /*              */
             } CMCSR0;                          /*              */
       union {                                  /* CMCNT0       */
             unsigned short WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    unsigned short D:16;                /*   D          */
                    } BIT;                      /*              */
             } CMCNT0;                          /*              */
       union {                                  /* CMCOR0       */
             unsigned short WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    unsigned short D:16;                /*   D          */
                    } BIT;                      /*              */
             } CMCOR0;                          /*              */
       union {                                  /* CMCSR1       */
             unsigned short WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    unsigned short :8;                  /*              */
                    unsigned short CMF:1;               /*   CMF        */
                    unsigned short CMIE:1;              /*   CMIE       */
                    unsigned short :4;                  /*              */
                    unsigned short CKS:2;               /*   CKS        */
                    } BIT;                      /*              */
             } CMCSR1;                          /*              */
       union {                                  /* CMCNT1       */
             unsigned short WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    unsigned short D:16;                /*   D          */
                    } BIT;                      /*              */
             } CMCNT1;                          /*              */
       union {                                  /* CMCOR1       */
             unsigned short WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    unsigned short D:16;                /*   D          */
                    } BIT;                      /*              */
             } CMCOR1;                          /*              */
};                                              /*              */

struct st_adc {								/* struct ADC   */
		union {								/* ADDRA       */
			unsigned short WORD;					/*  Word Access */
			struct {						/*  Bit Access  */
				unsigned short D:16;				/*   D          */
			} BIT;							/*              */
		} ADDRA;							/*              */
		union {								/* ADDRB        */
			unsigned short WORD;					/*  Word Access */
			struct {						/*  Bit Access  */
				unsigned short D:16;				/*   D          */
			} BIT;							/*              */
		} ADDRB;							/*              */
		union {								/* ADDRC        */
			unsigned short WORD;					/*  Word Access */
			struct {						/*  Bit Access  */
				unsigned short D:16;				/*   D          */
			} BIT;							/*              */
		} ADDRC;							/*              */
		union {								/* ADDRD        */
			unsigned short WORD;					/*  Word Access */
			struct {						/*  Bit Access  */
				unsigned short D:16;				/*   D          */
			} BIT;
		} ADDRD;
		union {								/* ADDRE        */
			unsigned short WORD;					/*  Word Access */
			struct {						/*  Bit Access  */
				unsigned short D:16;				/*   D          */
			} BIT;
		} ADDRE;
		union {								/* ADDRF        */
			unsigned short WORD;					/*  Word Access */
			struct {						/*  Bit Access  */
				unsigned short D:16;				/*   D          */
			} BIT;
		} ADDRF;
		union {								/* ADDRG        */
			unsigned short WORD;					/*  Word Access */
			struct {						/*  Bit Access  */
				unsigned short D:16;				/*   D          */
			} BIT;
		} ADDRG;
		union {								/* ADDRH        */
			unsigned short WORD;					/*  Word Access */
			struct {						/*  Bit Access  */
				unsigned short D:16;				/*   D          */
			} BIT;
		} ADDRH;
		unsigned char wk[0x10];
		union {								/* ADCSR        */
			unsigned short WORD;					/*  Word Access */
			struct {						/*  Bit Access  */
				unsigned short ADF:1;				/*   ADF        */
				unsigned short ADIE:1;				/*   ADIE       */
				unsigned short ADST:1;				/*   ADST       */
				unsigned short :1;					/*              */
				unsigned short TRGS:4;				/*   TRGS       */
				unsigned short CKS:2;				/*   CKS        */
				unsigned short MDS:3;				/*   MDS        */
				unsigned short CH:3;				/*   CH         */
			} BIT;
		} ADCSR;
};

struct st_dac {									/* struct DAC   */
	union {										/* DADR0        */
		unsigned char BYTE;							/*  Byte Access */
		struct {								/*  Bit Access  */
			unsigned char D:8;							/*   D          */
		} BIT;
	} DADR0;
	union {										/* DADR1        */
		unsigned char BYTE;							/*  Byte Access */
		struct {								/*  Bit Access  */
			unsigned char D:8;							/*   D          */
		} BIT;
	} DADR1;
	union {										/* DACR         */
		unsigned char BYTE;							/*  Byte Access */
		struct {								/*  Bit Access  */
			unsigned char DAOE1:1;						/*   DAOE1      */
			unsigned char DAOE0:1;						/*   DAOE0      */
			unsigned char DAE:1;						/*   DAE        */
			unsigned char :5;
		} BIT;
	} DACR;
};

struct st_scif {                                /* struct SCIF0 */
       union {                                  /* SCSMR        */
             unsigned short WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    unsigned short :8;                  /*              */
                    unsigned short CA:1;                /*   CA         */
                    unsigned short CHR:1;               /*   CHR        */
                    unsigned short PE:1;                /*   PE         */
                    unsigned short OE:1;                /*   OE         */
                    unsigned short STOP:1;              /*   STOP       */
                    unsigned short :1;                  /*              */
                    unsigned short CKS:2;               /*   CKS        */
                    } BIT;                      /*              */
             } SCSMR;                           /*              */
       unsigned char wk0[2];                           /*              */
       union {                                  /* SCBRR        */
             unsigned char BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    unsigned char D:8;                 /*   D          */
                    } BIT;                      /*              */
             } SCBRR;                           /*              */
       unsigned char wk1[3];                           /*              */
       union {                                  /* SCSCR        */
             unsigned short WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    unsigned short :8;                  /*              */
                    unsigned short TIE:1;               /*   TIE        */
                    unsigned short RIE:1;               /*   RIE        */
                    unsigned short TE:1;                /*   TE         */
                    unsigned short RE:1;                /*   RE         */
                    unsigned short REIE:1;              /*   REIE       */
                    unsigned short :1;                  /*              */
                    unsigned short CKE:2;               /*   CKE        */
                    } BIT;                      /*              */
             } SCSCR;                           /*              */
       unsigned char wk2[2];                           /*              */
       union {                                  /* SCFTDR       */
             unsigned char BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    unsigned char D:8;                 /*   D          */
                    } BIT;                      /*              */
             } SCFTDR;                          /*              */
       unsigned char wk3[3];                           /*              */
       union {                                  /* SCFSR        */
             unsigned short WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    unsigned short PERN:4;              /*   PERN       */
                    unsigned short FERN:4;              /*   FERN       */
                    unsigned short ER:1;                /*   ER         */
                    unsigned short TEND:1;              /*   TEND       */
                    unsigned short TDFE:1;              /*   TDFE       */
                    unsigned short BRK:1;               /*   BRK        */
                    unsigned short FER:1;               /*   FER        */
                    unsigned short PER:1;               /*   PER        */
                    unsigned short RDF:1;               /*   RDF        */
                    unsigned short DR:1;                /*   DR         */
                    } BIT;                      /*              */
             } SCFSR;                           /*              */
       unsigned char wk4[2];                           /*              */
       union {                                  /* SCFRDR       */
             unsigned char BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    unsigned char D:8;                 /*   D          */
                    } BIT;                      /*              */
             } SCFRDR;                          /*              */
       unsigned char wk5[3];                           /*              */
       union {                                  /* SCFCR        */
             unsigned short WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    unsigned short :5;                  /*              */
                    unsigned short RSTRG:3;             /*   RSTRG      */
                    unsigned short RTRG:2;              /*   RTRG       */
                    unsigned short TTRG:2;              /*   TTRG       */
                    unsigned short MCE:1;               /*   MCE        */
                    unsigned short TFRST:1;             /*   TFRST      */
                    unsigned short RFRST:1;             /*   RFRST      */
                    unsigned short LOOP:1;              /*   LOOP       */
                    } BIT;                      /*              */
             } SCFCR;                           /*              */
       unsigned char wk6[2];                           /*              */
       union {                                  /* SCFDR        */
             unsigned short WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    unsigned short :3;                  /*              */
                    unsigned short T:5;                 /*   T          */
                    unsigned short :3;                  /*              */
                    unsigned short R:5;                 /*   R          */
                    } BIT;                      /*              */
             } SCFDR;                           /*              */
       unsigned char wk7[2];                           /*              */
       union {                                  /* SCSPTR       */
             unsigned short WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    unsigned short :8;                  /*              */
                    unsigned short RTSIO:1;             /*   RTSIO      */
                    unsigned short RTSDT:1;             /*   RTSDT      */
                    unsigned short CTSIO:1;             /*   CTSIO      */
                    unsigned short CTSDT:1;             /*   CTSDT      */
                    unsigned short SCKIO:1;             /*   SCKIO      */
                    unsigned short SCKDT:1;             /*   SCKDT      */
                    unsigned short SPB2IO:1;            /*   SPB2IO     */
                    unsigned short SPB2DT:1;            /*   SPB2DT     */
                    } BIT;                      /*              */
             } SCSPTR;                          /*              */
       unsigned char wk8[2];                           /*              */
       union {                                  /* SCLSR        */
             unsigned short WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    unsigned short :15;                 /*              */
                    unsigned short ORER:1;              /*   ORER       */
                    } BIT;                      /*              */
             } SCLSR;                           /*              */
       unsigned char wk9[2];                           /*              */
       union {                                  /* SCEMR        */
             unsigned short WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    unsigned short :8;                  /*              */
                    unsigned short BGDM:1;              /*   BGDM       */
                    unsigned short :6;                  /*              */
                    unsigned short ABCS:1;              /*   ABCS       */
                    } BIT;                      /*              */
             } SCEMR;                           /*              */
};

struct st_ssi{                                  /* struct SSI  */
       union {                                  /* SSICR        */
             unsigned long LONG;                      /*  Long Access */
             struct {                           /*  Bit Access  */
                    unsigned long :3;                 /*              */
                    unsigned long DMEN:1;             /*   DMEN       */
                    unsigned long UIEN:1;             /*   UIEN       */
                    unsigned long OIEN:1;             /*   OIEN       */
                    unsigned long IIEN:1;             /*   IIEN       */
                    unsigned long DIEN:1;             /*   DIEN       */
                    unsigned long CHNL:2;             /*   CHNL       */
                    unsigned long DWL :3;             /*   DWL        */
                    unsigned long SWL :3;             /*   SWL        */
                    unsigned long SCKD:1;             /*   SCKD       */
                    unsigned long SWSD:1;             /*   SWSD       */
                    unsigned long SCKP:1;             /*   SCKP       */
                    unsigned long SWSP:1;             /*   SWSP       */
                    unsigned long SPDP:1;             /*   SPDP       */
                    unsigned long SDTA:1;             /*   SDTA       */
                    unsigned long PDTA:1;             /*   PDTA       */
                    unsigned long DEL :1;             /*   DEL        */
                    unsigned long :1;                 /*              */
                    unsigned long CKDV:3;             /*   CKDV       */
                    unsigned long MUEN:1;             /*   MUEN       */
                    unsigned long :1;                 /*              */
                    unsigned long TRMD:1;             /*   TRMD       */
                    unsigned long EN  :1;             /*   EN         */
                    } BIT;
             } SSICR;
       union {                                  /* SSISR        */
             unsigned long LONG;                      /*  Long Access */
             struct {                           /*  Bit Access  */
                    unsigned long :3;                 /*              */
                    unsigned long DMRQ:1;             /*   DMRQ       */
                    unsigned long UIRQ:1;             /*   UIRQ       */
                    unsigned long OIRQ:1;             /*   OIRQ       */
                    unsigned long IIRQ:1;             /*   IIRQ       */
                    unsigned long DIRQ:1;             /*   DIRQ       */
                    unsigned long :20;                /*              */
                    unsigned long CHNO:2;             /*   CHNO       */
                    unsigned long SWNO:1;             /*   SWNO       */
                    unsigned long IDST:1;             /*   IDST       */
                    } BIT;
             } SSISR;
       unsigned long SSITDR;                          /* SSITDR       */
       unsigned long SSIRDR;                          /* SSIRDR       */
};

struct st_iic3 {                                /* struct IIC3 */
       union {                                  /* ICCR1        */
             unsigned char BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    unsigned char ICE:1;               /*   ICE        */
                    unsigned char RCVD:1;              /*   RCVD       */
                    unsigned char MST:1;               /*   MST        */
                    unsigned char TRS:1;               /*   TRS        */
                    unsigned char CKS:4;               /*   CKS        */
                    } BIT;
             } ICCR1;
       union {                                  /* ICCR2        */
             unsigned char BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    unsigned char BBSY:1;              /*   BBSY       */
                    unsigned char SCP:1;               /*   SCP        */
                    unsigned char SDAO:1;              /*   SDAO       */
                    unsigned char SDAOP:1;             /*   SDAOP      */
                    unsigned char SCLO:1;              /*   SCLO       */
                    unsigned char :1;                  /*              */
                    unsigned char IICRST:1;            /*   IICRST     */
                    unsigned char :1;                  /*              */
                    } BIT;
             } ICCR2;
       union {                                  /* ICMR         */
             unsigned char BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    unsigned char MLS:1;               /*   MLS        */
                    unsigned char :3;                  /*              */
                    unsigned char BCWP:1;              /*   BCWP       */
                    unsigned char BC:3;                /*   BC         */
                    } BIT;
             } ICMR;
       union {                                  /* ICIER        */
             unsigned char BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    unsigned char TIE:1;               /*   TIE        */
                    unsigned char TEIE:1;              /*   TEIE       */
                    unsigned char RIE:1;               /*   RIE        */
                    unsigned char NAKIE:1;             /*   NAKIE      */
                    unsigned char STIE:1;              /*   STIE       */
                    unsigned char ACKE:1;              /*   ACKE       */
                    unsigned char ACKBR:1;             /*   ACKBR      */
                    unsigned char ACKBT:1;             /*   ACKBT      */
                    } BIT;
             } ICIER;
       union {                                  /* ICSR         */
             unsigned char BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    unsigned char TDRE:1;              /*   TDRE       */
                    unsigned char TEND:1;              /*   TEND       */
                    unsigned char RDRF:1;              /*   RDRF       */
                    unsigned char NACKF:1;             /*   NACKF      */
                    unsigned char STOP:1;              /*   STOP       */
                    unsigned char ALOVE:1;             /*   AL/OVE     */
                    unsigned char AAS:1;               /*   AAS        */
                    unsigned char ADZ:1;               /*   ADZ        */
                    } BIT;
             } ICSR;
       union {                                  /* SAR          */
             unsigned char BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    unsigned char SVA:7;               /*   SVA        */
                    unsigned char FS:1;                /*   FS         */
                    } BIT;
             } SAR;
       unsigned char ICDRT;                            /* ICDRT        */
       unsigned char ICDRR;                            /* ICDRR        */
       union {                                  /* NF2CYC       */
             unsigned char BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    unsigned char :6;                  /*              */
                    unsigned char PRS:1;               /*   PRS        */
                    unsigned char NF2CYC:1;            /*   NF2CYC     */
                    } BIT;                      /*              */
             } NF2CYC;
};

struct st_ssu {                                  /* struct SSU   */
              union {                            /* SSCRH        */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                     /*  Bit  Access */
                           unsigned char MSS :1;        /*    MSS       */
                           unsigned char BIDE:1;        /*    BIDE      */
                           unsigned char     :1;        /*              */
                           unsigned char SOL :1;        /*    SOL       */
                           unsigned char SOLP:1;        /*    SOLP      */
                           unsigned char     :1;        /*              */
                           unsigned char CSS :2;        /*    CSS       */
                           }      BIT;           /*              */
                    }           SSCRH;           /*              */
              union {                            /* SSCRL        */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                     /*  Bit  Access */
                           unsigned char FCLRM:1;       /*    FCLRM     */
                           unsigned char SSUMS:1;       /*    SSUMS     */
                           unsigned char SRES :1;       /*    SRES      */
                           unsigned char      :3;       /*              */
                           unsigned char DATS :2;       /*    DATS      */
                           }      BIT;           /*              */
                    }           SSCRL;           /*              */
              union {                            /* SSMR         */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                     /*  Bit  Access */
                           unsigned char MLS :1;        /*    MLS       */
                           unsigned char CPOS:1;        /*    CPOS      */
                           unsigned char CPHS:1;        /*    CPHS      */
                           unsigned char     :2;        /*              */
                           unsigned char CKS :3;        /*    CKS       */
                           }      BIT;           /*              */
                    }           SSMR;            /*              */
              union {                            /* SSER         */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                     /*  Bit  Access */
                           unsigned char TE  :1;        /*    TE        */
                           unsigned char RE  :1;        /*    RE        */
                           unsigned char     :2;        /*              */
                           unsigned char TEIE:1;        /*    TEIE      */
                           unsigned char TIE :1;        /*    TIE       */
                           unsigned char RIE :1;        /*    RIE       */
                           unsigned char CEIE:1;        /*    CEIE      */
                           }      BIT;           /*              */
                    }           SSER;            /*              */
              union {                            /* SSSR         */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                     /*  Bit  Access */
                           unsigned char     :1;        /*              */
                           unsigned char ORER:1;        /*    ORER      */
                           unsigned char     :2;        /*              */
                           unsigned char TEND:1;        /*    TEND      */
                           unsigned char TDRE:1;        /*    TDRE      */
                           unsigned char RDRF:1;        /*    RDRF      */
                           unsigned char CE  :1;        /*    CE        */
                           }      BIT;           /*              */
                    }           SSSR;            /*              */
              union {                            /* SSCR2        */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                     /*  Bit  Access */
                           unsigned char SDOS   :1;     /*    SDOS      */
                           unsigned char SSCKOS :1;     /*    SSCKOS    */
                           unsigned char SCSOS  :1;     /*    SCSOS     */
                           unsigned char TENDSTS:1;     /*    TENDSTS   */
                           unsigned char SCSATS :1;     /*    SCSATS    */
                           unsigned char SSODTS :1;     /*    SSODTS    */
                           }      BIT;           /*              */
                    }           SSCR2;           /*              */
              unsigned char     SSTDR0;                 /* SSTDR0       */
              unsigned char     SSTDR1;                 /* SSTDR1       */
              unsigned char     SSTDR2;                 /* SSTDR2       */
              unsigned char     SSTDR3;                 /* SSTDR3       */
              unsigned char     SSRDR0;                 /* SSRDR0       */
              unsigned char     SSRDR1;                 /* SSRDR1       */
              unsigned char     SSRDR2;                 /* SSRDR2       */
              unsigned char     SSRDR3;                 /* SSRDR3       */
};                                               /*              */

struct st_lcdc {                                /* struct LCDC  */
               union {                          /* LDPR         */
                     unsigned long LONG;         		/*  Long Access */
                     struct {                   /*  Bit  Access */
                            unsigned long  :8;   		/*              */
                            unsigned long R:8;   		/*    R         */
                            unsigned long G:8;   		/*    G         */
                            unsigned long B:8;   		/*    B         */
                            }     BIT;          /*              */
                     }          LDPR[256];      /*              */
               union {                          /* LDICKR       */
                     unsigned short WORD;               /*  Word Access */
                     struct {                   /*  Bit  Access */
                            unsigned short       :2;    /*              */
                            unsigned short ICKSEL:2;    /*    ICKSEL    */
                            unsigned short       :6;    /*              */
                            unsigned short DCDR  :6;    /*    DCDR      */
                            }       BIT;        /*              */
                     }          LDICKR;         /*              */
               union {                          /* LDMTR        */
                     unsigned short WORD;               /*  Word Access */
                     struct {                   /*  Bit  Access */
                            unsigned short FLMPOL :1;   /*    FLMPOL    */
                            unsigned short CL1POL :1;   /*    CL1POL    */
                            unsigned short DISPPOL:1;   /*    DISPPOL   */
                            unsigned short DPOL   :1;   /*    DPOL      */
                            unsigned short        :1;   /*              */
                            unsigned short MCNT   :1;   /*    MCNT      */
                            unsigned short CL1CNT :1;   /*    CL1CNT    */
                            unsigned short CL2CNT :1;   /*    CL2CNT    */
                            unsigned short        :2;   /*              */
                            unsigned short MIFTYP :6;   /*    MIFTYP    */
                            }       BIT;        /*              */
                     }          LDMTR;          /*              */
               union {                          /* LDDFR        */
                     unsigned short WORD;               /*  Word Access */
                     struct {                   /*  Bit  Access */
                            unsigned short         :7;  /*              */
                            unsigned short PABD    :1;  /*    PABD      */
                            unsigned short         :1;  /*              */
                            unsigned short DSPCOLOR:7;  /*    DSPCOLOR  */
                            }       BIT;        /*              */
                     }          LDDFR;          /*              */
               union {                          /* LDSMR        */
                     unsigned short WORD;               /*  Word Access */
                     struct {                   /*  Bit  Access */
                            unsigned short    :2;       /*              */
                            unsigned short ROT:1;       /*    ROT       */
                            unsigned short    :3;       /*              */
                            unsigned short AU :2;       /*    AU        */
                            unsigned short    :8;       /*              */
                            }       BIT;        /*              */
                     }          LDSMR;          /*              */
               unsigned long  LDSARU;                 /* LDSARU       */
               unsigned long  LDSARL;                 /* LDSARL       */
               unsigned short   LDLAOR;                 /* LDLAOR       */
               union {                          /* LDPALCR      */
                     unsigned short WORD;               /*  Word Access */
                     struct {                   /*  Bit  Access */
                            unsigned short      :11;    /*              */
                            unsigned short PALS : 1;    /*    PALS      */
                            unsigned short      : 3;    /*              */
                            unsigned short PALEN: 1;    /*    PALEN     */
                            }       BIT;        /*              */
                     }          LDPALCR;        /*              */
               union {                          /* LDHCNR       */
                     unsigned short WORD;               /*  Word Access */
                     struct {                   /*  Bit  Access */
                            unsigned short HDCN:8;      /*    HDCN      */
                            unsigned short HTCN:8;      /*    HTCN      */
                            }       BIT;        /*              */
                     }          LDHCNR;         /*              */
               union {                          /* LDHSYNR      */
                     unsigned short WORD;               /*  Word Access */
                     struct {                   /*  Bit  Access */
                            unsigned short HSYNW:4;     /*    HSYNW     */
                            unsigned short      :4;     /*              */
                            unsigned short HSYNP:8;     /*    HSYNP     */
                            }       BIT;        /*              */
                     }          LDHSYNR;        /*              */
               unsigned short   LDVDLNR;                /* LDVDLNR      */
               unsigned short   LDVTLNR;                /* LDVTLNR      */
               union {                          /* LDVSYNR      */
                     unsigned short WORD;               /*  Word Access */
                     struct {                   /*  Bit  Access */
                            unsigned short VSYNW: 4;    /*    VSYNW     */
                            unsigned short      : 1;    /*              */
                            unsigned short VSYNP:11;    /*    VSYNP     */
                            }       BIT;        /*              */
                     }          LDVSYNR;        /*              */
               unsigned short   LDACLNR;                /* LDACLNR      */
               union {                          /* LDINTR       */
                     unsigned short WORD;               /*  Word Access */
                     struct {                   /*  Bit  Access */
                            unsigned short MINTEN :1;   /*  MINTEN      */
                            unsigned short FINTEN :1;   /*  FINTEN      */
                            unsigned short VSINTEN:1;   /*  VSINTEN     */
                            unsigned short VEINTEN:1;   /*  VEINTEN     */
                            unsigned short MINTS  :1;   /*  MINTS       */
                            unsigned short FINTS  :1;   /*  FINTS       */
                            unsigned short VSINTS :1;   /*  VSINTS      */
                            unsigned short VEINTS :1;   /*  VEINTS      */
                            unsigned short :8;          /*              */
                            }       BIT;        /*              */
                     }          LDINTR;         /*              */
               unsigned char           wk[2];          /*              */
               union {                          /* LDPMMR       */
                     unsigned short WORD;               /*  Word Access */
                     struct {                   /*  Bit  Access */
                            unsigned short ONC :4;      /*    ONC       */
                            unsigned short OFFD:4;      /*    OFFD      */
                            unsigned short     :1;      /*              */
                            unsigned short VCPE:1;      /*    VCPE      */
                            unsigned short VEPE:1;      /*    VEPE      */
                            unsigned short DONE:1;      /*    DONE      */
                            unsigned short     :2;      /*              */
                            unsigned short LPS :2;      /*    LPS       */
                            }       BIT;        /*              */
                     }          LDPMMR;         /*              */
               union {                          /* LDPSPR       */
                     unsigned short WORD;               /*  Word Access */
                     struct {                   /*  Bit  Access */
                            unsigned short ONA :4;      /*    ONA       */
                            unsigned short ONB :4;      /*    ONB       */
                            unsigned short OFFE:4;      /*    OFFE      */
                            unsigned short OFFF:4;      /*    OFFF      */
                            }       BIT;        /*              */
                     }          LDPSPR;         /*              */
               union {                          /* LDCNTR       */
                     unsigned short WORD;               /*  Word Access */
                     struct {                   /*  Bit  Access */
                            unsigned short     :11;     /*              */
                            unsigned short DON2:1;      /*    DON2      */
                            unsigned short     :3;      /*              */
                            unsigned short DON :1;      /*    DON       */
                            }       BIT;        /*              */
                     }          LDCNTR;         /*              */
               unsigned char             wk1[10];      /*              */
               union {                          /* LDUINTR      */
                     unsigned short WORD;               /*  Word Access */
                     struct {                   /*  Bit Access  */
                            unsigned short :7;          /* Reserv bit   */
                            unsigned short UINTEN:1;    /* User Def Int */
                            unsigned short :7;          /* Reserve bit  */
                            unsigned short UINTS:1;     /* User Def St  */
                            } BIT;
                     } LDUINTR;
               unsigned short   LDUINTLNR;              /* LDUNINTLNR   */
               unsigned char   wk2[8];                 /*              */
               unsigned short   LDLIRNR;                /* LDLIRNR      */
};                                              /*              */

struct st_flctl {								/* struct FLCTL */
	union {										/* FLCMNCR      */
		unsigned long LONG;							/*  LONG Access */
		struct {								/*  Bit Access  */
			unsigned long :13;						/*              */
			unsigned long SNAND:1;					/*   SNAND      */
			unsigned long QTSEL:1;					/*   QTSEL      */
			unsigned long :1;							/*              */
			unsigned long FCKSEL:1;					/*   FCKSEL     */
			unsigned long :1;							/*              */
			unsigned long ECCPOS:2;					/*   ECCPOS     */
			unsigned long ACM:2;						/*   ACM        */
			unsigned long NANDWF:1;					/*   NANDWF     */
			unsigned long :5;							/*              */
			unsigned long CE0:1;						/*   CE0        */
			unsigned long :2;							/*              */
			unsigned long TYPESEL:1;					/*   TYPESEL    */
		} BIT;
	} FLCMNCR;
	union {										/* FLCMDCR      */
		unsigned long LONG;							/*  LONG Access */
		struct {								/*  Bit Access  */
			unsigned long ADRCNT2:1;					/*   ADRCNT2    */
			unsigned long SCTCNT_:4;					/*   SCTCNT     */
			unsigned long ADRMD:1;					/*   ADRMD      */
			unsigned long CDSRC:1;					/*   CDSRC      */
			unsigned long DOSR:1;						/*   DOSR       */
			unsigned long :2;							/*              */
			unsigned long SELRW:1;					/*   SELRW      */
			unsigned long DOADR:1;					/*   DOADR      */
			unsigned long ADRCNT:2;					/*   ADRCNT     */
			unsigned long DOCMD2:1;					/*   DOCMD2     */
			unsigned long DOCMD1:1;					/*   DOCMD1     */
			unsigned long SCTCNT:16;					/*   SCTCNT      */
		} BIT;
	} FLCMDCR;
	union {										/* FLCMCDR      */
		unsigned long LONG;							/*  LONG Access */
		struct {								/*  Bit Access  */
			unsigned long :16;						/*              */
			unsigned long CMD2:8;						/*   CMD        */
			unsigned long CMD1:8;						/*   CMD        */
		} BIT;
	} FLCMCDR;
	unsigned long FLADR;								/* FLADR        */
	unsigned long FLDATAR;							/* FLDATAR      */
	union {										/* FLDTCNTR     */
		unsigned long LONG;							/*  LONG Access */
		struct {								/*  Bit Access  */
			unsigned long ECFLW:8;					/*   ECFLW      */
			unsigned long DTFLW:8;					/*   DTFLW      */
			unsigned long :4;							/*              */
			unsigned long DTCNT:12;					/*   DTCNT      */
		} BIT;
	} FLDTCNTR;
	union {										/* FLINTDMACR   */
		unsigned long LONG;							/*  LONG Access */
		struct {								/*  Bit Access  */
			unsigned long :7;							/*              */
			unsigned long ECERINTE:1;					/*   ECERINTE   */
			unsigned long :2;							/*              */
			unsigned long FIFOTRG:2;					/*   FIFOOTRG   */
			unsigned long AC1CLR:1;					/*   AC1CLR     */
			unsigned long AC0CLR:1;					/*   AC0CLR     */
			unsigned long DREQ1EN:1;					/*   DREQ1EN    */
			unsigned long DREQ0EN:1;					/*   DREQ0EN    */
			unsigned long :6;							/*              */
			unsigned long ECERB:1;					/*   ECERB      */
			unsigned long STERB:1;					/*   STERB      */
			unsigned long BTOERB:1;					/*   BTOERB     */
			unsigned long TRREQF1:1;					/*   TRREQF1    */
			unsigned long TRREQF0:1;					/*   TRREQF0    */
			unsigned long STERINTE:1;					/*   STERINTE    */
			unsigned long RBERINTE:1;					/*   RBERINTE   */
			unsigned long TEINTE:1;					/*   TEINTE     */
			unsigned long TRINTE1:1;					/*   TRINTE1    */
			unsigned long TRINTE0:1;					/*   TRINTE0    */
		} BIT;
	} FLINTDMACR;
	union {										/* FLBSYTMR      */
		unsigned long LONG;							/*  LONG Access */
		struct {								/*  Bit Access  */
			unsigned long :12;						/*              */
			unsigned long RBTMOUT:20;					/*   RBTMOUT    */
		} BIT;
	} FLBSYTMR;
	union {										/* FLBSYCNT      */
		unsigned long LONG;							/*  LONG Access */
		struct {								/*  Bit Access  */
			unsigned long STAT:8;						/*   STAT       */
			unsigned long :4;							/*              */
			unsigned long RBTIMCNT:20;				/*   RBTIMCNT   */
		} BIT;
	} FLBSYCNT;
	unsigned char wk0[8];
	union {										/* FLTRCR       */
		unsigned char BYTE;							/*  LONG Access */
		struct {								/*  Bit Access  */
			unsigned char :6;							/*   STAT       */
			unsigned char TREND :1;					/*   TREND      */
			unsigned char TRSTRT:1;					/*   TRSTRT     */
		} BIT;
	} FLTRCR;
	unsigned char wk1[15];
	unsigned long FLADR2;								/* FLADR2        */
	unsigned char wk2[16];
	unsigned long FLDTFIFO;							/* FLDTFIFO      */
	unsigned char wk3[12];
	unsigned long FLECFIFO;							/* FLECFIFO      */
};

struct st_usb {								/* struct USB   */
	union {									/* SYSCFG		*/
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Bit Access  */
			unsigned short      :8;					/*				*/
			unsigned short HSE  :1;					/*   HSE		*/
			unsigned short DCFM :1;					/*   DCFM		*/
			unsigned short DMRPD:1;					/*   DMRPD		*/
			unsigned short DPRPU:1;					/*   DPRPU		*/
			unsigned short      :1;					/*				*/
			unsigned short FSRPC:1;					/*   FSRPC		*/
			unsigned short      :1;					/*				*/
		} BIT;
	} SYSCFG;
	union {									/* SYSSTS		*/
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Bit Access  */
			unsigned short      :10;				/*				*/
			unsigned short SOFEN:1;					/*   SOFEN		*/
			unsigned short      :3;					/*				*/
			unsigned short LNST :2;					/*   LNST		*/
		} BIT;
	} SYSSTS;
	union {									/* DVSTCTR		*/
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Bit Access  */
			unsigned short       :7;				/*				*/
			unsigned short WKUP  :1;				/*   WKUP		*/
			unsigned short RWUPE :1;				/*   RWUPE		*/
			unsigned short USBRST:1;				/*   USBRST		*/
			unsigned short RESUME:1;				/*   RESUME		*/
			unsigned short UACT  :1;				/*   UACT		*/
			unsigned short       :2;				/*				*/
			unsigned short RHST  :2;				/*   RHST		*/
		} BIT;
	} DVSTCTR;
	union {									/* TESTMODE		*/
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Bit Access  */
			unsigned short     :12;					/*				*/
			unsigned short UTST:4;					/*   UTST		*/
		} BIT;
	} TESTMODE;
	unsigned char wk[2];
	union {									/* CFBCFG		*/
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Bit Access  */
			unsigned short      :6;					/*				*/
			unsigned short TENDE:1;					/*   TENDE		*/
			unsigned short FEND :1;					/*   FEND		*/
			unsigned short      :4;					/*				*/
			unsigned short FWAIT:4;					/*   FWAIT		*/
		} BIT;
	} CFBCFG;
	union {									/* D0FBCFG		*/
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Bit Access  */
			unsigned short      :6;					/*				*/
			unsigned short TENDE:1;					/*   TENDE		*/
			unsigned short FEND :1;					/*   FEND		*/
			unsigned short      :4;					/*				*/
			unsigned short FWAIT:4;					/*   FWAIT		*/
		} BIT;
	} D0FBCFG;
	union {									/* D1FBCFG		*/
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Bit Access  */
			unsigned short      :6;					/*				*/
			unsigned short TENDE:1;					/*   TENDE		*/
			unsigned short FEND :1;					/*   FEND		*/
			unsigned short      :4;					/*				*/
			unsigned short FWAIT:4;					/*   FWAIT		*/
		} BIT;
	} D1FBCFG;
	union {									/* CFIFO		*/
		unsigned long LONG;						/*  Long Access */
		struct {							/*  Bit Access  */
			unsigned long FIFOPORT:32;			/*   FIFOPORT	*/
		} BIT;
	} CFIFO;
	union {									/* D0FIFO		*/
		unsigned long LONG;						/*  Long Access */
		struct {							/*  Bit Access  */
			unsigned long FIFOPORT:32;			/*   FIFOPORT	*/
		} BIT;
	} D0FIFO;
	union {									/* D1FIFO		*/
		unsigned long LONG;						/*  Long Access */
		struct {							/*  Bit Access  */
			unsigned long FIFOPORT:32;			/*   FIFOPORT	*/
		} BIT;
	} D1FIFO;
	unsigned char wk0[2];
	union {									/* CFIFOSEL		*/
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Bit Access  */
			unsigned short RCNT   :1;				/*   RCNT		*/
			unsigned short REW    :1;				/*   REW		*/
			unsigned short        :2;				/*				*/
			unsigned short MBW    :2;				/*   MBW		*/
			unsigned short        :4;				/*				*/
			unsigned short ISEL   :1;				/*   ISEL		*/
			unsigned short        :2;				/*				*/
			unsigned short CURPIPE:3;				/*   CURPIPE	*/
		} BIT;
	} CFIFOSEL;
	union {									/* CFIFOCTR		*/
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Bit Access  */
			unsigned short BVAL:1;					/*   BVAL		*/
			unsigned short BCLR:1;					/*   BCLR		*/
			unsigned short FRDY:1;					/*   FRDY		*/
			unsigned short     :1;					/*				*/
			unsigned short DTLN:12;					/*   DTLN		*/
		} BIT;
	} CFIFOCTR;
	union {									/* CFIFOSIE		*/
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Bit Access  */
			unsigned short TGL  :1;					/*   TGL		*/
			unsigned short SCLR :1;					/*   SCLR		*/
			unsigned short SBUSY:1;					/*   SBUSY		*/
			unsigned short      :13;				/*				*/
		} BIT;
	} CFIFOSIE;
	union {									/* D0FIFOSEL	*/
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Bit Access  */
			unsigned short RCNT   :1;				/*   RCNT		*/
			unsigned short REW    :1;				/*   REW		*/
			unsigned short DCLRM  :1;				/*   DCLRM		*/
			unsigned short DREQE  :1;				/*   DREQE		*/
			unsigned short MBW    :2;				/*   MBW		*/
			unsigned short TRENB  :1;				/*   TRENB		*/
			unsigned short TRCLR  :1;				/*   TRCLR		*/
			unsigned short DEZPM  :1;				/*   DEZPM		*/
			unsigned short        :4;				/*				*/
			unsigned short CURPIPE:3;				/*   CURPIPE	*/
		} BIT;
	} D0FIFOSEL;
	union {									/* D0FIFOCTR	*/
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Bit Access  */
			unsigned short BVAL:1;					/*   BVAL		*/
			unsigned short BCLR:1;					/*   BCLR		*/
			unsigned short FRDY:1;					/*   FRDY		*/
			unsigned short     :1;					/*				*/
			unsigned short DTLN:12;					/*   DTLN		*/
		} BIT;
	} D0FIFOCTR;
	union {									/* D0FIFOTRN	*/
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Bit Access  */
			unsigned short TRNCNT:16;				/*   TRNCNT		*/
		} BIT;
	} D0FIFOTRN;
	union {									/* D1FIFOSEL	*/
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Bit Access  */
			unsigned short RCNT   :1;				/*   RCNT		*/
			unsigned short REW    :1;				/*   REW		*/
			unsigned short DCLRM  :1;				/*   DCLRM		*/
			unsigned short DREQE  :1;				/*   DREQE		*/
			unsigned short MBW    :2;				/*   MBW		*/
			unsigned short TRENB  :1;				/*   TRENB		*/
			unsigned short TRCLR  :1;				/*   TRCLR		*/
			unsigned short DEZPM  :1;				/*   DEZPM		*/
			unsigned short        :4;				/*				*/
			unsigned short CURPIPE:3;				/*   CURPIPE	*/
		} BIT;
	} D1FIFOSEL;
	union {									/* D1FIFOCTR	*/
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Bit Access  */
			unsigned short BVAL:1;					/*   BVAL		*/
			unsigned short BCLR:1;					/*   BCLR		*/
			unsigned short FRDY:1;					/*   FRDY		*/
			unsigned short     :1;					/*				*/
			unsigned short DTLN:12;					/*   DTLN		*/
		} BIT;
	} D1FIFOCTR;
	union {									/* D1FIFOTRN	*/
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Bit Access  */
			unsigned short TRNCNT:16;				/*   TRNCNT		*/
		} BIT;
	} D1FIFOTRN;
	union {									/* INTENB0		*/
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Bit Access  */
			unsigned short VBSE :1;					/*   VBSE		*/
			unsigned short RSME :1;					/*   RSME		*/
			unsigned short SOFE :1;					/*   SOFE		*/
			unsigned short DVSE :1;					/*   DVSE		*/
			unsigned short CTRE :1;					/*   CTRE		*/
			unsigned short BEMPE:1;					/*   BEMPE		*/
			unsigned short NRDYE:1;					/*   NRDYE		*/
			unsigned short BRDYE:1;					/*   BRDYE		*/
			unsigned short URST :1;					/*   URST		*/
			unsigned short SADR :1;					/*   SADR		*/
			unsigned short SCFG :1;					/*   SCFG		*/
			unsigned short SUSP :1;					/*   SUSP		*/
			unsigned short WDST :1;					/*   WDST		*/
			unsigned short RDST :1;					/*   RDST		*/
			unsigned short CMPL :1;					/*   CMPL		*/
			unsigned short SERR :1;					/*   SERR		*/
		} BIT;
	} INTENB0;
	union {									/* INTENB1		*/
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Bit Access  */
			unsigned short      :1;					/*				*/
			unsigned short BCHGE:1;					/*   BCHGE		*/
			unsigned short      :1;					/*				*/
			unsigned short DTCHE:1;					/*   DTCHE		*/
			unsigned short      :6;					/*				*/
			unsigned short SIGNE:1;					/*   SIGNE		*/
			unsigned short SACKE:1;					/*   SACKE		*/
			unsigned short      :1;					/*				*/
			unsigned short BRDYM:1;					/*   BRDYM		*/
			unsigned short      :2;					/*				*/
		} BIT;
	} INTENB1;
	unsigned char wk1[2];
	union {									/* BRDYENB		*/
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Bit Access  */
			unsigned short           :8;			/*				*/
			unsigned short PIPE7BRDYE:1;			/*   PIPE7BRDYE	*/
			unsigned short PIPE6BRDYE:1;			/*   PIPE6BRDYE	*/
			unsigned short PIPE5BRDYE:1;			/*   PIPE5BRDYE	*/
			unsigned short PIPE4BRDYE:1;			/*   PIPE4BRDYE	*/
			unsigned short PIPE3BRDYE:1;			/*   PIPE3BRDYE	*/
			unsigned short PIPE2BRDYE:1;			/*   PIPE2BRDYE	*/
			unsigned short PIPE1BRDYE:1;			/*   PIPE1BRDYE	*/
			unsigned short PIPE0BRDYE:1;			/*   PIPE0BRDYE	*/
		} BIT;
	} BRDYENB;
	union {									/* NRDYENB		*/
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Bit Access  */
			unsigned short           :8;			/*				*/
			unsigned short PIPE7NRDYE:1;			/*   PIPE7NRDYE	*/
			unsigned short PIPE6NRDYE:1;			/*   PIPE6NRDYE	*/
			unsigned short PIPE5NRDYE:1;			/*   PIPE5NRDYE	*/
			unsigned short PIPE4NRDYE:1;			/*   PIPE4NRDYE	*/
			unsigned short PIPE3NRDYE:1;			/*   PIPE3NRDYE	*/
			unsigned short PIPE2NRDYE:1;			/*   PIPE2NRDYE	*/
			unsigned short PIPE1NRDYE:1;			/*   PIPE1NRDYE	*/
			unsigned short PIPE0NRDYE:1;			/*   PIPE0NRDYE	*/
		} BIT;
	} NRDYENB;
	union {									/* BEMPENB		*/
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Bit Access  */
			unsigned short           :8;			/*				*/
			unsigned short PIPE7BEMPE:1;			/*   PIPE7BEMPE	*/
			unsigned short PIPE6BEMPE:1;			/*   PIPE6BEMPE	*/
			unsigned short PIPE5BEMPE:1;			/*   PIPE5BEMPE	*/
			unsigned short PIPE4BEMPE:1;			/*   PIPE4BEMPE	*/
			unsigned short PIPE3BEMPE:1;			/*   PIPE3BEMPE	*/
			unsigned short PIPE2BEMPE:1;			/*   PIPE2BEMPE	*/
			unsigned short PIPE1BEMPE:1;			/*   PIPE1BEMPE	*/
			unsigned short PIPE0BEMPE:1;			/*   PIPE0BEMPE	*/
		} BIT;
	} BEMPENB;
	unsigned char wk2[4];
	union {									/* INTSTS0		*/
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Bit Access  */
			unsigned short VBINT:1;					/*   VBINT		*/
			unsigned short RESM :1;					/*   RESM		*/
			unsigned short SOFR :1;					/*   SOFR		*/
			unsigned short DVST :1;					/*   DVST		*/
			unsigned short CTRT :1;					/*   CTRT		*/
			unsigned short BEMP :1;					/*   BEMP		*/
			unsigned short NRDY :1;					/*   NRDY		*/
			unsigned short BRDY :1;					/*   BRDY		*/
			unsigned short VBSTS:1;					/*   VBSTS		*/
			unsigned short DVSQ :3;					/*   DVSQ		*/
			unsigned short VALID:1;					/*   VALID		*/
			unsigned short CTSQ :3;					/*   CTSQ		*/
		} BIT;
	} INTSTS0;
	union {									/* INTSTS1		*/
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Bit Access  */
			unsigned short     :1;					/*				*/
			unsigned short BCHG:1;					/*   BCHG		*/
			unsigned short SOFR:1;					/*   SOFR		*/
			unsigned short DTCH:1;					/*   DTCH		*/
			unsigned short     :1;					/*				*/
			unsigned short BEMP:1;					/*   BEMP		*/
			unsigned short NRDY:1;					/*   NRDY		*/
			unsigned short BRDY:1;					/*   BRDY		*/
			unsigned short     :2;					/*				*/
			unsigned short SIGH:1;					/*   SIGH		*/
			unsigned short SACK:1;					/*   SACK		*/
			unsigned short     :4;					/*				*/
		} BIT;
	} INTSTS1;
	unsigned char wk3[2];
	union {									/* BRDYSTS		*/
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Bit Access  */
			unsigned short          :8;				/*				*/
			unsigned short PIPE7BRDY:1;				/*   PIPE7BRDY	*/
			unsigned short PIPE6BRDY:1;				/*   PIPE6BRDY	*/
			unsigned short PIPE5BRDY:1;				/*   PIPE5BRDY	*/
			unsigned short PIPE4BRDY:1;				/*   PIPE4BRDY	*/
			unsigned short PIPE3BRDY:1;				/*   PIPE3BRDY	*/
			unsigned short PIPE2BRDY:1;				/*   PIPE2BRDY	*/
			unsigned short PIPE1BRDY:1;				/*   PIPE1BRDY	*/
			unsigned short PIPE0BRDY:1;				/*   PIPE0BRDY	*/
		} BIT;
	} BRDYSTS;
	union {									/* NRDYSTS		*/
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Bit Access  */
			unsigned short          :8;				/*				*/
			unsigned short PIPE7NRDY:1;				/*   PIPE7NRDY	*/
			unsigned short PIPE6NRDY:1;				/*   PIPE6NRDY	*/
			unsigned short PIPE5NRDY:1;				/*   PIPE5NRDY	*/
			unsigned short PIPE4NRDY:1;				/*   PIPE4NRDY	*/
			unsigned short PIPE3NRDY:1;				/*   PIPE3NRDY	*/
			unsigned short PIPE2NRDY:1;				/*   PIPE2NRDY	*/
			unsigned short PIPE1NRDY:1;				/*   PIPE1NRDY	*/
			unsigned short PIPE0NRDY:1;				/*   PIPE0NRDY	*/
		} BIT;
	} NRDYSTS;
	union {									/* BEMPSTS		*/
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Bit Access  */
			unsigned short          :8;				/*				*/
			unsigned short PIPE7BEMP:1;				/*   PIPE7BEMP	*/
			unsigned short PIPE6BEMP:1;				/*   PIPE6BEMP	*/
			unsigned short PIPE5BEMP:1;				/*   PIPE5BEMP	*/
			unsigned short PIPE4BEMP:1;				/*   PIPE4BEMP	*/
			unsigned short PIPE3BEMP:1;				/*   PIPE3BEMP	*/
			unsigned short PIPE2BEMP:1;				/*   PIPE2BEMP	*/
			unsigned short PIPE1BEMP:1;				/*   PIPE1BEMP	*/
			unsigned short PIPE0BEMP:1;				/*   PIPE0BEMP	*/
		} BIT;
	} BEMPSTS;
	union {									/* FRMNUM		*/
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Bit Access  */
			unsigned short OVRN :1;					/*   OVRN		*/
			unsigned short CRCE :1;					/*   CRCE		*/
			unsigned short      :2;					/*				*/
			unsigned short SOFRM:1;					/*   SOFRM		*/
			unsigned short FRNM :11;				/*   FRNM		*/
		} BIT;
	} FRMNUM;
	union {									/* UFRMNUM		*/
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Bit Access  */
			unsigned short      :13;				/*				*/
			unsigned short UFRNM:3;					/*   UFRNM		*/
		} BIT;
	} UFRMNUM;
	union {									/* USBADDR		*/
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Bit Access  */
			unsigned short        :9;				/*				*/
			unsigned short USBADDR:7;				/*   USBADDR	*/
		} BIT;
	} USBADDR;
	unsigned char wk4[2];
	union {									/* USBREQ		*/
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Bit Access  */
			unsigned short BREQUEST     :8;			/*   BREQUEST	*/
			unsigned short BMREQUESTTYPE:8;			/*   BMREQTYPE	*/
		} BIT;
	} USBREQ;
	unsigned short USBVAL;							/* USBVAL		*/
	unsigned short USBINDX;							/* USBINDX		*/
	unsigned short USBLENG;							/* USBLENG		*/
	union {									/* DCTPFG		*/
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Bit Access  */
			unsigned short       :7;				/*				*/
			unsigned short CNTMD :1;				/*   CNTMD		*/
			unsigned short SHTNAK:1;				/*   SHTNAK		*/
			unsigned short       :2;				/*				*/
			unsigned short DIR   :1;				/*   DIR		*/
			unsigned short       :4;				/*				*/
		} BIT;
	} DCTPFG;
	union {									/* DCPMAXP		*/
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Bit Access  */
			unsigned short DEVSEL:2;				/*   DEVSEL		*/
			unsigned short       :7;				/*				*/
			unsigned short MXPS  :7;				/*   MXPS		*/
		} BIT;
	} DCPMAXP;
	union {									/* DCPCTR		*/
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Bit Access  */
			unsigned short BSTS :1;					/*   BSTS		*/
			unsigned short SUREQ:1;					/*   SUREQ		*/
			unsigned short      :5;					/*				*/
			unsigned short SQCLR:1;					/*   SQCLR		*/
			unsigned short SQSET:1;					/*   SQSET		*/
			unsigned short SQMON:1;					/*   SQMON		*/
			unsigned short      :3;					/*				*/
			unsigned short CCPL :1;					/*   CCPL		*/
			unsigned short PID  :2;					/*   PID		*/
		} BIT;
	} DCPCTR;
	unsigned char wk5[2];
	union {									/* PIPESEL		*/
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Bit Access  */
			unsigned short        :13;				/*				*/
			unsigned short PIPESEL:3;				/*   PIPESEL	*/
		} BIT;
	} PIPESEL;
	union {									/* PIPECFG		*/
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Bit Access  */
			unsigned short TYPE  :2;				/*   TYPE		*/
			unsigned short       :3;				/*				*/
			unsigned short BFRE  :1;				/*   BFRE		*/
			unsigned short DBLB  :1;				/*   DBLB		*/
			unsigned short CNTMD :1;				/*   CNTMD		*/
			unsigned short SHTNAK:1;				/*   SHTNAK		*/
			unsigned short       :2;				/*				*/
			unsigned short DIR   :1;				/*   DIR		*/
			unsigned short EPNUM :4;				/*   EPNUM		*/
		} BIT;
	} PIPECFG;
	union {									/* PIPEBUF		*/
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Bit Access  */
			unsigned short        :1;				/*				*/
			unsigned short BUFSIZE:5;				/*   BUFSIZE	*/
			unsigned short        :3;				/*				*/
			unsigned short BUFNMB :7;				/*   BUFNMB		*/
		} BIT;
	} PIPEBUF;
	union {									/* PIPEMAXP		*/
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Bit Access  */
			unsigned short DEVSEL:2;				/*   DEVSEL		*/
			unsigned short       :3;				/*				*/
			unsigned short MXPS  :11;				/*   MXPS		*/
		} BIT;
	} PIPEMAXP;
	union {									/* PIPEPERI		*/
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Bit Access  */
			unsigned short     :3;					/*				*/
			unsigned short IFIS:1;					/*   IFIS		*/
			unsigned short     :9;					/*				*/
			unsigned short IITV:3;					/*   IITV		*/
		} BIT;
	} PIPEPERI;
	unsigned char wk6[2];
	union {									/* PIPE1CTR		*/
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Bit Access  */
			unsigned short BSTS  :1;				/*   BSTS		*/
			unsigned short INBUFM:1;				/*   INBUFM		*/
			unsigned short       :3;				/*				*/
			unsigned short ATREPM:1;				/*   ATREPM		*/
			unsigned short ACLRM :1;				/*   ACLRM		*/
			unsigned short SQCLR :1;				/*   SQCLR		*/
			unsigned short SQSET :1;				/*   SQSET		*/
			unsigned short SQMON :1;				/*   SQMON		*/
			unsigned short       :4;				/*				*/
			unsigned short PID   :2;				/*   PID		*/
		} BIT;
	} PIPE1CTR;
	union {									/* PIPE2CTR		*/
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Bit Access  */
			unsigned short BSTS  :1;				/*   BSTS		*/
			unsigned short INBUFM:1;				/*   INBUFM		*/
			unsigned short       :3;				/*				*/
			unsigned short ATREPM:1;				/*   ATREPM		*/
			unsigned short ACLRM :1;				/*   ACLRM		*/
			unsigned short SQCLR :1;				/*   SQCLR		*/
			unsigned short SQSET :1;				/*   SQSET		*/
			unsigned short SQMON :1;				/*   SQMON		*/
			unsigned short       :4;				/*				*/
			unsigned short PID   :2;				/*   PID		*/
		} BIT;
	} PIPE2CTR;
	union {									/* PIPE3CTR		*/
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Bit Access  */
			unsigned short BSTS  :1;				/*   BSTS		*/
			unsigned short INBUFM:1;				/*   INBUFM		*/
			unsigned short       :3;				/*				*/
			unsigned short ATREPM:1;				/*   ATREPM		*/
			unsigned short ACLRM :1;				/*   ACLRM		*/
			unsigned short SQCLR :1;				/*   SQCLR		*/
			unsigned short SQSET :1;				/*   SQSET		*/
			unsigned short SQMON :1;				/*   SQMON		*/
			unsigned short       :4;				/*				*/
			unsigned short PID   :2;				/*   PID		*/
		} BIT;
	} PIPE3CTR;
	union {									/* PIPE4CTR		*/
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Bit Access  */
			unsigned short BSTS  :1;				/*   BSTS		*/
			unsigned short INBUFM:1;				/*   INBUFM		*/
			unsigned short       :3;				/*				*/
			unsigned short ATREPM:1;				/*   ATREPM		*/
			unsigned short ACLRM :1;				/*   ACLRM		*/
			unsigned short SQCLR :1;				/*   SQCLR		*/
			unsigned short SQSET :1;				/*   SQSET		*/
			unsigned short SQMON :1;				/*   SQMON		*/
			unsigned short       :4;				/*				*/
			unsigned short PID   :2;				/*   PID		*/
		} BIT;
	} PIPE4CTR;
	union {									/* PIPE5CTR		*/
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Bit Access  */
			unsigned short BSTS  :1;				/*   BSTS		*/
			unsigned short INBUFM:1;				/*   INBUFM		*/
			unsigned short       :3;				/*				*/
			unsigned short ATREPM:1;				/*   ATREPM		*/
			unsigned short ACLRM :1;				/*   ACLRM		*/
			unsigned short SQCLR :1;				/*   SQCLR		*/
			unsigned short SQSET :1;				/*   SQSET		*/
			unsigned short SQMON :1;				/*   SQMON		*/
			unsigned short       :4;				/*				*/
			unsigned short PID   :2;				/*   PID		*/
		} BIT;
	} PIPE5CTR;
	union {									/* PIPE6CTR		*/
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Bit Access  */
			unsigned short BSTS  :1;				/*   BSTS		*/
			unsigned short INBUFM:1;				/*   INBUFM		*/
			unsigned short       :3;				/*				*/
			unsigned short ATREPM:1;				/*   ATREPM		*/
			unsigned short ACLRM :1;				/*   ACLRM		*/
			unsigned short SQCLR :1;				/*   SQCLR		*/
			unsigned short SQSET :1;				/*   SQSET		*/
			unsigned short SQMON :1;				/*   SQMON		*/
			unsigned short       :4;				/*				*/
			unsigned short PID   :2;				/*   PID		*/
		} BIT;
	} PIPE6CTR;
	union {									/* PIPE7CTR		*/
		unsigned short WORD;						/*  Word Access */
		struct {							/*  Bit Access  */
			unsigned short BSTS  :1;				/*   BSTS		*/
			unsigned short INBUFM:1;				/*   INBUFM		*/
			unsigned short       :3;				/*				*/
			unsigned short ATREPM:1;				/*   ATREPM		*/
			unsigned short ACLRM :1;				/*   ACLRM		*/
			unsigned short SQCLR :1;				/*   SQCLR		*/
			unsigned short SQSET :1;				/*   SQSET		*/
			unsigned short SQMON :1;				/*   SQMON		*/
			unsigned short       :4;				/*				*/
			unsigned short PID   :2;				/*   PID		*/
		} BIT;
	} PIPE7CTR;
};

#define CPG	(*(volatile struct st_cpg *)0xfffe0010)			/* CPG   address */
#define BSC (*(volatile struct st_bsc *)0xFFFC0000)			/* BSC Address  */

#define CS0WCR(condition) UN0_BSC.condition.REG_CS0WCR 		/* CS0WCR Change */
/*      CS0WCR(NORMAL) == UN0_BSC.NORMAL.REG_CS0WCR                    */
/*      CS0WCR(BROM_ASY) == UN0_BSC.BROM_ASY.REG_CS0WCR                */
/*      CS0WCR(BROM_SY) == UN0_BSC.BROM_SY.REG_CS0WCR                  */

#define CS2WCR(condition) UN1_BSC.condition.REG_CS2WCR 		/* CS2WCR Change */
/*      CS2WCR(NORMAL) == UN1_BSC.NORMAL.REG_CS2WCR                    */
/*      CS2WCR(SDRAM) == UN1_BSC.SDRAM.REG_CS2WCR                      */

#define CS3WCR(condition) UN2_BSC.condition.REG_CS3WCR 		/* CS3WCR Change */
/*      CS3WCR(NORMAL) == UN2_BSC.NORMAL.REG_CS3WCR                    */
/*      CS3WCR(SDRAM) == UN2_BSC.SDRAM.REG_CS3WCR                      */

#define CS4WCR(condition) UN3_BSC.condition.REG_CS4WCR 		/* CS4WCR Change */
/*      CS4WCR(NORMAL) == UN3_BSC.NORMAL.REG_CS4WCR                    */
/*      CS4WCR(BROM_ASY) == UN3_BSC.BROM_ASY.REG_CS4WCR                */

#define CS5WCR(condition) UN4_BSC.condition.REG_CS5WCR 		/* CS5WCR Change */
/*      CS5WCR(NORMAL) == UN4_BSC.NORMAL.REG_CS5WCR                    */
/*      CS5WCR(PCMCIA) == UN4_BSC.PCMCIA.REG_CS5WCR                    */

#define CS6WCR(condition) UN5_BSC.condition.REG_CS6WCR 		/* CS6WCR Change */
/*      CS6WCR(NORMAL) == UN5_BSC.NORMAL.REG_CS6WCR                    */
/*      CS6WCR(BMPX_IO) == UN5_BSC.BMPX_IO.REG_CS6WCR                  */
/*      CS6WCR(PCMCIA) == UN5_BSC.PCMCIA.REG_CS6WCR                    */

#define AC (*(volatile struct st_ac *)0xfffc180c)			/* AC Address   */

#define DMAC	(*(volatile struct st_dmac*)0xfffe1000)		/* DMAC   address */
#define UBC 	(*(volatile struct st_ubc *)0xfffc0400)		/* UBC    address */
#define CCNT 	(*(volatile struct st_ccnt *)0xfffc1000)	/* CCNT   address */
#define HUDI	(*(volatile struct st_hudi *)0xfffe2000)	/* HUDI   address */
#define INTC	(*(volatile struct st_intc *)0xfffe0800)	/* INTC   address */
#define WDT		(*(volatile struct st_wdt *)0xfffe0000)		/* WDT    address */
#define RTC		(*(volatile struct st_rtc *)0xffff2000)		/* RTC    address */
#define PORT	(*(volatile struct st_port *)0xfffe3800)	/* PORT(I/O+PFC) address */
#define MTU2	(*(volatile struct st_mtu2 *)0xfffe4000)	/* MTU2   address */
#define CMT		(*(volatile struct st_cmt *)0xfffec000)		/* CMT    address */
#define ADC		(*(volatile struct st_adc *)0xfffe5800)		/* ADC    address */
#define DAC		(*(volatile struct st_dac *)0xfffe6800)		/* DAC    address */
#define SCIF0	(*(volatile struct st_scif *)0xfffe8000)	/* SCIF0  address */
#define SCIF1	(*(volatile struct st_scif *)0xfffe8800)	/* SCIF1  address */
#define SCIF2	(*(volatile struct st_scif *)0xfffe9000)	/* SCIF2  address */
#define SCIF3	(*(volatile struct st_scif *)0xfffe9800)	/* SCIF3  address */
#define SSI0	(*(volatile struct st_ssi *)0xffffc000)		/* SSI0   address */
#define SSI1	(*(volatile struct st_ssi *)0xffffc800)		/* SSI1   address */
#define SSI2	(*(volatile struct st_ssi *)0xffffd000)		/* SSI2   address */
#define SSI3	(*(volatile struct st_ssi *)0xffffd800)		/* SSI3   address */
#define IIC30	(*(volatile struct st_iic3 *)0xfffee000)	/* IIC30  address */
#define IIC31	(*(volatile struct st_iic3 *)0xfffee400)	/* IIC31  address */
#define IIC32	(*(volatile struct st_iic3 *)0xfffee800)	/* IIC32  address */
#define IIC33	(*(volatile struct st_iic3 *)0xfffeec00)	/* IIC33  address */
#define SSU0	(*(volatile struct st_ssu *)0xfffe7000)		/* SSU0   address */
#define SSU1	(*(volatile struct st_ssu *)0xfffe7800)		/* SSU1   address */
#define LCDC	(*(volatile struct st_lcdc *)0xfffff800)	/* LCDC   address */
#define FLCTL	(*(volatile struct st_flctl *)0xfffff000)	/* FLCTL  address */
#define USB     (*(volatile struct st_usb *)0xfffc1c00)		/* USB    address */

#endif	/* _IODEFINE_H_ */
/* End of File */
